myHomeControl

extends your EnOcean by a new dimension

User Manual

Version 1.2.8

by

Sonnenbergstrasse 460

CH- 5236 Remigen Switzerland

phone: +41 56 284 09 21

fax: +41 56 284 09 22

mail: info@bootup.ch

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Introduction

This chapter gives a short overview about the functionalities of myHomeControl.

The chapter „First Steps“ introduces how to work with myHomeControl. This is done on the basis of an example.

cross-references
What is myHomeControl
Table of Content
First Steps
Simulation
Operational reliability
Start with empty project

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


What is myHomeControl

myHomeControl integrates building automation visualization and control tasks into one system.

User operation, indication, visualization and system functions are integrated. The application my be free defined and is not restricted. No programming skills are needed, the application is defined with graphical symbols.

Application samples:

Energy Saving myHomeControl saves energy by turning of lights in case they is no further need, lowering rolling shutters during the night phase consequently and by lowering the heating temperature during absence of the inhabitants.

Presence Simulation: myHomeControl closes the rolling shutters / sun blinds when it gets dark, is turning the light on and off in different rooms and when it gets morning the blinds are opened as usual. With this function in use, the house really will look “lived in” when you are away.

Sun blinds: myHomeControl manages the position of the sunblind according to the weather and the altitude of the sun. The altitude of the sun is considered based on the daytime and date.

Scenes / Light control: myHomeControl can be used to switch or dim individual lights or groups of lights automatically, based on the time of day, or the use that the room is being put to, or whether the house is in use or empty, or some external event (e.g. Intruder Alarm triggered).
myHomeControl operates as a scene-setting light control system. Scenes may be stored and recalled by a fingertip. The scenes include light control and sun blinds management.

Security / Monitoring: myHomeControl monitors the doors, windows and lights. Before leaving the house at a glance check which window is open and where is the light still switched on.

Cameras: myHomeControl supports most of the commonly used cameras (USB, IP). Life pictures may be embedded into the visualization.

Load Limitation: myHomeControl monitors the power consumption level and controls the total load by turning off and on various electrical consumers in case there are constraints given by the power provider.

Daylight: myHomeControl daylight switch knows the sunrise time and the sunset time. The calculation is based on date, time and the altitude of the sun.

Irrigation: myHomeControl evaluates the timing to irrigate your plants or processes the irrigation process by it self.

Alarming: myHomeControl may send out alarms using e-mail, SMS or phone calls. The alarm condition may be formed as desired e.g. if in case of absence a window is opened.

Remote Control: myHomeControl may be remote controlled using the local network, the Internet or mobile phones.

myHomeControl is free programmable. The programming is done graphically and doesn’t request any programming skills.

cross-references
Introduction

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Table of Content

Introduction. 2

What is myHomeControl 2

Table of Content 3

First Steps. 10

Installation of the transceiver (radio gateway) 10

Starting myHomeControl 11

Visualization Elements. 13

The first Network. 15

Teach in of EnOcean-devices. 23

Simulation. 24

Operational reliability. 26

Observer input: 28

Start with empty project 30

Infrastructure. 31

Release Notes. 32

Security advice. 32

System requirements. 32

Windows Settings. 32

PC Settings. 32

Capability characteristics. 33

Design rules. 34

Project organization. 35

Files and Folders. 36

Print 36

Remote Control 37

Remote Control using a WEB-Browser 37

Remote Control within the local area network (Client/Server) 37

Remote Control via Internet 38

TeamViewer 38

Remote Control via Mobile Phone. 39

RDM+. 39

Operation/Visualization. 40

Floor plans. 41

Hints to create picture resources. 42

General Controls. 43

The Design mode. 44

Insert visualization elements into the operational areas. 45

Location, selection and alignment of elements. 45

The Presentation mode. 48

Automatic return to the main page. 49

Visualization elements. 50

* Visualization Element Zoom.. 51

Sensor Visualization Elements. 52

* Visualization Element Brightness. 52

* Visualization Element Camera. 54

* Visualization Element Counter 1. 55

* Visualization Element Electric Meter 56

* Visualization Element Keycard Switch. 57

* Visualization Element Leakage. 58

* Visualization Element Presence Indication. 59

* Visualization Element PTM Radio Button. 60

* Visualization Element PTM Radio Button 8. 62

* Visualization Element Radio Chair 63

* Visualization Element Receive(analog) 64

* Visualization Element Room Temperature Sensor 66

* Visualization Element Temperature. 70

* Visualization Element Window Contact 72

* Visualization Element Window Handle. 73

Actuator Visualization Elements. 75

* Visualization Element Dimmer 75

* Visualization Element Dimmer 10. 77

* Visualization Element Jalousie 1. 78

* Visualization Element Jalousie 2. 80

* Visualization Element Jalousie 4. 80

* Visualization Element Jalousie 12. 80

* Visualization Element Switch 1. 82

* Visualization Element Switch 2. 86

* Visualization Element Switch 4. 86

* Visualization Element Switch 8. 86

Function Visualization Elements. 88

* Visualization Element Absence. 88

* Visualization Element Clock. 90

* Visualization Element Consumer Monitoring. 92

* Visualization Element Design Mode. 93

* Visualization Element Display. 94

* Visualization Element Door Controller 97

* Visualization Element Hour Meter 99

* Visualization Element Irrigation. 101

* Visualization Element Keypad. 102

* Visualization Element Link. 102

* Visualization Element Load Limitation. 105

* Visualization Element Operator Screen. 106

* Visualization Element PIN. 107

* Visualization Element Pulse Counter 108

* Visualization Element Run. 110

* Visualization Element Scenes. 111

* Visualization Element Shading. 114

* Visualization Element Settings. 117

* Visualization Element Window Monitoring. 118

Network. 119

Introduction. 120

* * Floors and Rooms. 121

Handling Blocks. 122

Properties of Blocks. 123

Pins. 124

Connections. 125

Commands. 126

Device type and location information. 127

Automatic Cascading. 127

Automatic Cascading. 128

Disable Editing. 128

Send only LRN telegrams. 129

Actuators. 130

* Dimmer 133

* Dimmer 10. 136

* Jalousie 1. 138

Calibration run. 142

* Jalousie 2. 145

* Jalousie 4. 145

* Jalousie 12. 146

* RCM120. 147

* Switch 1. 148

* Switch 2. 154

* Switch 4. 155

* Switch 8. 155

* Valve 1. 155

* Valve 4. 158

* Valve 8. 160

Logic. 161

* Activation. 161

* Absence. 163

* Addition. 168

* And. 169

* AnalogMux. 171

* Average. 173

* Clock. 174

* Communication Monitoring. 176

* Consumer Monitoring. 177

* Day Light 178

* Design Mode. 180

* Display. 181

* Division. 184

* Door Controller 185

* Equals. 187

* File Read. 188

* File Write. 189

* Filter 190

* Hour Meter 193

* Invert 194

* Irrigation. 195

* Keypad. 197

* Keystroke. 199

* Link. 200

* Load Limitation. 200

* Maximum.. 204

* Minimum.. 205

* Multiplication. 205

* Operator Screen. 207

* Or 208

* PID Controller 210

* PIN. 211

* Pulse Counter 213

* PulseGen. 214

* PWM.. 216

* Run. 217

* Scaling. 218

* Scenes. 219

* send email 222

* send SMS. 223

* Sequence. 224

* Setpoint 227

* Settings. 228

* Shading. 229

* Sound. 234

* Subtraction. 235

* Phone Call 235

* Temperature Controller 236

* Toggle. 240

* Trigger 241

* Window Monitoring. 243

Sensors. 246

* Brightness. 249

* Camera. 250

* Counter 1. 257

* Counter 2. 258

* Control Unit 259

* Electric Meter 261

* Keycard Switch. 263

* Leakage. 265

* Presence Indication. 267

PTM Radio Button. 270

* PTM Radio Button 8. 272

* Radio Chair 273

* Receive(analog) 275

* Room Temperature Sensor 277

* STM100. 280

* Temperature. 281

* Voltagesensor 283

* Weather station. 284

* Window Contact 286

* Window Handle. 287

* Comment 289

Compact WEB. 290

Operation mode. 291

Network infrastructure required. 292

Setup web pages. 294

Web page settings. 295

Item settings. 296

Create Index-Page for CompactWEB. 296

Additional web pages. 296

Smart phones e.g. the IPhone used as a remote control 297

Remote access via Internet using a WEB Browser or mobile phone. 297

Usage of an alternative WEB server 297

Multiple Operating Stations. 298

Configuration. 298

Loggings. 299

Time line. 299

Event list 299

Weather 301

Structuring. 303

* Floor 303

* Room.. 303

Tree views. 304

New Floors, Rooms and Devices. 304

Tabs of the tree view: 304

Used Floors, Rooms and Devices. 306

List of connections. 306

Process Interface. 307

Settings. 308

General 308

Project name. 308

Language. 308

Orientation of buttons. 308

Jalousie mode. 308

Unit Temperature. 309

Autostart 309

Reshow hidden messages. 309

Check for updates. 310

Splash Screen. 310

Enabled Media. 310

Settings of the visualization. 310

Change Application. 310

Display General Controls. 310

Indicate Radio Transmission. 311

Presentation Mode. 311

Mainpage. 311

Size of Symbols. 311

Animate Elements. 311

Display time of Control Dialogs. 312

Dimmer brightness control slider indication mode. 312

Logging. 312

Record state changes and events. 312

Record weather data. 313

Path for the individual log files. 313

City / Coordinates. 313

Email 315

WEB. 316

Enable Compact WEB. 316

Start WEB server 316

Port Number 316

Multiple Operating Stations. 317

Google PowerMeter 318

Communication. 319

EnOcean Communication. 320

EnOcean-Id Filter 321

EnOcean Serial Protocol V1. 322

Omnio 485-Bus. 323

Thermokon EasySens. 326

Modbus Communication. 331

ModbusTCP. 331

ModbusRTU. 332

Addressing of Signals. 333

Lists. 334

List of Devices. 334

List of Blocks. 334

Configuration check. 336

License options. 337

Troubleshooting. 338

Appendix A: EnOcean Profiles. 339

Appendix B: Supported Devices. 340

EnOcean Gateways. 340

Appendix C: Application Samples. 341

Lights. 341

Access to home. 341

PTM230 Module. 342

Central OFF. 344

Delayed Off 345

Lights in office controlled by radio chairs. 346

Occupancy Sensor 347

Constant light control 349

Jalousie / Blinds. 352

Automatic Shading. 352

Automatic Shading and time controlled blind movements. 353

Heating. 354

Interrupt heating in case a window has been opened. 354

Proportional Heating Valve from Kieback&Peter 355

Room Operating Panel from Sauter 357

Security. 359

Alarm in case of window will be opened or a presence indication during absence. 359

Forwarding of an alarm message to all PCs of the network. 360

Create and play an text message (audio) 363

Control Units. 365

Single Button. 365

On-Off with on single button DUX control unit 365

3 Position Selector 365

Universal controller: Thermokon SRC-ADO BCS. 368

Temperature Control 368

Dimmer 372

Switching actuator 375

Appendix D: How to add a supplementary language. 377

Text - resources. 377

Help. 377

Appendix E: WEB Remote Access. 378

Remote access to the myHomeControl WEB server 378

Assign a fix IP address to host PC. 378

Create an account at DynDNS.org. 378

Configuration of the modem/router 378

TeamViewer 379

Alternative Variant using Remote Desktop. 379

Enable WEB Services on the host 379

Fix IP-Address for the Host 381

Account at DynDNS. 382

Settings of the DSL/modem/router 382

Appendix F: Upgrading to Version 1.2.2. 383

cross-references
Introduction

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


First Steps

The following chapter leads through a simple example. This shows up how to operate myHomeControl.

Principle of operation:

The radio signals sent by the radio button will be received by the radio gateway. The gateway forwards received signals to the myHomeControl application. myHomeControl evaluates the signals and generates, corresponding to the control function new signals. The new signals will be forwarded to the radio gateway. The gateway sends them out as radio signals. The addressed switch actuator receives the radio signals and e.g. turns on a light.

Just to try the demo version skip the chapter „Installation of the transceiver (radio gateway)“ and proceed to chapter „start myHomeControl“.

cross-references
Introduction
Installation of the transceiver (radio gateway)
Starting myHomeControl
Visualization Elements
The first Network
Teach in of EnOcean-devices

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Installation of the transceiver (radio gateway)

The transceiver receives and transmits EnOcean messages.

The transceiver is to connect to a serial port of a PC. If the PC is not equipped with a serial port, use a corresponding USB<->RS232 converter. Check the associated COM port number after installation of the USB converter using Start->Settings->Control Panel->System->Hardware->Device Manager.

Connect the transceiver to the power supply.

Remember to select the appropriate COM port number (as checked before) in the options register of myHomeControl (Options->Communication).

cross-references
First Steps

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Starting myHomeControl

Double clicking the [image] icon starts the myHomeControl-Application.

After the first installation myHomeControl presents as follows:

The Visualization ( [image]) is selected and new devices (Visualization elements) can be inserted into the workspace areas. Acknowledge the request to open the help with “no”.

Ellipse: 1

 First of all a floor has to be defined. Drag a floor from the tree view “new floors, rooms and devices and drop it into the left workspace area (click the floor symbol with the left mouse button an move the mouse with the clicked mouse button to the left workspace area and release the mouse button there).

Next step shows how to place Visualization Elements.

‚ To open the property dialog hover the mouse over the black rectangle. The property dialog will appear automatically and the properties of the floor can be set. A name for the floor can be entered in the field “Floor name”, e.g. Ground Floor.
Hovering the mouse over the black rectangle to open the properties dialog by fits for all the different graphical objects.

ƒ By pressing the [image] -Button a background picture can be loaded, e.g. a ground floor plan. Within the file open dialog navigate to the folder DemoPics and load 3D.jpg. The picture is shown in the left workspace area.

There is a floor available now and visualization elements can be inserted. Proceed to chapter „Visualization elements“.

cross-references
First Steps

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Elements

This chapter explains the placement of visualization elements for lights, blends and scenes in a floor plan. The visualization elements indicate the actual state of the lights and blends and enable the user to control the lights and blends with a fingertip.

 A switch actuator, representing the lights in the kitchen can be dragged over the floor plan. Drop it at the corresponding location of the plan. A symbol for the light is now shown at this location. The border around the symbol shows the illumination area of the light. It can be adjusted by moving the corresponding adjustment dot [image]. Clicking the light symbol switches on and off the lights.

‚ Rename the light now so that it can be recognized in a later step. To rename the light open the properties dialog by hovering the mouse over the black rectangle in the upper right corner of the light symbol. An appropriate name could be “Kitchen”.

The next step explains how to configure functions,

Drag in a dimmable light (Dimmer) in the left upper corner of the living room. Name it floor light. Drag in a blend and place it in front of the Window. Drag in a scene block and place it at the corner to the entrance
door. For further hints to edit element refer to chapter The Design mode.
myHomeControl should look now as follows:

 The expanded tree view used Floors, Rooms and Devices shows what devices are already inserted into the project.

The first part of the configuration is done now. The next chapter describes how to interconnect control functionalities with the visualization elements.

Precede to chapter „The first network“.

cross-references
First Steps

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


The first Network

This chapter explains how to create control functions. Control functions are created within the Network tab.

Change to the Network tab.

The Network tab is structured similarly to the visualization tab. On the right side of the screen the tree views “new floors, rooms and devices” and “used floors, rooms and devices” can be found. The amount of available devices is even larger then in the visualization tab. This is because some devices, especially logic blocks, inapplicable within the visualization tab.

During the configuration of the visualization myHomeControl inserted in the background corresponding blocks into the network area. The automatically created network looks as follows:

The first tree blocks from the left side represent the inserted actuators for lights and blends. The forth block handles the scenes functionalities.

Within the following steps the network will be extended to useful functions. Arrange the blocks as shown in the figure below. To move blocks move the mouse over the block, press the left mouse button and pull the block to the desired location. Please remark that blocks cannot be grabbed on their control elements (buttons), the PTM radio button-block has to be grabbed on the horizontal beam in the middle of the symbol.

First a PTM radio button-block should be inserted, which shall be used to switch the light on and off and drive the blend.

Drag a PTM Radio Button into the room. The PTM Radio Button-Block can be found in the tree view „New Floors, Rooms and Devices“ e.g. in the register “generic”. Click on the little cross left of sensors to expand the sensor list.

Configuration: set the button layout to „double“ and rename the PTM Radio Button „Door“. Hover the mouse over the black rectangle to open the properties dialog automatically.

To close the properties dialog click on the red button showing the white cross.

The PTM Radio button-block represents a real PTM radio button within myHomeControl. It evaluates the radio messages of the real PTM radio button and forwards corresponding commands to its output pin(s) [image]. Blocks connected to these pins will receive the commands.

The upper pin corresponds to the left rocker, the lower one to the right rocker.

To prevent the light in the kitchen to stay switched on in case the user forgets to switch of the light, set an off delay of 120 minutes in the properties dialog of the switch actuator-block. The light will be switched of automatically at least after 2 hours.

The switch actuator-block represents a real switch actuator within myHomeControl. It evaluates commands received from its preceding blocks. It generates radio message controlling the state of the corresponding real switch actuator.

To benefit of the scene functionality it is worth to configure the dimmer-block to act in the dimmer mode (instead of the switch mode, for details refer to Dimmer). Set up the floor light as shown in the figure below:

Next is to connect the Output Pin of the PTM Radio Button-block with the Input Pin of the switch actuator-block. Click first the output pin of the PTM Radio Button-block and then the input pin of the switch actuator-block. To disconnect click the pins in the similar way (first click on the output pin, then click the input pin).

ƒ The switch actuator-block will now react if buttons of the PTM radio button-block are clicked. It will change its state corresponding to the buttons clicked. This is the simulation feature provided by the networks. To simulate the network doesn’t require any physical devices.

Connect the blend to the second output pin of the radio button-block.

The different input pins cause different reactions of the blend block. A detailed description can be found in chapter Jalousie.

Within the next step it is shown how to build up scenes.

First connect all actuators participating the scenes to the scene block.

The scenes in the above example will control the floor lamp and the blend.

The next step defines the different scenes.

Clicking the +-button will create a new scene. With in the first row of the table (not the header) a name for the scene can be entered. This name will be used for the scene selection button of the corresponding visualization element as well. The scene block has been equipped now with a corresponding button. Clicking the buttons of the scene block can activate test wise scenes.

A value can be given for each scene participant within each scene. In case the scene will be activated, the given value will be sent to the participants and they adapt their states.
Indeed it is not the usual way to give the values for the scenes manually. There is a teaching function for the scenes, but this will be expanded later or refer to Scenes.

In the next step we will try to operate the defined configuration. Change to the Visualization register and activate the presentation mode by clicking the button [image].

Click or touch the symbol for the scenes [image]. A control dialog pops up showing all the available scenes. Select one scene by clicking the corresponding button. The floor light and the blend change to there corresponding states.

Until now all operations have been processed virtual. No physical effect could be seen. To act on the real radio buttons and to control the real actuators, these objects have to be teached in. The next chapter describes the teaching process „Teach in of EnOcean devices„.

cross-references
First Steps

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Teach in of EnOcean-devices

After connecting a transceiver and setting up the communication properties in the Options register, the EnOcean devices can be teached in.

The radio button – block “Door” represents a real radio button. To keep track of the button operations on the real radio button, the block have to be logically coupled to “its” real button. This is done by teaching in the address of the real radio button into the radio button block.

Vice versa the real actuators should react on there representing actuator blocks. The physical actuator for the light should process the commands sent by the switch actuator – block „Light“. Therefore the address of the switch actuator – block has to be teached in to the real actuator.

Teaching of a PTM radio button:

 Click the teach-button in the properties dialog of the radio button-block. The teach button starts blinking.

‚ Click now a button of the real PTM radio button.
The teach button stops blinking now and the label beside the teach button shows the teached address.

Teach in of a switch actuator block:

 The switch actuator has to be connected to power. Press the „LRN“-Button on the switch actuator until it starts blinking. The switch actuator is now in teaching mode.

‚ Now click the button on the switch actuator block. The block sends a radio message, which will be received by the real switch actuator. The real switch actuator interrupts blinking to acknowledge the reception of the radio message.

ƒ Press the „LRN“-Button once more and the switch actuator leaves the teach mode.

Whenever one of the buttons of the real PTM radio button will be pressed, the radio button-block “Door” indicates this by changing the color of the corresponding pad to blue. Simultaneously it forwards the command to the switch actuator block „Kitchen“. The switch actuator block “Kitchen” reacts to the command and sends out a radio signal commanding the real switch actuator to switch on or off the light.

This simple example shall show the mode of operation of myHomeControl. Beside the PTM radio switch and the switch actuator blocks there are lots of other useful blocks. The logic blocks form the real power of myHomeControl.

cross-references
First Steps

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Simulation

Blocks, inserted into a floor or room, are immediately operational.

Each block provides control- and visualization- elements.

The control elements can be operated with the mouse. They command the blocks and trigger them to send commands to there Output pins or to send out radio messages in certain cases.

If a block receives a command on its Input pin, it reacts corresponding to the command and sends in certain cases new commands to its own output pin(s).

By operating the control elements and by observing the visualization elements, different situation can be run through and tested. Hovering the mouse over an input pin of a network block will show a list of the last commands or signals the block received via this input.

Meaning of the lines:

<Date> <Time with milliseconds> <Floor or Room>/<Block name>*<Pin>-><Value>

Value:
With analogue Values, the shown figure represents the transmitted value,
with commands:
ON represents an ON-command without key press information
OFF represents an OFF-command without key press information
ONv an ON-key has been pressed
ON^ an ON-key has been released
OFFv an OFF-key has been pressed
OFF^ an OFF-key has been released

The simulation can also be processed in offline mode. This means even if there is no transceiver connected or even if there are some of the EnOcean devices still missing.

Without saying the simulation can be done also with connected transceiver and fully teached in devices. Probably this saves some “walking” during the set in operation phase.

Sometimes it might be useful to insert radio button blocks not teached to real radio buttons. These could be used as “virtual” buttons enabling part of the functionality e.g. the presence simulation. These buttons can be operated from the Visualization tab.

cross-references
Introduction

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Operational reliability

Usually sensors, on which actuators have to react on, are teached directly to the actuators.

Example: Staircase

The figure above shows the conventional way of a staircase installation. The different radio buttons have to be teached multiple times in to different switch actuators. Each switch actuator has to be teached with all radio buttons it should react on.

The benefit of this solution is the complete independency on other components (e.g. PC with myHomeControl running on it). This solution is running as long as the actuators are feed with power.

Disadvantageous is the complex teach in process. Depending on the location of the actuator it is time-consuming to set them into teach mode. Whenever a “connection” should be modified, power outlets have to be disassembled or cabinets have to be cleared to set the actuators into the teach mode.

Solution with myHomeControl:

Benefits of this solution are:

- It is very easy to modify “connections”. Just some clicks are required to change the relations between ration buttons and switch actuators within myHomeControl.

- Each light might be configured with an individual switch off delay to prevent permanent light if the user forgets to switch off the light. The delay can be set in the range of 1 Minute to several hours.

- All the other powerful features provided by myHomeControl.

Disadvantageous is the dependency on the PC.

If the PC crashes no light can be switched on anymore!

The combined solution:

There is the opportunity to combine the both solution discussed above. This brings in the benefit of both solutions and softens the disadvantages.

Within the combined solution the elementary sensoràactuator relations have been teached directly into the actuators. All convenience and special functions will be processed by myHomeControl.

The actuator block is equipped with an observer input pin. This pin supports the combined solution.

Example: Light

The PTM radio button has been teached directly to the switch actuator.

Within myHomeControl a representing block has to be inserted for each radio button and switch actuator.

The PTM radio button-block has to be teached with the real radio button.
Then the real switch actuator has to be teached with the switch actuator-block.

Finally the radio button-block has to be connected to the observer input pin ( *) of the switch actuator -block.

If a button of the radio button will be pressed, the switch actuator reacts directly to the radio message sent out by the radio button. This behaves totally independent of the PC and myHomeControl.

Simultaneously the radio button-block of myHomeControl receives the radio message as well and forwards the received command to the connected switch actuator-blocks (following the dotted line). Due to the fact that the switch actuator-block receives the command via the observer input pin, it doesn’t generate an own radio message to the real switch actuator. It only updates its state and starts the switch off delay. If the switch off delay expires, it sends a corresponding radio message to the switch actuator and the switch actuator switches off the light.

This example shows how standard EnOcean functionality can be combined with convenience factions of myHomeControl.

cross-references
Introduction
Observer input:

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Observer input:

(Refer to chapter Operational reliability to get an overview).

All actuator blocks provide an observer input pin. This pin has to be connected whenever a sensor is directly teached to an actuator. The regular input pins can be used in parallel (e.g. for convenience functions):

In the example on the left side the real PTM radio button has been teached directly to the real switch actuator. The switch actuator-block will not generate radio messages for those commands it receives from the PTM radio button-block. For the commands received from the clock it will send out corresponding radio messages to the real switch actuator.

Example: Blend

A Venetian blend should be lowered for shading purposes. Therefore it should be lowered only to the half of the movement range. This is one of myHomeControl convenience functions.

The PTM radio button has been directly teached to the blend actuator.

Within myHomeControl a representing block has to be inserted for each radio button and blend actuator.

Connect the radio button-block with the observer input ( *) of the des blend actuator-block.

After pressing a radio button, the Jalousie actuator starts lowering the blend.

The radio button-block receives the radio message as well. It forwards the received command to the Jalousie actuator. The Jalousie actuator receives the command via its observer input pin. Therefore it doesn’t generate a radio message to the real Jalousie actuator. It only adapts its state and starts the position interpolation. After expiration of the movement time, it sends out a radio message to the real Jalousie actuator to stop the lowering. Subsequently is sends the radio messages to adjust the blend.

In case of a crash of the PC running myHomeControl (defect or virus attack), the lowering of the blend will not be stopped by the PC anymore, but the blend is still fully operational directly by the radio button.

This means: the elementary functionality is still available even in case of a PC crash. The PC is just performing the convenience functions.

cross-references
Operational reliability

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Start with empty project

This window appears if myHomeControl® starts up with an empty project. This is typically the case if myHomeControl® has been installed the first time or after the installation of an update version.

Choose one of the following options:

cross-references
Introduction
Start with an empty project
Start with an empty project and open help
Load an existing project
Load a demo project
Load actual project of last version X.X

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Start with an empty project

myHomeControl® starts with an empty project. Same happens if the cancel button has been pressed.

cross-references
Start with empty project

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Start with an empty project and open help

myHomeControl® starts with an empty project. It opens the help as well and leads to the chapter “First Steps” which gives an introduction into myHomeControl®.

cross-references
Start with empty project

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Load an existing project

myHomeControl® loads the selected project and restarts.

cross-references
Start with empty project

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Load a demo project

myHomeControl® loads the selected demonstration project and restarts.

cross-references
Start with empty project

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Load actual project of last version X.X

myHomeControl® copies the actual project from the folder of the old installation into the folder of the new installation, updates the project to the new version and restarts.

cross-references
Start with empty project

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Infrastructure

Following figure shows a typical topology:

-Remote control

-Alarms

-Störmeldungen

occupancy

The topology shown above is extendable by additional EnOcean gateways as well as EnOcean repeats to best suite larger buildings.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Release Notes

The enhancements, bug fixes and the differences between the various versions of myHomeControl are documented in the release notes. The release notes can be downloaded from the web site www.myHomeControl.ch/download.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Security advice

The software must not be used in any relation with equipment that supports, directly or indirectly, human health or life or with applications that can result in danger for people, animals or real value.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


System requirements

CPU: min. 1GHz

RAM: min. 512MB

Disk: min. 200MB free space

OS: Windows 2000, WindowsXP (32Bit und 64Bit), WindowsXP embedded, Vista, Win7

myHomeControl® runs on ATOM-CPU based devices (e.g. ATOM N270).

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Windows Settings

To optimize the appearance and the operate ability, windows should be configured as follows:

Display:

- DPI Settings:
XP: Control Panel/Display/Settings/Advanced -> set DPI to 96 ppi
Win7:

- Font Size:
select normal font size

- ClearType:
XP: Control Panel/Display/Appearance/Effects -> activate ClearType
Win7:

USB:

Disable all power save features in case USB devices are used.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PC Settings

Following settings have to be configured in the BIOS settings:

- The PC should restart automatically after power off.

- The energy saveing options have to be configured in a way that the CPU is allways enabled an is able to process myHomeControl®.
Turning off disks doesn’t make sence because myHomeControl® stores state information into the database, which retriggers the disk periodically.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Capability characteristics

Number of supported sensors: unlimited, according license

Number of supported controllers/actuators: unlimited (128 per gateway),
according license

Supported gateway types: USB, LAN (TCP/IP), RS232, RS485

Number of supported gateways: unlimited, according license

Number of supported cameras: unlimited,
limitation given by type of used cameras and power of PC.

Motion detection: individual for each camera (software)

Number of visualization elements: 2000

Number of timers: unlimited

Number of logic functions: unlimited

Number of arithmetic functions: unlimited

Number of scene controllers: unlimited

Sequences: ü

SMS/Email: ü

Presence simulation: ü

Number of facades to be shaded: unlimited

Energy management functions: Load management
Temperature lowering
Blind management

Audio: ü

Weekly or yearly based timers: ü

Irrigation: ü

Obstruction alarm: ü

SQL data base: ü

XML file: ü

Interfacing third party systems: XML- file for data exchange
SQL data base
run third party applications
ModbusTCP

Supported languages: German,
English,
Dutch
Italian,
Portuguese,
Russian

Remote access: local net, Internet, mobile phone

WEB-Interface: ü

Automatic bill of materials: ü

Online help: ü

Project design: graphically

Project documentation: ü

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Design rules

TODO!

Lights:

Switch actuators

Dimmers

Shading:

Jalousie actuator

Heating:

Room Operating Panel

Valve actuator

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Project organization

myHomeControl® stores the actual project within following 3 individual SQLite databases:

- Project.s3db: This database contains all project object such as visualization elements and blocks with there settings and states. It also contains all pictures.

- Logging.s3db: This database stores all events of the sensors e.g. rocker push button switches, temperatures, etc. It stores all state changes of the actuators as well.

- Weather.s3db: This database stores all data related to weather information.

- Trends.s3db: This database stores all data related to trends.

All state changes will be currently updated within the databases.

This open database structure enables an easy connection to other systems.

During startup myHomeControl® loads the project from these databases.

If the user is going to save the project, then myHomeControl® packs the current set of databases into a ZIP archive. The user is asked to name the archive and to select a location to store the archive.

In case a new project will be created, then the current set of databases will be overwritten by empty databases. Only one project is active at a time.

In case an existing project will be loaded, then myHomeControl® unpacks a ZIP archive selected by the user and overwrites the current databases by the ones taken form the archive.

Before the current set of databases is going to be overwritten myHomeControl® saves them to a backup archive.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Files and Folders

myHomeControl® stores the related files in following folders: English Windows installation *)

- Program files
C:\Program Files\BootUp GmbH\\myHomeControl Vx.x nnnn\bin

- Application sample pictures
C:\ Program Files\BootUp GmbH\myHomeControl Vx.x nnnn\DemoPics

- Application sample projects
C:\ Program Files\BootUp GmbH\myHomeControl Vx.x nnnn\DemoProjects

- Text- und product resources
C:\ Program Files\BootUp GmbH\myHomeControl Vx.x nnnn\Resources

- Data sheets
C:\ Program Files\BootUp GmbH\myHomeControl Vx.x nnnn\Resources\DataSheets

- Drivers for devices and gateways
C:\ Program Files\BootUp GmbH\myHomeControl Vx.x nnnn\Resources\Drivers

- Project databases (Project.s3db, Logging.s3db, Weather.s3db)
Backup archives (*.ZIP)
XP: C:\Documents and Settings\<USER>\AppData\BootUp GmbH\myHomeControl\x.x.x.x
Vista: C:\Documents and Settings\<USER>\AppData\Roaming\BootUp GmbH\myHomeControl\x.x.x.x

The files in the sub folders “Program Files\BootUp GmbH\myHomeControl..“ are part of the myHomeControl® installation and will be installed by the installer. These files will be removed in case of a uninstall.

The files located in the subfolder of “Documents and Settings” contain the project data. These files are user specific and will therefore not be touched by the uninstall or upgrade of myHomeControl®.

The storage location of the project files depends on the user logged in into the system. <USER> refers to the user actually logged in. Therefore different users may maintain there own project. Depending on the user actually logged in, myHomeControl® loads the corresponding project.

There is the opportunity to keep different version of myHomeControl® installed at the same time. Each version refers to version specific folders either for program files as well as for the project databases. x.x refers to the version.

*) The sub folders “Program Files” and *Documents and Settings” differ between different Windows installations especially between different languages.

Refer to chapter Project organization.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Print

The print feature is available from operating systems version Windows Vista on.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Remote Control

cross-references
Remote Control using a WEB-Browser
Remote Control within the local area network (Client/Server)
Remote Control via Internet
Remote Control via Mobile Phone

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Remote Control using a WEB-Browser

myHomeControl® provides a WEB interface. Any browser can be used to access the interface.

Find details in chapter CompactWEB.

cross-references
Remote Control

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Remote Control within the local area network (Client/Server)

In case myHomeControl® shall be operated from different computers e.g. within the same building, and the WEB interface doesn’t suit the requests, then there is the opportunity to setup various operating stations. This means there is a main station (server) and a series of remote stations (clients), which connect to the server.

Example:

Refer to chapter Multiple Operating Stations for details.

cross-references
Remote Control

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Remote Control via Internet

There are various opportunities to control myHomeControl remotely via the Internet.

- CompactWEB

- TeamViewer

- Remote Desktop

TeamViewer is the most recommended tool for the remote access. Therefore only TeamViewer will be described within this chapter. Refer to the Appendix E: WEB Remote Access for detail about Remote Desktop.

cross-references
Remote Control
TeamViewer

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


TeamViewer

Introduction

TeamViewer can be downloaded from www.TeamViewer.com. It is free for private applications.

To operate TeamViewer no special settings required for the firewall as well as for modems/routers. TeamViewer works nearly in every net.

Installation

TeamViewer has to be installed as a service on the PC where myHomeControl runs. Therefore download the full version of TeamViewer and install it.

Start TeamViewer.

A ID will be shown which has to be entered later on, when a remote control connection shall be established.

Open Menu Extras/Options:

- check start of TeamViewer with Windows.

- Set a password

- check accept incoming LAN connections

Remote Control

There are two opportunities to access myHomeControl:

- either install TeamViewer on the PC

- or use the WEB service provided by the TeamViewer site

In case e.g. a laptop shall be used for remote control of myHomeControl on a regular basis, then it might be recommended to install TeamViewer on that computer. There is the opportunity to save the connection information (ID and the password) for simple and easy establishment of the connection.

In case a PC in an Internet-café shall be used for remote control or it is not allowed to install software on a PC, then use the WEB service. This requires a registration on www.TeamViewer.com. After the registration has been done, the connection data (ID, password) might be stored to establish the connection to myHomeControl easily.

After login the screen of myHomeControl is displayed within the browser window and all visualization elements can be operated.

cross-references
Remote Control via Internet

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Remote Control via Mobile Phone

myHomeControl might be operated via a Mobile Phone. Therefore myHomeControl®s screen is displayed on the Mobile Phone. On some models the display will be very compact, but there are zooming opportunities. In case the mobile provides a touch screen, all visualization elements can be directly operated via the screen.

Dependent on the model of the Mobile Phone there are different opportunities for remote control:

- RDM+
www.rdmplus.com
Supports nearly every Mobile Phone
Costs around 35$ (one-time fee)
Supports remote control over Internet as well

- Befree4iPhone
www.ewe-software.de/en/download.html
Supports only iPhones
free of charge

The update rate of the screen on the mobile phone may take several seconds (2..10) depending on the type and quality of the connection between the mobile phone and the Internet. After a visualization element has been operated this period has to be awaited before the status of the element is shown on the screen. Therefore fast clicks has to be avoided.
In case a visualization element showing a control dialog has been operated, then a control dialog is going to be shown. This control dialog closes automatically after 10 Seconds by default. This means for the operation via mobile phone: After the click on the visualization element the control dialog is shown. But on the mobile phone this dialog appears earliest after some seconds, lets assume 6 seconds. Therefore there are only 4 Seconds left to locate the mouse and operate the control dialog buttons on the mobile phone. This might be to short for a proper operation. There is a setting parameter called Display time of Control Dialogs which can be enlarged within the global settings to increase the operation time of the control dialogs.

cross-references
Remote Control
RDM+

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


RDM+

RDM+

RDM+ functions similar to TeamViewer, but there is a Mobile Phone client.

RDM+ is not for free. There are license cost, depending on the type of mobile phone, of a single charge of about 20..40$.

The advantage of RDM+ against TSMobiles or VNC+ is its independency of firewall-and modem/router settings. Therefore RDM+ is the recommended solution.

Installation

Installation on the PC running myHomeControl:

- browse to www.rdmplus.com

- select the corresponding Mobile Phone type (upper right corner)

- browse to the download site

- install the Desktop part for windows and follow the installation procedure

RDM+ is now running as a service on the PC

Installation on the Mobile Phone:

- Follow the instructions in the “Getting Started Guide”.

cross-references
Remote Control via Mobile Phone

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Operation/Visualization

The PC running myHomeControl can also be used for other purposes e.g. as mail server, as common diary or as music server for the whole family. If the screen is located close to the entrance or the phone each member of the family has easy access to myHomeControl and can check the actual situation.

myHomeControl is running in one window presenting the visualization screen. This screen can be configured to show floor plans containing visualization elements indicating the actual state of lights, blends, and temperature sensors and may more. The visualization elements also allow direct control of lights, blends and so on.

Example below:
a light visualization element is showing the state of the light. It allows the user to switch on or off the light.

The visualization can be operated in two modes:

1. The design view this view is used to configure the visualization. The tree views “new floors, rooms and devices” and “used floors, rooms and devices” are shown on the right side of the screen. In this view floor plans and visualization elements can be inserted.

2. The presentation view this is the view for the inhabitants. The tree views are hidden in this view. Fingertips can control the visualization elements.

cross-references
Floor plans
General Controls
The Design mode
The Presentation mode
Visualization elements
Visualization Element Zoom
Sensor Visualization Elements
Actuator Visualization Elements
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Floor plans

The left area of the screen is the workspace area to show floor plans. Several floor plans can be inserted. Therefore drag in a floor symbol out of the tree view “new floors, rooms and devices” and drop it on the left area. This creates a new floor tab. Equip the floor tab with a floor plan picture. To select a picture open the properties dialog (black rectangle or right mouse button - context menu) and click the open folder -button.

“always visible” avoids the tab to get hidden by a link function.

“Visible after startup” sets the tab visible after starting the application (myHomeControl)

cross-references
Operation/Visualization
Background Image
Hints to create picture resources

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Background Image

Picking dots on the dotted border of the picture support locating and stretching of the picture as well.

ß If checked will myHomeControl adapt the size of the picture to fit into the full screen.

A smoky cover of the background picture highlights the visualization elements. This is useful especially with background pictures containing strong colors.

To place visualization elements on the floor plan drag them in from one of the tree views and drop them at the appropriate location on the floor plan.

cross-references
Floor plans

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Hints to create picture resources

Following hints shall help to achive nice looking views:

1. Background pictures shall be graphically brushed up. The size in pixels should be adapted to the screen resolution of the target computer (PC running the visualization project). The resolution should be set to 70DPI. To modify the pictures it is best to use a graphic program e.g. corel draw or micrographics firefox.

2. Visualization elements can only be placed in the area of the background picture. Therefore there shold be a border around the floor plan as a spare space to locate blinds and outside lights.

3. Few, smart colors give a nice look and lighten the visualization elements.

4. The size of the light symbols might be adapted in the main menu Settings / Size of Symbols. An adaption might be necessary in case a project has been ported from one PC to an other with a different resolution.

cross-references
Floor plans

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


General Controls

Visualization elements for general control can be placed on the left side workspace, e.g. the visualization element for the presence simulation. Tabs organize this workspace area. You are free to define any new tabs. There is no relation to floors.

cross-references
Operation/Visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


The Design mode

This mode is used to configure the Visualization. Within this mode the floors will be inserted and the visualization element can be placed. The tree views for new and used devices will be shown in this mode.

Ellipse: 2 Ellipse: 1  Floor area. Floors have to be inserted in this area. A floor plan can be deposited on each floor (see floor Property dialog).

‚ General controls area. Certain visualization elements can be placed only in this area.

ƒ Switch over to presentation view. A password can be given to prevent unauthorized users to return to the design view.

„ Tree view New Floors, Rooms and Devices. This tree view provides new elements to be dragged in into the workspaces &‚

… Tree view of already used Floors, Rooms and Devices. If there are e.g. two lights physically connected to the same switch actuator, then drag a switch actuator symbol from the tree view „new Floors, Rooms and Devices“ into the floor plan. This creates the visualization element for the first light. In the background a switch actuator block has been created by myHomeControl. This switch actuator can be seen now in the tree view “used Floors, Rooms and Devices”. The visualization element for the second light has to be dragged in from the tree view “used Floors, Rooms and Devices”.
There are now to visualization elements representing the same switch actuator. If you operate the actor by clicking on the visualization element, both visualization elements will change their state.

cross-references
Operation/Visualization
Insert visualization elements into the operational areas
Location, selection and alignment of elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Insert visualization elements into the operational areas

Use the mouse to select an object from one of the trees and drag it into the floors area or the general controls area. Drop it at the appropriate location by releasing the mouse button.

cross-references
The Design mode

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Location, selection and alignment of elements

Location

To locate a visualization element grab it with the mouse. Following rules have to be considered:

Light symbols have to be grabbed at the symbol itself.

Indication elements might be grabbed anywhere in there area.

Visualization element containing controls may only be grabbed at there border. Controls can not be grabbed.

Control dialog, popping up when the visualization element gets touched, must be grabbed at there border.

Selection

There is the opportunity to locate several visualization element in parallel. Therefore select first all visualization element of interest.

To select multiple visualization elements click them with the shift button pressed. Alternatively enclose them with the selection rectangle (Click the mouse in the background area and move it over the elements to be selected). All elements touched by the rectangle will be selected.

Selected visualization elements are shown with a fat, blue, dash dotted border.

To include and exclude single elements from a multi selection, click them with the shift button pressed.

Selected element may be moved with the arrow keys as well.
Alignment

Aligned elements are highlighted by the editor in case they get selected:

The blue, dash dotted border frame indicates that scene block has been selected. It has been clicked by the mouse.

The various guide lines show to which of the other elements the scene block is aligned.

In this sample the vertical blue line indicates that the scene block is left aligned to the temperature element. The blue coloring of the selection frame of the temperature element indicates that the vertical guide line references the temperature element.

The violet lines indicate that the element is aligned to other elements of the same type. In this sample an other light element.

The fat line indicate the center alignment of the elements.

Selected element can be aligned using context menu functions. Therefore select all element to be aligned including the one which shall be used as the reference. Then click the right mouse button on the reference element and select the alignment operation you like.

cross-references
The Design mode

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


The Presentation mode

The inhabitants use this mode. Within this mode a fingertip might control all visualization elements.

To return to the design mode press the restore button.

cross-references
Operation/Visualization
Automatic return to the main page

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Automatic return to the main page

One of the floor tabs might be configured as the “main page”. If the user doesn’t interact with the system for a configurable period of time, then myHomeControl® returns to the “main page” automatically.

The return to the mainpage is only processed by the system if it is in presentation mode.

After the return to the “main page” only a configurable set of floor tabs is shown and can be selected by the user.

Sample:

The floor tab „Ground floor“ has been configured to be the main page (home). There is a link object located on this tab. It points to a hidden tab „Service“.

As soon as the link object gets clicked by the user, myHomeControl® shows and selects the tab „Service“ as shown below.

The link object is configured to show all tabs.

If the user stops interaction with the system the „return to main page“ delay starts. If the delay expires, then myHomeControl® automatically selects the tab configured as main page and hides all tabs which are not configured to be shown at this stage.

The configuration of the „return to main page“ feature is to be done in the general settings menu.

cross-references
The Presentation mode

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization elements

There are several visualization elements available to be placed either in the floor workspace area or in the general controls workspace area. These visualization elements represent sensors, actuators or even logical functions. The visualization element shows the actual state of the corresponding device. The visualization element also provides controlling of the corresponding device.

Examples of visualization elements:

Typically the visualization element can be adapted to a certain situation in a floor plan. Therefore some visualization elements provide dedicated pick dots [image] to adjust the size or e.g. the illumination range. Additional adaptation options can be selected opening the property dialog of the visualization element.

Each of the visualization elements relates to a corresponding block in the network area. Within the network area the element will be interconnected with other functions.

cross-references
Operation/Visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Zoom

myHomeControl® Version 1.2.8

* Visualization Element Zoom

In case the rooms in a floor plan are to small to place visualization elements in it, then a Zoom visualization element might be used. This is usually the case, if a floor plan contains many rooms as e.g. in office buildings.

The Zoom visualization element represents e.g. a zoom of the room in the floor plan or an other view of a room. This element can only be placed in the floor plan area.

Click or touch the Zoom visualization element to zoom into the room. A new window opens. A detailed plan of the room can be loaded. Visualization elements for actuators and sensor can be placed on the room plan.

Depending on the chosen appearance of the Zoom visualization element, it will become fully transparent when changing to the presentation mode.

You are free to resize the room plan, to get enough space to insert additional visualization elements.

In case a Zoom visualization element has been dragged into a floor, the system allocates a corresponding room in the network area. This can be seen in the tree “Used Floors, Rooms and Devices”.

All visualization elements inserted into a Zoom visualization element, will be located in the corresponding room. They can be found in the network view as well.

A periode of time can be configured for the zoom element to close it automatically if there is not interaction by the user. Refer to the settings of the zoom element.
Regard: automatic close will only be performed in case the system is in presentation mode.

cross-references
Operation/Visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Sensor Visualization Elements

Typically these visualization elements show the measured values of the sensor devices.

cross-references
Operation/Visualization
Visualization Element Brightness
Visualization Element Camera
Visualization Element Counter 1
Visualization Element Electric Meter
Visualization Element Keycard Switch
Visualization Element Leakage
Visualization Element Presence Indication
Visualization Element PTM Radio Button
Visualization Element PTM Radio Button 8
Visualization Element Radio Chair
Visualization Element Receive(analog)
Visualization Element Room Temperature Sensor
Visualization Element Temperature
Visualization Element Window Contact
Visualization Element Window Handle

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Brightness

myHomeControl® Version 1.2.8

* Visualization Element Brightness

This visualization element represents a brightness sensor. Optionally it provides a trend-recording feature.

Refer to chapter Brightness to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the presence indication sensor icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are different appearances available for this visualization element:

If simulation is enabled, the visualization element changes the state on each click.

List of the available appearances.

Appearance specific configuration items.

Configuration of the trend (see pictures below). For details refer to next paragraph.

Position of the visualization element within the floor plan.

Size of the element or border.

Trend

If “Save Data” has been activated, then the trend will be presented with the same data also after a startup of myHomeControl. But this requires some disk space in the project database. So in case disk space is very limited, this option should not be activated.

The export – button stores the logged trend values to a comma-separated file.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

Additional information dialog

The actual brightness value will be recorded and presented in form of a trending diagram.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Camera

myHomeControl® Version 1.2.8

* Visualization Element Camera

This visualization element displays the pictures of a web cam.

Refer to chapter Camera to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the window contact icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are 2 different appearances available for this visualization element:

Camera:

This appearance displays the pictures of the web cam directly on the ground floor plan. The optional buttons will be shown within the picture frame.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Picture:

This appearance shows a picture of your choice on the ground floor plan. A click on that picture opens a dialog showing the pictures of the camera. The optional buttons are located on the same dialog.

Dialog of the visualization element, which pops up in case the camera symbol has been touched.

.

Thumbnail:

This appearance displays the pictures of the web cam directly on the ground floor plan. . A click on that picture opens a dialog showing the pictures of the camera. The optional buttons are located on the same dialog.

Dialog of the visualization element, which pops up in case the camera symbol has been touched.

.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Counter 1

myHomeControl® Version 1.2.8

* Visualization Element Counter 1

This visualization element represents a counter sensor.

Refer to chapter Counter 1 to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the presence indication sensor icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Electric Meter

myHomeControl® Version 1.2.8

* Visualization Element Electric Meter

This visualization element represents an electric meter sensor.

Refer to chapter Electric Meter to find details about the network functionalities.

Regard the option to establish a connection to Google PowerMeter.

Appearance in the floor plan area:

Drag in the presence indication sensor icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.
Indication without tariff information

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Indication with tariff information
- actual consumption/income

- Meter reading tariff 0

- Meter reading tariff 1

- Actual tariff

Settings of the visualization element

Shows the name of the block in the visualization element.

Description string of the trend graph.

Color of the trend graph.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Keycard Switch

myHomeControl® Version 1.2.8

* Visualization Element Keycard Switch

This visualization element represents a Keycard Switch.

Refer to chapter Keycard Switch to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the presence indication sensor icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are different appearances available:

Symbol:

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Picture:

There is the opportunity to define an individual image for each state (keycard removed, keycard inserted).

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Leakage

myHomeControl® Version 1.2.8

* Visualization Element Leakage

This visualization element represents a Keycard Switch.

Refer to chapter Leakage to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the presence indication sensor icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are different appearances available:

Symbol:

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Picture:

There is the opportunity to define an individual image for each state (leak proof, leaking, battery bad).

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Presence Indication

myHomeControl® Version 1.2.8

* Visualization Element Presence Indication

This visualization element represents the state of a presence indication sensor.

Refer to chapter Presence Indication to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the presence indication sensor icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are different appearances available for this visualization element:

If simulation is enabled, the visualization element changes the state on each click.

List of the available appearances.

Appearance specific configuration items.

Position of the visualization element within the floor plan.

Size of the element or border.

wall mounted | ceil mounted |
 |  | The supervision area is free. Place the symbol with the mouse at any location of the floor plan. Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.
 |  | The supervision area is occupied.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element PTM Radio Button

myHomeControl® Version 1.2.8

* Visualization Element PTM Radio Button

This visualization element represents one or more channels of PTM radio button. This enables the user to operate the PTM radio button on the screen.

This visualization element can be placed in either the floor plan area or the general controls area.

There are Appearances for the floor plan area and the general controls area.

The chapter PTM Radio Button describes the network functionality in detail.

Appearance in the floor plan area:

In case of a finger tip on the visualization element a control dialog will be opened.

Within the design mode the visualization element has to be tipped for about 3 seconds until the control dialog appears. myHomeControl has to differentiate it the reason for the fingertip is to move the visualization element or to open the control dialog.

Control dialog

The number of shown buttons depends on the amount of channels defined in the PTM radio button block.

To name the buttons use the property dialog of the visualization element.

Property dialog

Select type of buttons

Select an appearance for the buttons

This dialog provides an input field for each button of the PTM radio button device. Type the name for the buttons into the corresponding input field.

It is also possible to load an image on a button, press the corresponding picture button.

Position of Visualization Element in the floor plan.

Appearance in the general controls area:

This visualization element only represents one channel of a PTM radio button device. Dragging and dropping the same PTM radio button from the tree view „used floors, room and devices“ can insert this visualization element several times. Each instance of the visualization element can be configured to represent a specific channel of the PTM radio button.

ç The black rectangle opens the property dialog.

Property dialog

Channel

Defines which button pair is represented by this visualization element.

Switch mode

The visualization element stores the last key pressed and snaps in the corresponding button. This indicates which function has been activating last. In this mode also for OFF a picture can be assigned.

Button side by side

The buttons will be rearranged.

Button text

Naming of the buttons. Also a picture can be selected for each button. These pictures will be shown on the left side of the button.

Hiding Buttons

Either the ON or the OFF button might be hidden. Remove the Button Text and the picture to hide the corresponding button.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element PTM Radio Button 8

myHomeControl® Version 1.2.8

* Visualization Element PTM Radio Button 8

This visualization element represents a 8 fold PTM Radio Button or a 8 fold wireless transmitter unit. This element is a combination of 8 PTM Radio Button elements.

When you drag in a PTM Radio Button 8 icon, a PTM Radio Button visualization element representing the first channel of the 8 fold sensor will be placed into the floor plan area. The other channels can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (8.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter PTM Radio Button 8 to find details about the network functionalities.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Radio Chair

myHomeControl® Version 1.2.8

* Visualization Element Radio Chair

This visualization element represents a chair indication its occupancy state by a radio signal. The visualization element indicates if a chair is occupied or free.

Refer to chapter Radio Chair to find details about the corresponding network functionalities.

Appearance in the floor plan area:

Drag in the RoomTemperatureControl from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices”.

Touch the symbol with a fingertip to open the additional information dialog. This dialog shows minimal and maximal temperature values and the trending of the temperature.

There are different appearances available for this visualization element:

If simulation is enabled, the visualization element changes the state on each click.

List of the available appearances.

Appearance specific configuration items.

Position of the visualization element within the floor plan.

Size of the element or border.

Icon:

The chair is free.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

The chair is occupied.

Picture:

There is the opportunity to define an individual image for each state (occupied, free).

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Receive(analog)

myHomeControl® Version 1.2.8

* Visualization Element Receive(analog)

This visualization element is used to show analogue signals of a controller.

Refer to chapter Receive(analog) to find details about the network functionalities.

There are Appearances for the floor plan area and the general controls area.

Appearance in the floor plan area:

Drag in the temperature sensor from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Touch the symbol with a fingertip to open the additional information dialog. This dialog shows minimal and maximal temperature values and the trending of the temperature.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

There are various signal types e.g. brightness, wind speed available. The signal type has to be selected in the settings of the corresponding network block.

Color of the Display:

There is a configuration option to configure the color of the text according the value. Following table defines the treshold values and the corresponding colors:

The configured color is used for the text as long as the temperature value is between the treshold value in the same row and the treshold value on the next row.

In the sample shown on the left side a value of 6 would be written in green.

Appearance in the general controls area:

This element can not be placed in the general controls area.

Additional information dialog

The actual value will be recorded and presented in form of a trending diagram.

Also the minimal and the maximal value will be recorded. Press the button to reset the stored values.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Room Temperature Sensor

myHomeControl® Version 1.2.8

* Visualization Element Room Temperature Sensor

This visualization element represents a room temperature sensor unit. It shows the actual temperature measured by the unit. Depending on the configuration it also shows the set point setting and the selected operation mode of the unit. The visualization element records minima and maxim values as well as a trend.

There are Appearances for the floor plan area and the general controls area.

Refer to chapter RoomTemperatureControl to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the RoomTemperatureControl from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices”.

Touch the symbol with a fingertip to open the additional information dialog. This dialog shows minimal and maximal temperature values and the trending of the temperature.

Actual temperature act. Temp. + Wheel position of the Set point adjustment act. Temp. + Set point temp. + Heating mode | Place the symbol with the mouse at any location of the floor plan. Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation. Depending on the type of the RoomTemperatureControl-Unit additional information’s will be shown.
 | Properties dialog Simulation enables to enter values for the different signals even in the presentation mode. This is for demo or test purposes. Configuration of the trend (see pictures below). For details refer to next paragraph.

Trend

If “Save Data” has been activated, then the trend will be presented with the same data also after a startup of myHomeControl. But this requires some disk space in the project database. So in case disk space is very limited, this option should not be activated.

The export – button stores the logged trend values to a comma-separated file.

Appearance in the general controls area:

Place the symbol with the mouse at any location of the tab.

Depending on type of the RoomTemperatureControl and the property settings, different additional information’s will be shown

Following supplementary information is available. The visualization of this information is configurable:

Minimal and maximal temperature

The temperature profile as trending diagram

Additional information dialog

The values on the left hand side shows the actual temperature and the temperature setpoint value used by the heating control. If the temperature reference curve (as shown in this sample) has been enabled, then the temperature setpoint is calculated by the reference setpoint (curve) and the setpoint offset (wheel at the physical sensor).

The actual temperature and the set point setting will be recorded and presented in form of a trending diagram.

Also the minimal and the maximal temperature will be recorded. Press the button to reset the stored values.

Temperature Reference Curve

The value shown within the temperature setpoint curve frame indicates the actual setpoint value retrieved from the curve.

The graph shows the progression of the reference curve used today.

Clicking the graph opens the editor for temperature reference curves:

This editor enables the user to adjust the curve(s) and tune the behaviour of the heating.

The curves can be modified by draging one of the red control pads or be draging on of the yellow slider controls. By clicking the corresponding sectors of the red pads, fine tuning can be done.

In case a yellow slide is going to be dragged, automatically an additional red pad appears. To get rid of a superfluous pad adjust it in line with two other pads. Superfluous pads will be deleted by the editor automatically.

There is the opportuninty to create up to 7 reference curves which can be assigned to individual days of the week.

The + button copies the selected curve and inserts the new curve directly after the selected curve.

The – button deletes the selected curve.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Temperature

myHomeControl® Version 1.2.8

* Visualization Element Temperature

This visualization element represents a temperature sensor. It shows the actually measured temperature. The visualization element records minima and maxim values as well as a (profile) trend.

There are Appearances for the floor plan area and the general controls area.

Refer to chapter Temperature to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the temperature sensor from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Touch the symbol with a fingertip to open the additional information dialog. This dialog shows minimal and maximal temperature values and the trending of the temperature.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Color of the Display:

There is a configuration option to configure the color of the text according the temperature value. Following table defines the treshold values and the corresponding colors:

The configured color is used for the text as long as the temperature value is between the treshold value in the same row and the treshold value on the next row.

In the sample shown on the left side a temperature value of 6° would be written in green.

Appearance in the general controls area:

Place the symbol with the mouse at any location of the tab.

Depending on type of the RoomTemperatureControl and the property settings, different additional information’s will be shown

Following supplementary information is available. The visualization of this information is configurable:

Minimal and maximal temperature

The temperature profile as trending diagram

Additional information dialog

The actual temperature will be recorded and presented in form of a trending diagram.

Also the minimal and the maximal temperature will be recorded. Press the button to reset the stored values.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Window Contact

myHomeControl® Version 1.2.8

* Visualization Element Window Contact

This visualization element represents a window contact sensor.

Refer to chapter Window Contact to find details about the network functionalities.

The Window Monitoring informs about the state of all the windows.

Appearance in the floor plan area:

Drag in the window contact icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are different appearances available for this visualization element:

If simulation is enabled, the visualization element changes the state on each click.

List of the available appearances.

Appearance specific configuration items.

Position of the visualization element within the floor plan.

Size of the element or border.

The window is closed.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

The window is open.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

Application sample

Refer to window monitoring.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Window Handle

myHomeControl® Version 1.2.8

* Visualization Element Window Handle

This visualization element represents a window handle sensor.

Refer to chapter Window Handle to find details about the network functionalities.

The Window Monitoring informs about the state of all the windows.

Appearance in the floor plan area:

Drag in the window handle icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are different appearances available for this visualization element:

If simulation is enabled, the visualization element changes the state on each click.

Position of the visualization element within the floor plan.

Size of the element or border.

The window is closed.

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

The window is open.

The window is tilt.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

Application sample:

The window monitoring provides status overview about all the windows.

cross-references
Sensor Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Actuator Visualization Elements

These visualization elements show status of the corresponding actuator and allow its control.

cross-references
Operation/Visualization
Visualization Element Dimmer
Visualization Element Dimmer 10
Visualization Element Jalousie 1
Visualization Element Jalousie 2
Visualization Element Jalousie 4
Visualization Element Jalousie 12
Visualization Element Switch 1
Visualization Element Switch 2
Visualization Element Switch 4
Visualization Element Switch 8

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Dimmer

myHomeControl® Version 1.2.8

* Visualization Element Dimmer

This visualization element represents a dimmer actuator.

Refer to chapter Dimmer to find details about the network functionalities.

Properties dialog:

There are different appearances available for this visualization element:

If indication only is checked, then the light cannot be switched on or off anymore from the visualization screen.

List of the available appearances.

Appearance specific configuration items.

Position of the visualization element within the floor plan.

Appearance in the floor plan area:

Drag in the dimmer icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Pick up the light at the light symbol to move it to any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Turn on and off the light with a fingertip on the light symbol.

In case the dimmer doesn’t operate in the switch mode (property setting in network view), a slider is available to adjust the light intensity. Reside on the symbol until the slider appears.

In the presentation mode the slider pops up immediately after tipping the finger on the light symbol.

Dimming actuators supporting the EEP 07-38-02 or any STM telegrams

New generation dimmer actuators, supporting the STM protocol, the slider button might be used to adjust the light intensity.

Move the slider with the finger.

The red value indicates the actual intensity set point. Click on it to adjust it.

The tree buttons below the intensity indication are preset buttons. By clicking one of the buttons the corresponding intensity set point is sent to the dimming actuator. By keeping the button pressed for a while the button takes over the actual intensity set point and stores it. This is acknowledged by yellow coloring of the button.

Dimming actuators NOT supporting the EEP 07-38-02 or any STM telegrams

These kind of dimming actuator only support a touch dim function. Therefore it is not possible to transmit a intensity value directly to the actuator.

The up and down buttons control the light intensity as the do with real PTM radio buttons.

Application sample

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Dimmer 10

myHomeControl® Version 1.2.8

* Visualization Element Dimmer 10

This visualization element represents a 10 fold dimmer actuator. This actuator is a combination of 10 single dimming actuators.

When you drag in a dimmer 10 icon, a dimmer 1 visualization element representing the first channel of the 10 fold dimming actuator will be placed into the floor plan area. The other channels can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (10.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter Dimmer 10 to find details about the network functionalities.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Jalousie 1

myHomeControl® Version 1.2.8

* Visualization Element Jalousie 1

This visualization element represents a jalousie actuator. It might be used for blinds and rolling shutters. The jalousie can be controlled using this visualization element.

Refer to chapter jalousie 1 to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the jalousie 1 icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

There are different appearances available for this visualization element:

Jalousie:

Pick up the light at the light symbol to move it to any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Open the control dialog with a fingertip on the jalousie symbol. Press for at least 1 second if you are in the design mode.

* A long tip on this button drives the jalousie to its upper end position. A second tip stops the movement.
A short tip initiates the tip mode. Within this mode the jalousie runs as long as the button is pressed.

* A long tip on this button drives the jalousie in its lower end position. A second tip stops the movement.
A short tip initiates the tip mode. Within this mode the jalousie runs as long as the button is pressed.

A long tip on this button drives the jalousie to a configured middle position. After reaching this position the jalousie will be adjusted. Refer to jalousie properties in the network area.

Sunblind / Rolling Shutter:

The direction is configurable.

Downwards, upwards, to the left, to the right

Instead to the green-white stripped drapery an image might be loaded.

State indications

The jalousie is in its upper position |
The jalousie is completely lowered. This is the darkening position. | The jalousie is partly lowered. This is the shading position.
The jalousie is moving downwards. | The jalousie is moving upwards.

Application sample

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Jalousie 2

myHomeControl® Version 1.2.8

* Visualization Element Jalousie 2

This visualization element represents a double jalousie actuator. This actuator is a combination of 2 single jalousie actuators.

When you drag in a jalousie 2 icon, a jalousie 1 visualization element representing the first channel of the quad jalousie actuator will be placed into the floor plan area. The other channels can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (2.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter Jalousie 2 to find details about the network functionalities.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Jalousie 4

myHomeControl® Version 1.2.8

* Visualization Element Jalousie 4

This visualization element represents a quad jalousie actuator. This actuator is a combination of 4 single jalousie actuators.

When you drag in a jalousie 4 icon, a jalousie 1 visualization element representing the first channel of the quad jalousie actuator will be placed into the floor plan area. The other channels can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (4.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter Jalousie 4 to find details about the network functionalities.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Jalousie 12

myHomeControl® Version 1.2.8

* Visualization Element Jalousie 12

This visualization element represents a quad jalousie actuator. This actuator is a combination of 12 single jalousie actuators.

When you drag in a jalousie 12 icon, a jalousie 1 visualization element representing the first channel of the 12 fold jalousie actuator will be placed into the floor plan area. The other channels can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (12.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter Jalousie 12 to find details about the network functionalities.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Switch 1

myHomeControl® Version 1.2.8

* Visualization Element Switch 1

This visualization element represents a single switch actuator. But it can be used to switch all kinds of electrical consumers e.g. fans, pumps,…

Refer to chapter switch 1 to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the switch 1 icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Properties dialog:

There are different appearances available for this visualization element:

If indication only is checked, then the light cannot be switched on or off anymore from the visualization screen.

List of the available appearances.

Appearance specific configuration items.

Position of the visualization element within the floor plan.

Appearance Light (with illumination area):

Pick up the light at the light symbol to move it to any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Turn on an off the light with a fingertip on the light symbol.

Switch actuator block is OFF and in state “Blocked” e.g. due to a Load Limitation.

For details refer to Network/Switch 1.

Switch actuator block is ON and in state “Blocked” e.g. due to a Load Limitation. Therefore the physical Switch actuator is turned OFF.

For details refer to Network/Switch 1.

Appearance specific configuration:

Select an icon indicating the off state of the light. The yellow icon will always indicate the on state.

Select if there shall be an indication if an on or off delay is in progress.

A dot in the lower left corner of the icon is indicating that a delay is in progress:

off delay [image] on delay

Appearance Indication (of states):

Chose an individual symbol for each state (on, off).
Give individual texts for each state.

This appearance supports the flashing mode. If flashing mode is activated, the color of the symbol will alternate between the ON-color and the OFF-color as long as the actuator block resides in the ON-state. This feature can be activated in the properties dialog of the element. Corresponding input filed will appear, if the appearance “Indication” has been selected.

Switch actuator block in state “Blocked”. Refer to Network/Switch 1 for details.

Appearance specific configuration:

Select an icon indicating the on state of the light.

Text shown in the on state.

Select an icon indicating the off state of the light.

Text shown in the off state.

Activates flashing in the on state and defines the interval.

Select if there shall be an indication if an on or off delay is in progress.

A dot in the lower left corner of the icon is indicating that a delay is in progress:

off delay [image] on delay

Appearance Panel:

Chose an individual symbol for each state (on, off).
Give individual texts for each state.

This appearance supports the flashing mode. If flashing mode is activated, the color of the symbol will alternate between the ON-color and the OFF-color as long as the actuator block resides in the ON-state. This feature can be activated in the properties dialog of the element. Corresponding input filed will appear, if the appearance “Indication” has been selected.

Appearance specific configuration:

Select an icon indicating the on state of the light.

Text shown in the on state.

Select an icon indicating the off state of the light.

Text shown in the off state.

Activates flashing in the on state and defines the interval.

Select if there shall be an indication if an on or off delay is in progress.

A dot in the lower left corner of the icon is indicating that a delay is in progress:

off delay

on delay

Appearance Pictures

There is the opportunity to define an individual image for each state (on, off). This appearance supports the flashing mode as well.

Appearance in the general controls area:

This visualization element can also be located in the general control area. In this case is only the appearance “Indication” available.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Switch 2

myHomeControl® Version 1.2.8

* Visualization Element Switch 2

This visualization element represents a double switch actuator. This actuator is a combination of two single switch actuators.

When you drag in a switch 2 icon, a switch 1 visualization element representing the first channel of the double switch actuator will be placed into the floor plan area. The other channel can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (2.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter switch 2 to find details about the network functionalities.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Switch 4

myHomeControl® Version 1.2.8

* Visualization Element Switch 4

This visualization element represents a quad switch actuator. This actuator is a combination of four single switch actuators.

When you drag in a switch 4 icon, a switch 1 visualization element representing the first channel of the double switch actuator will be placed into the floor plan area. The other channels can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (4.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter switch 4 to find details about the network functionalities.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Switch 8

myHomeControl® Version 1.2.8

* Visualization Element Switch 8

This visualization element represents an 8-times switch actuator. This actuator is a combination of 8 single switch actuators.

When you drag in a switch 8 icon, a switch 1 visualization element representing the first channel of the double switch actuator will be placed into the floor plan area. The other channels can be found in the three view “Used Floors, Rooms and Devices”.

To insert the second channel into the floor plan, drag in the corresponding icon (8.2) from the tree view “Used Floors, Rooms and Devices”.

Refer to chapter switch 8 to find details about the network functionalities.

cross-references
Actuator Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Function Visualization Elements

These visualization elements inform about the state of certain logic functions and provide specific controls to operate them.

cross-references
Operation/Visualization
Visualization Element Absence
Visualization Element Clock
Visualization Element Consumer Monitoring
Visualization Element Design Mode
Visualization Element Display
Visualization Element Door Controller
Visualization Element Hour Meter
Visualization Element Irrigation
Visualization Element Keypad
Visualization Element Link
Visualization Element Load Limitation
Visualization Element Operator Screen
Visualization Element PIN
Visualization Element Pulse Counter
Visualization Element Run
Visualization Element Scenes
Visualization Element Shading
Visualization Element Settings
Visualization Element Window Monitoring

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Absence

myHomeControl® Version 1.2.8

* Visualization Element Absence

This visualization element is directly coupled to the corresponding logic block of the network area. It enables activation and deactivation of the absence function. This function provides a presence simulation and a temperature lowermost for energy saving.

Refer to chapter Absence to find details about the network functionalities.

Appearance in the floor plan area:

This visualization element cannot be placed in the plan floor area.

Appearance in the general controls area:

Actually some body is at home. The “present” button was pressed as last. The engaged, gray button indicates this.

The presence simulation function is now in the deactivated state.

Pressing the absent button following dialog will pop up and request a confirmation to start the absence function.

If an estimation for the date of return will be entered (which is optional), then the absence function might be able to lower the temperature set points for the different rooms for energy saving purposes.

All inhabitants logged out. Nobody is at home. The “absent” button has been pressed at last. The engaged gray button indicates this.

This example has been configured to show a corresponding picture to clarify the activated presence simulation function.

Properties dialog

Select if button should be arranged side by side or above each other.

On activates the simulation function,
Off deactivates the function.

You are free to name the buttons. Optionally insert a picture.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Clock

myHomeControl® Version 1.2.8

* Visualization Element Clock

This visualization element is directly coupled to the corresponding logic block of the network area. It indicates the time of the next event released by the clock-block.

Refer to chapter Clock to find details about the network functionalities.

Appearance in the floor plan area:

Clock

The clock is active and indicates the time of the next event

Pick up the light at the light symbol to move it to any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

The clock is inactive

The clock block will not release any events.

Picture

There is also a representation showing a picture.

In case the visualization element has been touched a control dialog will pop up. The control dialog shows a list of all configured events.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

List of events

Within this dialog events can be configured, removed or new events might be appended to the list.

These buttons move the selected event upwards or downwards.

These buttons add a new event beyond the selected event or remove the selected event.

A click on the time cell opens the time editor:

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Consumer Monitoring

myHomeControl® Version 1.2.8

* Visualization Element Consumer Monitoring

This visualization element indicates lights and other kinds of electrically consumers actually situated in the ON-state.

The shown names of lights or other consumers correspond to the names given in the network area.

Appearance in the floor plan area:

This visualization element cannot be placed in the plan floor area.

Appearance in the general controls area:

All lights and other kinds of consumers are switched off.

The house can be left now without compunction.

The light in the kitchen is actually switched on!

All lights and other kinds of consumers actually situated in the ON-state will be listed in the white list box.

Inform yourself about the situation at a glance.

A click on the light symbol turns off all consumers listed, in case this feature has been enabled within the properties dialog.

Refer to chapter Consumer Monitoring to find details about the network functionalities.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Design Mode

myHomeControl® Version 1.2.8

* Visualization Element Design Mode

This visualization enables the user to enter the Design Mode. The usage of this element is required in case the presentation mode has been set to “Full screen without menu bar” unter der general settings because there are no Window buttons available in this presentation mode.

To secure the return to the design mode a pincode request can be configured optionally in the properties dialog of the element.

Refer to chapter Design Mode to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the door controller icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Appearance in the general controls area:

This visualization element cannot be placed in the plan floor area.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Display

myHomeControl® Version 1.2.8

* Visualization Element Display

This visualization element displays the values of the signals connected to the corresponding network block. It provides trending opportunities for all these signals as well.

Refer to chapter Display to find details about the network functionalities.

Appearance in the floor plan area:

All the signals connected to the block in the network area are shown by this visualization element. The displayed names and units can be configured within the properties dialog of the network block.

The dialog with the trending pops up if the visualization element has been touched.

Configuration:

List of the available appearances.

Appearance specific configuration items.

Configuration of the trend (see pictures below). For details refer to next paragraph.

Position of the visualization element within the floor plan.

Size of the element or border.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

List of events

Within this dialog events can be configured, removed or new events might be appended to the list.

These buttons move the selected event upwards or downwards.

These buttons add a new event beyond the selected event or remove the selected event.

A click on the time cell opens the time editor:

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Door Controller

myHomeControl® Version 1.2.8

* Visualization Element Door Controller

This visualization element is directly coupled to the corresponding logic block of the network area. It visualizes the actual state of an automatic door e.g. a garage door. It also enables the user to control the door.

Refer to chapter Door Controller to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the door controller icon from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Properties dialog:

There are different appearances available for this visualization element:

List of the available appearances.

Depending on the chosen appearance, supplementary properties will be shown in this area.
A picture might be selected as texture for the door.

Position of the visualization element within the floor plan

Swivel Door (frontal view)

closed

open

Control dialog

Properties:

- Texture of Door

Swivel Door (top view, as in a floor plan)

closed

open

Control dialog

Properties:

- Texture of Door

- Direction of movement

Horizontal Sectional Door or Sliding Door (frontal view)

closed

open

Control dialog

Properties:

- Texture of Door

- Direction of movement

Vertical Sectional Door or Roller Door (frontal view)

closed

open

Control dialog

Properties:

- Texture of Door

- Direction of movement

Vertical Sectional Door or Roller Door (top view, as in a floor plan)

closed

open

Control dialog

Properties:

- Texture of Door

- Direction of movement

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Hour Meter

myHomeControl® Version 1.2.8

* Visualization Element Hour Meter

This visualization element shows the counter value of a hour meter block. The visualization element records minima and maxim values as well as a trend.

There are Appearances for the floor plan area and the general controls area.

Refer to chapter Hour Meter to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the temperature sensor from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Touch the symbol with a fingertip to open the additional information dialog. This dialog shows minimal and maximal temperature values and the trending of the temperature.

Appearance: Digital Indication

Appearance: Text

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Color of the Display:

There is a configuration option to configure the color of the text according the counter value. Following table defines the treshold values and the corresponding colors:

The configured color is used for the text as long as the counter value is between the treshold value in the same row and the treshold value on the next row.

In the sample shown on the left side a counter value of 6 would be written in green.

Appearance in the general controls area:

Place the symbol with the mouse at any location of the tab.

Depending on type of the RoomTemperatureControl and the property settings, different additional information’s will be shown

Following supplementary information is available. The visualization of this information is configurable:

A picture

The minimal and maximal value

Additional information dialog

The actual counter value will be recorded and presented in form of a trending diagram.

Also the minimal and the maximal counter value will be recorded. Press the button to reset the stored values.

resets the counter value to 0.00:00:00.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Irrigation

myHomeControl® Version 1.2.8

* Visualization Element Irrigation

This visualization element is directly coupled to the corresponding logic block of the network area. It indicates the residual humidity in the earth as well as the date and time of the last and the next irrigation cycle.

Refer to chapter Irrigation to find details about the network functionalities.

Appearance in the floor plan area:

The Irrigation function is enabled.

Pick up the light at the light symbol to move it to any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

The Irrigation function is disabled

The connected pumps will not be switched on. The estimation of the residual humidity goes on.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Keypad

myHomeControl® Version 1.2.8

* Visualization Element Keypad

This function supports Keypads up to 20 buttons.

Application sample:

Individual text might be assigned to the different keys. The keys are configurable to latch. The small LEDs in the upper right corner of the key indicate the active latching mode. A bright LED indicate a latched key.

Refer to chapter Keypad to find details about the network functionalities.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Link

myHomeControl® Version 1.2.8

* Visualization Element Link

The link function enables the user to directly open floor tabs. This function behaves similar to a link in a WEB browser.

There are some additional functions:

- Authorization
A PIN code can be configured, which has to be entered by the user before jumping to the floor tab in question.

- Hiding and show floor tabs
The link function controls optionally the visibility of the floor tabs.

Links are normal functions, which are part of the project and listed in the project tree. They have there representation in the network as well as in the visualization. Multiple instances of a link element might be placed in floor tabs.

The configuration of a link element (target floor tab, Pin code, visibility) is valid for all instances of that particular link element!

Refer to chapter Link to find details about the network functionalities.

Configuration

Select a target floor tab for the link.

Enable the PIN if PIN code shall be requested from the user before the target tab becomes visible.

List of all tab, which shall be visible after the link has been called. Those tabs configured as “always visible” will never be hidden by a link.

Appearance in the floor plan area:
Button

When clicking the button, the corresponding floor tab is going to be shown. The text on the button corresponds to the elements name.
Transparent

The link element is gray in edit mode. In presentation mode it becomes fully transparent and therefore invisible.

If the user clicks to the room containing the link element, the link is called and the corresponding floor tab is shown.

Sample: Utility room

A similar behavior can be reached using the zoom
Picture

Clicking the picture calls the link.

Appearance in the general controls area:
Button

When clicking the button, the corresponding floor tab is going to be shown. The text on the button corresponds to the elements name.

Display in presentation mode:

All hidden floor tabs are not shown.

Display in edit mode:

All floor tabs are shown all the time. The hide state of the floor tabs is indicated by icons on the tab:

Invisible Visible always visible
Setting of the floor tab

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Load Limitation

myHomeControl® Version 1.2.8

* Visualization Element Load Limitation

The visualization element Load Limitation informs about the actual consumed load (e.g. power in kW). It also indicates if consumers have been blocked (turned off) to prevent overload.

A trend shows the consumption over the time.

Refer to chapter Load Limitation to find details about the network functionalities.

Appearance in the floor plan area:

This visualization element cannot be placed in the general controls area.

Appearance in the general controls area:

Power consumption level is below the limit. The consumption is shown as a trend:

green: Power Limit

blue: consumed power

red: power consumed in case no consumer would have been blocked (turned off).

The actually consumed power is above the limit. Therefore the indication is red.

The overload situation doesn’t actually conflict one of the defined conditions. Therefore none of the consumers has been blocked.

The actual power consumption is below the limit. But consumers have been blocked. Soon some consumers will be released (turned on again).

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Operator Screen

myHomeControl® Version 1.2.8

* Visualization Element Operator Screen

This visualization element reacts on operator events on the screen, e.g. change of active floor tab page. For instance the corresponding network block sends an ON command if the floor tab page gets selected by the operator.

Refer to chapter Operator Screen to find details about the network functionalities.

Appearance in the floor plan area:

*

This symbol is only shown in the design mode. In the presentation mode it will be.

Settings:

Following configurations are available:

Register has been selected:

The corresponding network block sends an ON command in case the operator selects the floor tab containing this visualization element. As soon as the floor tab becomes invisible, the network block sends an OFF command.

Design mode is active:

The corresponding network block sends an ON command in case the design mode has been entered. As soon as the presentation mode is active, the corresponding network block will send an OFF command.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element PIN

myHomeControl® Version 1.2.8

* Visualization Element PIN

This visualization Element is used to operate the PIN function. The PIN function might be used to request the user to input PIN codes.

Refer to chapter PIN to find details about the network functionalities.

Appearance in the floor plan area:

This visualization element cannot be placed in the general controls area.

Appearance in the general controls area:

Following dialogue appears if the user is requested to enter the PIN code:

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Pulse Counter

myHomeControl® Version 1.2.8

* Visualization Element Pulse Counter

This visualization element shows the counter value of a pulse counter block. The visualization element records minima and maxim values as well as a trend.

There are Appearances for the floor plan area and the general controls area.

Refer to chapter Pulse Counter to find details about the network functionalities.

Appearance in the floor plan area:

Drag in the temperature sensor from the tree views “New Floors, Rooms and Devices” of “Used Floors, Rooms and Devices” into the floor plan area.

Touch the symbol with a fingertip to open the additional information dialog. This dialog shows minimal and maximal temperature values and the trending of the temperature.

Appearance: Digital Indication

Appearance: Text

Place the symbol with the mouse at any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Color of the Display:

There is a configuration option to configure the color of the text according the counter value. Following table defines the treshold values and the corresponding colors:

The configured color is used for the text as long as the counter value is between the treshold value in the same row and the treshold value on the next row.

In the sample shown on the left side a counter value of 6 would be written in green.

Appearance in the general controls area:

Place the symbol with the mouse at any location of the tab.

Depending on type of the RoomTemperatureControl and the property settings, different additional information’s will be shown

Following supplementary information is available. The visualization of this information is configurable:

A picture

The minimal and maximal value

Additional information dialog

The actual counter value will be recorded and presented in form of a trending diagram.

Also the minimal and the maximal counter value will be recorded. Press the button to reset the stored values.

resets the counter value to 0.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Run

myHomeControl® Version 1.2.8

* Visualization Element Run

This visualization Element enables the user to start a windows application e.g. the internet explorer.

Refer to chapter Run to find details about the network functionalities.

Appearance in the floor plan area:

Appearance: Buttons

Press the button to start the application configured in the network block.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Scenes

myHomeControl® Version 1.2.8

* Visualization Element Scenes

This visualization element enables the user to activate stored scenes.

The scenes can be teached by driving all the scene participants into their desired state. After the setup of the scene press the corresponding scene activation button for about 5 seconds (until it changes its color to yellow) to store the new setup of the scene.

There are Appearances for the floor plan area and the general controls area.

Refer to chapter Scenes to find details about the network functionalities.

Appearance in the floor plan area:

Open the control dialog of the scenes visualization element with a fingertip to activate a scene for your convenience.

In the design mode you have to click the symbol for about 3 seconds until the control dialog will pop.

Control dialog

Activate the scene of your convenience with a fingertip on the corresponding button.

If you press the button for about 5 seconds the states of the scene participants will be read back by the scene controller and will be stored as new set point values of the scene (teaching).

Properties dialog

Independent of the scene names given in the networks you may name the scenes individually for the presentation view.

The checkboxes below the glasses symbol define if the corresponding scene button is visible. ”Hidden” scenes are activated via the corresponding input pin of the network block.

Appearance in the general controls area:

Activate the scene of your convenience with a fingertip on the corresponding button.

If you press the button for about 5 seconds the states of the scene participants will be read back by the scene controller and will be stored as new set point values of the scene (teaching).

Properties dialog

Independent of the scene names given in the networks you may name the scenes individually for the presentation view.

Alternatively a picture can be selected. This function is not yet available.

The checkboxes below the glasses icon control wether the corresponding scene button is visible or not. ”Hidden” scenes are activated via the corresponding input pin of the network block.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Shading

myHomeControl® Version 1.2.8

* Visualization Element Shading

This visualization element is directly coupled to the corresponding logic block of the network area. It indicates the conditions controlling the shading. A click on the Visualization Element opens the control dialog for the shading conditions. This dialog provides input fields for the set points for brightness, wind speed and temperature.

Refer to chapter shading to find details about the network functionalities.

Appearance in the floor plan area:

Tiny little icons indicate the shading conditions in the appearance “Conditions”.

Shading is active.

Pick up the light at the light symbol to move it to any location of the floor plan.

Change the size of the visualization element by pulling the adjustment dot [image] and adapt it to the situation.

Shading is inactive.

The connected Jalousies will not be lowered.

The shown icons indicate the actual states of the shading conditions. Shading will only be performed in case all conditions are fulfilled.

ok not ok |
 | Indicates if sunlight covers the window.
 | Indicates if brightness is above the brightness set point.
 | Indicates strong winds.
 | Indicates if temperatures are within the set point ranges.

Control Dialog:

Shading is connected to various conditions. Shading takes place only if all conditions are fullfilled.

A green check indicates a fullfilled condition, a red cross indicates that the condition is not fullfilled.

Within the control dialog of the shading function, the various treshold values for the conditions might be modified.

Condition Temperature:

- Shading is suppressed In case the in temperature is below the minimum set point.

- Shading will be processed in case in temperature is above the maximum set point.

- In case the in temperature is between min. and max set point, then shading will be processed if the out temperature is above the out temp. set point.

Click on a set point – input field to open the „calculator“ and to edit the set point value:

Brightness / Rain

Click the input field to edit the treshold value for the brightness.

The actual brightness value is below the configured treshold value. Therefore this condition is not fullfilled.

A rain sensor or a weather station as been connected to the shading function. Actually there is rain. Therefore this condition is not fullfilled.

Wind

Click the input field to edit the treshold value for the brightness.

Temperature

- Shading is suppressed In case the in temperature is below the minimum set point.

- Shading will be processed in case in temperature is above the maximum set point.

- In case the in temperature is between min. and max set point, then shading will be processed if the out temperature is above the out temp. set point.

Time frame

Start of frame end of frame

Only during the time frame shading takes place.

Blocking periode

The blocking periode is started after every command of the shading function. The blocking periode avoids rapid up and down movements of the jalousie. Press the button to reset the blocking periode.

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Settings

myHomeControl® Version 1.2.8

* Visualization Element Settings

This visualization Element shows a list of parameters and there values. It enables the user to modify the parameter values by finger tipping a value.

Refer to chapter Settings to find details about the network functionalities.

Appearance in the floor plan area:

Appearance in the general controls area:

This visualization element cannot be placed in the general controls area.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Visualization Element Window Monitoring

myHomeControl® Version 1.2.8

* Visualization Element Window Monitoring

This visualization element indicates open or tilt windows.

The shown names of windows or doors correspond to the names given in the network area.

Appearance in the floor plan area:

This visualization element cannot be placed in the plan floor area.

Appearance in the general controls area:

All windows or doors are closed.

The house can be left now without compunction.

The French window to the balcony is open!
All other windows and doors are closed.

All open windows or doors will be listed in the white list box.

The French window to the balcony is tilt!
All other windows and doors are closed.

All tilt windows or doors will be listed in the white list box.

The open windows/doors and the tilt windows/doors will be listed separately.

Refer to chapter Window monitoring to find details about the network functionalities.

cross-references
Function Visualization Elements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Network

Select the Network-tab to enter the network area. Within the network area the devices will be interconnected and additional functionalities can be defined.

List of used blocks

List of avaliable block types

Abgerundete rechteckige Legende: Tabs of all the rooms.

cross-references
Introduction
Floors and Rooms
Handling Blocks
Properties of Blocks
Pins
Connections
Commands
Device type and location information
Automatic Cascading
Disable Editing
Send only LRN telegrams
Actuators
Logic
Sensors
Comment

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Introduction

The programming work is done by drag and drop of blocks representing sensor and actuator devices or convenience functions. And by interconnecting them with mouse clicks.

Blocks represent sensor or actuator devices or convenience functions.

PTM radio button

Switch actuator

Jalousie actuator

The Connections between the blocks forward commands and signals.

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Floors and Rooms

myHomeControl® Version 1.2.8

* * Floors and Rooms

Usually are sensor or actuator devices located in the rooms of a building. Rooms and Floors will be used as structuring utility within the project.

Floors and Rooms can be created within the network area.

The Floors and Rooms serve as the workspace area to insert blocks and connect them.

 Create a new floor by dragging in a floor symbol from the tree view “new floors, rooms and devices” into the workspace area.
Create a new room by dragging in a room symbol from the tree view “new floors, rooms and devices” into the workspace area of a floor.

‚ Rename a floor or room by clicking on the name. A cursor will appear to edit the actual name.

Delete a Floor or Room by clicking the right mouse button somewhere in the free workspace area. The context menu pops up, click delete.

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Handling Blocks

 Create a new block by dragging in the corresponding block symbol from the tree view “New Floors, Rooms and Devices” and drop it into the workspace area.

‚ Insert an existing block from an other room by dragging in the corresponding block symbol from the tree view “Used Floors, Rooms and Devices” and drop it into the workspace area. Radio signals are able to pass walls. There might be a PTM radio button located e.g. in the staircase providing the function “All Lights OFF”.
The dotted border around the block indicates that the blocks origin location is in an other room.

ƒ To setup a block hover the mouse over the property symbol [image]. The Properties dialog will pop up automatically.

Delete a block via the context menu (right mouse button click on the block).
If you delete a block reference (block surrounded by a dotted line) the block will only be removed from the actual room but still resides in its origin room. All connections to the blocks in the actual room will be removed.

Connections, Pins

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Properties of Blocks

All the blocks provide a properties dialog to setup the block. This is useful to adapt its behavior to the actual situation.

 Hover the mouse over the black rectangle, which is the property symbol, to open the properties dialog. The dialog will pop up automatically.

‚ Close the dialog by clicking on the exit button.

* Opens the blocks help.

* Opens the dialog to enter device type and location information.

Closes the dialog.

cross-references
Network
Background coloring

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Background coloring

In certain situations the background of the network block is colored:

means not licensed, this block will not be executed.

means not fully configured, no address has been assigned to this block or no sensor has been assigned to this block.
In case of virtual devices e.g. PTM Radio Buttons, the checkbox „virtual“ has to be checked in the address edit field. This removes the background coloring and conforms to the configuration check function.

cross-references
Properties of Blocks

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Pins

The blocks provide different types of pins for input and/or output signals:

* Command output sends commands like ON and OFF.

* Signal output sends an analogue value (64bit floating point values).

Multiple output sends individual values to the connected blocks.

* Command input receives ON/OFF commands and triggers the blocks evaluation algorithm. In case of a logic block, the block might create new commands. In case of an actuator block, the block might send out some radio messages.

* Signal input receives signals and triggers the blocks evaluation algorithm. This may case the generation of new commands.

* Observer command input receives ON/OFF commands and triggers the evaluation loop. But the block will not generate any radio messages; it will only update its internal state. Refer to Operational reliability for further details.

Connections, Commands

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Connections

The connections between the blocks forward commands or signals from the predecessor block to the successor block (usually from the left to the right).

The connections connect the block using their pins (e.g. ).

Source pins are always located on the right side of the blocks. Sink pins are always located on the left side of the blocks. Data flows always from the source pin to the sink pin.

To create a connection first click the source pin, then click the sink pin. To delete a connection click the pins in the same order.

 To create a connection, click first the corresponding source pin. The pin will change its color to red.
Move the mouse to the corresponding sink pin. Whenever the mouse hovers over a compatible sink pin the pin will color red. Click the sink pin to terminate the connection process.
To leave the connection mode without defining a connection, just click somewhere in the empty workspace area.

‚ To delete a connection click first the source pin then the sink pin.

Pins, Commands

List of all connections

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Commands

Commands will be generated by blocks and forwarded though their output pins. If there is a successor block connected to this output pin, then it receives the generated commands.

The switching actuator block receives the commands from the PTM block via the connection.

* Forwards commands to the connected blocks.

There are following commands:

Commands carrying key press information („v+^“)
- ONv |  | Indicates an I-key has been pressed.
- ON^ |  | Indicates an I-key has been released.
- OFFv |  | Indicates an O-key has been pressed.
- OFF^ |  | Indicates an O-key has been released.
- TOGGLEv |  | This command is generated by a toggle block. It forces the consumer block to change its corresponding state. It indicates that any key has been pressed.
- TOGGLE^ |  | Indicates any key has been released.
Commands without key press information
- ON | Logic blocks e.g. Clock generate this kind of commands. This command doesn’t carry any information about key press duration. The different block react on this kind of commands in an appropriate way e.g. a dimmer switches on or a jalousie runs to its end point.
- OFF | See ON.
- TOGGLE | This command is generated by a toggle block in case it receives an ON or OFF command.

Typically the v- + ^-command will be generated by button sensors.

The commands without key press information are typically generated by logic blocks e.g. Clock, Day Light, etc. The reaction on this kind of commands is different form block to block. It is described in the block specific sections of this document.

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Device type and location information

Supplementary information about the concrete product type the location of the device within the building, the labeling might be entered in this dialog.

The column “compatible” indicates products, which are compatible to the selected product. Compatible means that the selected products might be replaced by one of the indicated ones. This is just a suggestion. Check the data sheets for details.

This information will be required by the device list. Refer to List of all Devices.

Access this dialog from the properties dialog of the sensor and actuator blocks by pressing the button [image].

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Automatic Cascading

Control commands to actuator blocks, which send time critical radio commands to their physical actuators, are cascaded automatically.

Some media e.g. EnOcean radio gateways have limited bandwith for transmition of radio telegrams. Therefore only a limited amount of messages can be transferred in a certain time frame.

Problem:

In the configuration shown on the left side, the shading block sends a command to lower the blinds to all jalousie actuator blocks at a certain point in time. Each of the jalousie actuator blocks sends out various radio messages to its linked physical jalousie actuator to command it into the shading position. A gateway transmits these radio messages. The gateway transmits message by message, which will take a while.

To position the blinds precisely, accurate timings are required for the transmission of the radio messages. The required accuracy can not be achived by the system in case radio messages are jamed in the gateways transmit queue.

The cascading feature delays the transfer of commands between the blocks individually to avoid message jams in the transmit queue of the gateway. This feature shedules forwarding of commands to the succeding blocks (e.g. shading block -> jalousie actuator block) in the way, that radio messages can be transmitted with accurate timings.

One effect of this feature is that the blinds will not be lowered synchronoulsy. They start at individual points in time (cascading). The shading block shedules the start points in the way that never two jalousie actuator blocks are requested to send a radio message to there linked jalousie actuator at the same time.

The system detects automatically where cascading is required.

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Disable Editing

This button locks some editing features as moving, connecting or disconnecting blocks. This feature is helpful in case block settings shall be changed with the finger on a touch screen.

Clicking on a block directly opens the settings dialogue.

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Send only LRN telegrams

This feature is helpful in case actuators have to be linked (teach in). This button should be checked during any actuators are in teach in mode.

This feature avoids unexpected teach in of radio messages created by myHomeControl. Keep in mind that myHomeControl may send radio messages automatically at any point in time (e.g created by a clock timer function, etc.).

Radio messages sent out by pressing the “send” button of the settings dialogues will be sent independet of the state of the “Send only LRM telegrams”. Radio messages send by the “send”-button are LRM-messages.

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Actuators

Actuators receive radio messages and control lights, jalousies, valves, pumps or other electrical consumers. Actuator blocks represent physical actuators within myHomeControl.

The actuator blocks must be teached to the physical actuator to be able to control the actuator. Each actuator block has its own unique address.

cross-references
Network
Teaching in an actuator block to a physical actuator
Manual actuator address assignment
Dimmer
Dimmer 10
Jalousie 1
Calibration run
Jalousie 2
Jalousie 4
Jalousie 12
RCM120
Switch 1
Switch 2
Switch 4
Switch 8
Valve 1
Valve 4
Valve 8

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Teaching in an actuator block to a physical actuator

Following steps are required to teach in an actuator block to physical actuator:

  1. Press the LRN-button at the physical actuator -> LED starts blinking
  2. Press the “send”-button provided by the properties dialog of the block to send a teach in telegram to the actuator.

Principally it is possible to teach one actuator block to several physical actuators. This is the usual way with EnOcean-Sensors, e.g. one PTM radio button shall control several switch actuators in parallel.
But this solution would restrict the flexibility of myHomeControl. One strength of myHomeControl is the easiness to change the assignments between sensors and actuators.
To keep this flexibility it is better to create one actuator block for each physical actuator device and to teach them 1:1.

Application sample:

In the living room there is a down light above the table and a floor light in the area of the sofa. The illuminated bookshelf creates a good ambiance.

The PTM radio switch at the entrance door should switch on these tree lights.

The corresponding network could look like this à

The dimly illumination of the bookshelf doesn’t consume a lot of electricity. Therefore it is a candidate to be included into the circle of the lights activated by the Presence Simulation.

The network can be modified with a few clicks without assembling actuators and teaching.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Manual actuator address assignment

► In the context of EnOcean addresses allways means EnOcean Ids. The address value is allways shown in hexadecimal representation.

myHomeControl assigns address to the actuator blocks automatically. In fact it only assigns an address offset. This offset will be added to the base address of the corresponding gateway to build the physical address, which will be sent to the actuator.

In case an already teached in address of an actuator shall be reused, the address offset might be assigned manually. Therefore click the box indicating the value of the address offset.

Subsequently following dialog will appear and the new address offset can be entered:

Actuator reacting on PTM telegrams

PTM telegrams contain beside the address also identification for a rocker (from left to right A..D).

The physical address will be shown for verification purposes. It contains the corresponding base address of the gateway in use.

Actuator reacting on STM telegrams

The physical address will be shown for verification purposes.

The manual assignment of address offset may result in address conflicts. This happens in case an already assigned address offset will be given a second time.

Enter an other address or change the address of the indicated device first.

There is also the opportunity to modify the addresses directly in the list of all devices.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Dimmer

myHomeControl® Version 1.2.8

* Dimmer

This block represents a dimmer actuator.

Function

This block generates radio messages to control a physical dimmer actuator. This block has to be teached to a real dimmer actuator.

Command input à

Observer input à

The output pin indicates the actual state of the switching actuator. If can be connected to a Consumer Monitoring Block.

Command input à

Observer input à

Brightness input à

Dimmers supporting the Central Command (EEP 07-38-02) provide an input for the brightness (0-100%). 0% switches the light of.

The Switch Mode checkbox activates the switch mode. In this mode the dimmer acts as a switch (ON/OFF). It is not possible to dim the light any more via a connected PTM radio button. The light intensity has to be set via the properties dialog or in the visualization. This functionality easies the handling of the light.

Switch mode is deactivated. Dimming is enabled.

Switch mode is activated. Dimming is disabled.

In case the switch actuator block changes its state to ON, due to an ON-command on the command input or an ON-command on the observer input, it starts the switch Off Delay function if the switch off delay is set to a value greater then 0. The switch off delay function automatically switches the actuator off after the delay period.

The switch off delay function will be started even if the block receives an ON command over its Observer Input.
The duration off the switch off delay has to be set in the Properties dialog.

New generations of dimmer actuators support the central command (EEP 07-38-02) using STM-Telegrams. This enables the dim actuator block to send illumination intensity values to the dim actuator. This is very useful regarding scenes.

Adjust the light intensity with the set point slider.

Up- and. down ramp defines the time period of increasing the illumination intensity up to the set point and vice versa.

Brighten with the X-button defines with of the buttons I or O turns on light or increases the brightnes (dimming).

Buttons

In case the switch mode is activated, only a large button is visible. This button switches the light ON and OFF. Switching ON the dimmer lights up to the predefined set point illumination intensity.

In case the switch mode is deactivated, two small buttons are visible. These buttons control the illumination intensity. They allow to dim up and down by “long” clicks and to switch on and off by short clicks. The upper button increases the light intensity the lower button decreases the light intensity.

State indication

The actuator is in the OFF state. An OFF command has been sent through the output pin

The Actuator is in the ON state. An ON command has been send through the output pin.

The Actuator is in the ON state; the switch off delay function is running.

Indication of the remaining switch off delay time.

Find details about the corresponding visualization element in chapter Visualization Element Dimmer.

Remarks to the observer input

This remark is valid for Dimmers supporting the central command (EEP 07-38-02).

In this configuration the radio button has been directly teached to the dim actuator. The dim actuator block in myHomeControl observes the radio button to update its internal model. This is not very accurate and may result in asynchronicity between the block and the dim actuator. Therefore this configuration is not recommended.

In this configuration only the dim actuator block in myHomeControl controls the dim actuator. The touch-dim function is done by the block. The block sends corresponding dimming values to the dim actuator. This method results in better synchronicity between the block and the dim actuator.

It is recommended to operate dim actuator though myHomeControl and to not teach radio button directly to the dim actuators if possible.

Remark to parallel connection of multiple dimmers

The parallel connection, as shown in the picture beside, is not possible with all types of dimmer actuator devices!

The parallel connection is only recommended for dimmer types supporting the central command EEP EEP 07-38-02 (transmittion of brightness values, 0..100%).

Syntax of the scene values as they can be set within the properties dialog of the scene block:
«0» | Dimming actuator will be switched off, in case the corresponding scene has been selected.
«1»..«100» | Dimming actuator will be switched on and will be dimmed to the corresponding %-brightness, in case the corresponding scene has been selected. «100» means full brightness.
«-» | The state of the dimming actuator will not be changed, in case the corresponding scene has been selected.

Used EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of EnOcean Equipment Profiles (EEP) used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block uses following profiles:

Configuration
EEP

Dimmers not supporting the central command (EEP 07-38-02)

2 Rocker Switch

05-02-01: Light and Blind Control

4 Rocker Switch

05-03-01: Light and Blind Control

Omnio, Eltako, Jäger-Direkt, Unotec (DALI)

Similar to Central Command Dimming, but no support for ramps.

Dimmers supporting the central command (EEP 07-38-02)

07-38-02: Central Command Dimming

Supported Devices

Appendix B list the devices supported by this block.

Device specific hints / Teach in

Eltako,

FUD61NP
FUD12NPN

Jäger-Direct,

GN-A-U230V-oN
GN-A-R12V-UD

Devices produced after Week52/09 support the central command. Therefore they can be combined with the scenes function. These devices don’t support the ramp function defined by the central command. Therefore myHomeControl emulates ramps by continous sending new brightness values during the ramps.

Learn:
FUD12NPN ,GN-A-R12V-DU:

- new devices:
set upper wheel to position 5
old devices:
set upper wheel to position 6

- set middle wheel to position LRN

Devices produced before Week52/09 don’t support the central command. Therefore they can not be combined with the scenes function!

Learn:
FUD61NP , GN-A-U230V-oN:

- new devices:
turn dim Speed to min
old devices:
turn dim Speed to max

- set upper wheel to LRN

After learn change to following settings:
turn % to min, turn dim Speed to max.

Thermokon, SRC-ADO BCS

Refer to Application sample Dimmer

Additional application samples:

- Constant light control

- Universal controller: Thermokon SRC-ADO BCS

Handling Blocks

Properties of Blocks

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Dimmer 10

myHomeControl® Version 1.2.8

* Dimmer 10

This block represents a 10 channel dimming actuator e.g. of type (e.g. Verve X2110).

It serves as a container for 10 single channel dimming actuator blocks( * ). Each channel of the 10 m fold dimming actuator acts like a single channel dimming actuator.

others …

ß Represents the whole device.

ß Represents the first channel.

ß Represents the second channel.

The “channel” block can be located individually in the workspace area. It is also possible to use them to individual rooms. The only restriction is that they cannot be deleted individually.

Find details about the corresponding visualization element in chapter Visualization Element Dimmer 10.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Jalousie 1

myHomeControl® Version 1.2.8

* Jalousie 1

This block represents a jalousie-, sun blind- or roller shutter actuator.

Function

This block generates radio messages to control a physical jalousie actuator. This block has to be teached to a real jalousie actuator.

1. à

2. à

Locking à

Observer Input à

1. Command input initiating a drive to the darkening position.
(Long drive)

2. Command input initiating a drive to the shading position.
(Short drive).

The position slider indicates the estimated position of the jalousie.

The jalousie provides two default positions:

Darkening position: The jalousie will be completely lowered. The end position is defined by the darkening driving time.
The button Calibration Run helps to evaluate the correct driving time.

Shading position: In this case the jalousie will be lowered to middle position and then it will be adjusted to let some sunlight pass the jalousie. The end position is defined by the shading driving time. The adjustment is defined by the tilt time.

Depending on which input the block receives the command to move, the jalousie will be driven to the darkening or the shading position.

A tilt time value greater then 0 activates the adjustment of the jalousie when it reaches its shading position. The adjustment allows controlling the sunlight entering the room in the shading situation.

The radio buttons in the Observer area of the properties dialog define the behavior of the observer input. In case “is shading” has been activated, the block reacts on an observed start move command to the physical jalousie actuator by starting its position estimation and starting the shading driving time. After the shading driving time has expired, it generates a stop radio message and sends it to the physical jalousie actuator. Then, if required, the block generates the adjustment messages.

In case the jalousie was stopped somewhere in between and a new start was given, the residual driving time will be calculated depending on the estimated position of the jalousie.
In case of driving up, this means opening the jalousie, the driving time will be increased by a few seconds. This certifies that the jalousie reaches its upper end position. This compensates position estimation errors.

Locking feature:

The locking feature shows an additional input pin. This pin might be used to lock the jalousie block via commands from the network. This prevents the jalousie block from driving the jalousie. This feature is usefull to implement general motion locking in case of building maintenance e.g. window cleaning.

Sample:

In case the door to the balcony is open, then the window contact locks the jalousie block, which prevents automatic jalousie movements.

The locking state of the jalousie block is shown as follows:

Jalousie is able to move

Jalousie is locked

Invert changes the “polarity” of the locking input pin.

Buttons

The left buttons behave in the same manner then the buttons of an eventually connected PTM radio button.

The upper button “^” raises the jalousie. A second short button click stops the movement.
The lower button “v” lowers the jalousie. A second short button click stops the movement.
The lower button “*” drives the jalousie to the shading position. This button is only visible, if the driving time for shading is different then the driving time for darkening.

State indication

The jalousie is in its upper end position.

The jalousie is moving.

The jalousie is in its darkening position.

The jalousie is in its shading position.

Find details about the corresponding visualization element in chapter Visualization Element Jalousie 1 .

Syntax of the scene values as they can be set within the properties dialog of the scene block:
«0» | The jalousie will be driven to its upper end position, in case the corresponding scene has been selected.
«1»..«100» | The jalousie will driven to a position corresponding %-value, in case the corresponding scene has been selected. «100» means lower end position.
«-» | The state of the jalousie will not be changed, in case the corresponding scene has been selected.

Application samples

A long button press on the left rocker moves the jalousies into the lower end position.
A long button press on the I-button of the right rocker moves the jalousie to the shading position.

The PTM rocker button switch has been teached directly to the jalousie actuator. Refer to operational reliability.

In parallel the PTM button has also been teached to myHomeControl and the jalousie actuator block to the jalousie actuator.

The connection line between the output pin of the PTM button and the observer pin of the jalousie actuator block informs myHomeControl, that the PTM button has been teached to the physical actuator.

The jalousie actuator block is configured to interpret the commands of the PTM button as shading commands.

If the I-button of the PTM button has been pressed, then the jalousie actuator starts lowering the jalousie. Simultaneously the jalousie actuator block starts the emulation of the position of the jalousie.
As soon as the jalousie reaches the shading position, the jalousie actuator block sends a stop command to the jalousie actuator and subsequently the adjustment commands.

The PTM button lowers the jalousie to is lower end position (darkening position)

The commands of the shading block lower the jalousie to a middle position (shading position).

Additional application samples:

- Automatic Shading

- Automatic Shading and time controlled blind movements

Used EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of EnOcean Equipment Profiles (EEP) used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block uses following profiles:

Configuration
EEP

2 Rocker Switch

05-02-01: Light and Blind Control

4 Rocker Switch

05-03-01: Light and Blind Control

Device specific hints / Teach in
Eltako, FAB12 | Settings: AUTO3, WA=0, RV=max
Eltako, FSB61NP-230 | Settings: - GS4 - lower rotary control: Select a time which is longer then the blind or jalousie requires to run from one end to the other.
Eltako, FSB12 Eltako, FSB12 (39/10) OPUS, GN-A-R12V-JGR-2 | Teach in myHomeControl: old devices Teach in: RV=10 for Channel1, RV=30 for Channel2; WA=LRN, AUTO3 Now press button “send” of the settings dialogue. Normal operation: RV=200, WA=0.1, AUTO3 Devices produced after (39/10) Teach in: RV=180 for Channel1, RV=200 for Channel2; WA=LRN, AUTO3 Now press button “send” of the settings dialogue. Normal operation: RV=200, WA=0.1, AUTO3 If observer input is used rocker push button has to be linked to the actuator as well: Rocker push buttons, which are directly teached to the actuator must be teached as direction switch. This is a prerequisite to use the observer input in myHomeControl. Teach in: RV=10 for Channel1, RV=30 for Channel2; WA=LRN, AUTO3 Now operate button of the rocker push button. Normal operation: RV=200, WA=0.1, AUTO3
PEHA, 452 FU-EP JR | Select Function 1, select a running time larger then the real running time of the blind. Fine tuning might be done in myHomeControl (Settings dialog of the jalousie block).

Supported Devices

Appendix B list the devices supported by this block.

Handling Blocks

Properties of Blocks

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Calibration run

The driving time of the jalousies has to be evaluated manualy. This procedure is supported by the calibration run function.

The idea of the calibration run function is to let the user drive the jalousie manualy and the jalousie block observes the operation and meassures the driving time automatically.

The user controls the jalousie with the local controls (rocker push button in the room) and drives it from the upper end position to the lower end position. A long button press down starts moving the jalousie. With a second button press, the user indicates that the jalousie has reached its lower end position. The jalousie block measures automatically the periode in time used to drive the whole way down.

The button “Calibration Run” enables the time measurement.

As soon as the button is checked, the calibration function the button presses received from the input pins of the block. If required the jalousie might be drived up in the upper end position. This will not start the time measurement.

If the jalousie is commanded to drive down, the measurement starts. This is indicated by following symbol:

As soon as the jalousie has reached the lower end position, the user has to press the button of the rocker push button again to indicate that the jalousie is down. This stopps the measurement of time and the block copies the measured time value into the input field accordingly. This is indicated by following symbol:

Now the Calibration Run button can be released. If the settings dialog is closed, then the button releases automatically.

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The list box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

Cmd.Up This binary signal is written by the switch block to the slave. It is ON as long as the blind shall drive up.
In case the function channel „Driving Up“ is activated, then the block tracks the position of the blind according to the function channel „Driving Up“.

Cmd.Down This binary signal is written by the switch block to the slave. It is ON as long as the blind shall drive down.
In case the function channel „Driving Down“ is activated, then the block tracks the position of the blind according to the function channel „Driving Down“.

Driving Up This binary signal is read by the block from the slave. It is used to track the state of the block. This means, if the read signal is set, then the block drives its model of the blind up.

Driving Down This binary signal is read by the block from the slave. It is used to track the state of the block. This means, if the read signal is set, then the block drives its model of the blind down.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Jalousie 2

myHomeControl® Version 1.2.8

* Jalousie 2

This block represents a 2 channel jalousie actuator).

It serves as a container for 2 single channel-Jalousie actuator blocks( * ). Each channel of the quad jalousie actuator acts like a single channel jalousie actuator.

ß Represents the whole device.

ß Represents the first channel.

ß Represents the second channel.

The “channel” block can be located individually in the workspace area. It is also possible to use them to individual rooms. The only restriction is that they cannot be deleted individually.

Find details about the corresponding visualization element in chapter Visualization Element Jalousie 2.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Jalousie 4

myHomeControl® Version 1.2.8

* Jalousie 4

This block represents a 4 channel jalousie actuator e.g. of type (e.g. REGJ24/01).

It serves as a container for 4 single channel-Jalousie actuator blocks( * ). Each channel of the quad jalousie actuator acts like a single channel jalousie actuator.

ß Represents the whole device.

ß Represents the first channel.

ß Represents the second channel.

The “channel” block can be located individually in the workspace area. It is also possible to use them to individual rooms. The only restriction is that they cannot be deleted individually.

Find details about the corresponding visualization element in chapter Visualization Element Jalousie 4.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Jalousie 12

myHomeControl® Version 1.2.8

* Jalousie 12

This block represents a 12 channel jalousie actuator e.g. of type 950JRM from PEHA. This device has to be combined with a PHC Radio-Interface of type 940 FU-C from PEHA.

It serves as a container for 12 single channel-Jalousie actuator blocks( * ). Each channel of the quad jalousie actuator acts like a single channel jalousie actuator.

and more …

ß Represents the whole device.

ß Represents the first channel.

ß Represents the second channel.

The “channel” block can be located individually in the workspace area. It is also possible to use them to individual rooms. The only restriction is that they cannot be deleted individually.

Settings:

On the PHC Radio-Interface 940 FU-C select address 01 on the dip switches.

All Jalousie 1 actuator blocks have to be teached to the 940 FU-C individually:

PHC Funk-Interface Channel | Jalousiemodul Motor Number | Jalousiemodul Output
00 | M0 | O1(up) / O0(down)
01 | M1 | O3(up) / O2(down)
02 | M2 | O5(up) / O4(down)
03 | M3 | O7(up) / O6(down)
04 | M4 | O9(up) / O8(down)
05 | M5 | O11(up) / O10(down)
06 | M6 | O13(up) / O12(down)
07 | M7 | O15(up) / O14(down)
08 | M8 | O17(up) / O16(down)
09 | M9 | O19(up) / O18(down)
10 | M10 | O21(up) / O20(down)
11 | M11 | O23(up) / O22(down)

Refer to the manual “PHC Compact Additional Information” for further details. To open this document, click right mouse button on the block representing the whole device, then click the datasheet menu.

Find details about the corresponding visualization element in chapter Visualization Element Jalousie 12.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


RCM120

myHomeControl® Version 1.2.8

* RCM120

This block transmits BS4 telegrams. If represents an actuator based on a RCM120 module.

This block is just for experimentation purposes!

The values shown by the block represent the byte-values transmitted by the BS4 telegram.

This block generates radio messages, which can be received by a RCM120 module. This block has to be teached to a real RCM120 module.

ATTENTION:

Regard that D3=0 is the indication to mark a telegram as a LRN telegram. Keep D3=1 in normal conditions.

Handling Blocks

Properties of Blocks

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Switch 1

myHomeControl® Version 1.2.8

* Switch 1

This block represents a single channel switch actuator.

This block will also be used to represent a channel of a multiple switch actuator.

Single channel Switch Actuator |
One channel of a multiple channel switch actuator. | ß Name of the multiple switch actuator ß Name of the channel. This name appears in the visualization.

Function

This block sends radio messages to a physical switch actuator device. This block has to be teached to a real switch actuator.

Command input à

Observer input à

Blocking input à

The output pin indicates the actual state of the switching actuator. If can be connected to a Consumer Monitoring Block.

In case the switch actuator block changes its state to ON, due to an ON-command on the command input or an ON-command on the observer input, it starts the switch off delay function if the switch Off Delay is set to a value greater then 0. The switch off delay function automatically switches the actuator off after the switch Off Delay period.

If the Off Warning has been activated, then the light gets turned off for 2 seconds 30 seconds before the OFF Delay expires. This warns the user that the lights is going to be turned off shortly. The user has the opportunity to press a I-Button to restart the Off Delay.

In case the switch actuator block changes its state to OFF and the switch On Delay is set to a value grater then 0, then it starts the switch on delay function. The switch on delay function prevents the actuator to switch on before the On Delay has been expired. In case the actuator block receives an ON-command before the on delay has been expired, then it stores the command and switches on automatically after the delay.

A double click on the ON-button of a connected PTM radio button, suppresses the switch off delay function. This means, if the switch actuator block receives a second ON command within 3 seconds, it will deactivate the switch off delay function. An example for this feature could be the light in the garage. Typically it should switch off at least after 20 minutes. But in case of doing some maintenance at the car, the light should not switch off automatically at all. Suppress the switch off delay function with a double click at the corresponding PTM radio button.

Double click the ON button à

The switch off delay function will be started even if the block receives an ON command over its Observer Input.
The duration off the switch off delay has to be set in the Properties dialog.

Invert: (deprecated)

The Invert checkbox activates the invert feature. If the invert feature has been activated, the block sends in case it receives an ON command an OFF radio message to the physical actuator. And vice versa if it receives an OFF command, it sends an ON radio message to the actuator. The idea of this feature is to compensate wrong wireing.

Ø The feature Invert is not available any more in new projects (V1.2.9 and later). In older project the option only appears for those actuator blocks where the option has been set before.

The button follower function is mostly used in combination with a PTM radio button. In case the button following mode has been activated, then the block will send an ON-command to the actuator at the time the button gets pressed and an OFF-command at the time the button gets released. This is independent if the ON or the OFF button is pressed. This function might be used also in combination with the invert feature. The Observer Input supports this function as well.

Blocking enable enables the blocking functionality of the switch actuator. This function is mainly used in context with the Load Limitation function. In case the Blocking has been enabled an additional pin appears [image] This pin might be used to block the actuator. The input field Consumption becomes active as well.

Enter the estimated Consumption e.g. power consumption of the device controlled by the switch actuator. The input field Consumption is required in case the actuator is controlled by a Load Limitation function.

Blocking:

The switching actuator block might be controlled by a Load Limitation. In this case the Load Limitation block has to be connected to the blocking input of the switch actuator block. The blocking input overrides the state of the switch actuator block. Behavior:

Command | State of the switch actuator block | State of the phys. switch actuator
 | ON | ON
OFF at blocking input pin | ON-blocked | OFF
ON at blocking input pin | ON | ON
 | OFF | OFF
OFF at blocking input pin | OFF-blocked | OFF
ON at blocking input pin | OFF | OFF
 | OFF | OFF
OFF at blocking input pin | OFF-blocked | OFF
ON at command input pin | ON-blocked | OFF
ON at blocking input pin | ON | ON

The on- and off-delay functions operate accordingly.

State indication

The actuator is in the OFF state. An OFF command has been sent through the output pin.

The Actuator is in the ON state. An ON command has been send through the output pin.

The Actuator is in the ON state; the switch off delay function is running.

Indication of the remaining switch off delay time.

The Actuator is in the OFF state. The actuator block has received an ON-command and awaits the end of the on delay period. After the period it automatically switches on the actuator.

Indication of the remaining switch off delay time.

Blocking-ON
The phys. switch actuator is turned off, the switch actuator block is in state ON. In case of unblocking the phys. actuator is going to be turned on.

Blocking-OFF
The phys. switch actuator and the switch actuator block are in state off. The phys. actuator will not be turned on in case the block receives an ON command.

Compare with the Dimmer as well.

Find details about the corresponding visualization element in chapter Visualization element Switch Actuator 1.

Syntax of the scene values as they can be set within the properties dialog of the scene block:
«0» | Switching actuator will be switched off, in case the corresponding scene has been selected.
«1» | Switching actuator will be switched on, in case the corresponding scene has been selected.
«-» | The state of the switching actuator will not be changed, in case the corresponding scene has been selected.

Used EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of EnOcean Equipment Profiles (EEP) used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block uses following profiles:

Configuration
EEP

2 Rocker Switch

05-02-01: Light and Blind Control

4 Rocker Switch

05-03-01: Light and Blind Control

Supported Devices

Appendix B list the devices supported by this block.

Device specific hints / teach in

Funkstuhl, 4511FU-E ST/KKF

The switching actuator block has to be teached as a RockerButtonSwitch. Set slider to the middle position.

Funkstuhl, 451FU-E m.Wi./KKF

The switching actuator block has to be teached as a RockerButtonSwitch. Press LRN twice.

Funkstuhl, 451FU-E m.Wa./KKF

The switching actuator block has to be teached as a RockerButtonSwitch. Press LRN twice.

Eltako,

FSR61NP
FMS61NP

The switching actuator block has to be teached as a central On/Off.

Eltako,

FAA12-12V
FSA12-12V

Jäger-Direkt,

GN-A-R12V-SR4

Teach in myHomeControl:

The switching actuator block has to be teached as a central On/Off (Direction switch).

Teach-in:

- set channel number at lower wheel
- turn middle wheel to position LRN

To send the teach-in telegram do not use the send button of the properties dialog of the switch actuator block. Use the button on the surface of the block instead. Click the button once for ON. Turn middle wheel away from LRN and back. Click the button once for OFF.

After teach-in:

- lower and middle wheel to position AUTO
- upper wheel to position ES-RT

In case the actuator works in opposite state, check the Invert checkbox in the properties dialog of the block.

If observer input is used rocker push button has to be linked to the actuator as well:

Teach-in:

- set channel number at lower wheel
- turn middle wheel to position LRN

Operate corresponding rocker of rocker push button. Turn middle wheel away from LRN and back. Operate other button of rocker. The actuator itself defines which button means on and which means off.

After teach-in:

- lower and middle wheel to position AUTO
- upper wheel to position ES-RT

Eltako,

FSR12-12V DC

Teach in myHomeControl:

The switching actuator block has to be teached as Direction switch.

This device always interpretes the O-Button of a PTM-Rocker Switch as an ON command and the I-Button as an OFF command!

Teach-in:

- set channel number at lower wheel
- turn middle wheel to position LRN

To send the teach-in telegram do not use the send button of the properties dialog of the switch actuator block. Use the button on the surface of the block instead. Click the button once for ON. Turn middle wheel away from LRN and back. Click the button once for OFF.

After teach-in:

- middle wheel to position AUTO
- upper wheel to position ES-RT

In case the actuator works in opposite state, check the Invert checkbox in the properties dialog of the block.

If observer input is used rocker push button has to be linked to the actuator as well:

Directly linked PTM rocker switches to the swicht actuator und usage of the observer input:

Because the device allways interpretes the O-button as an ON command, which is unusual to EnOcean devices, the signal has to be inverted as shown in the picture above.

Eltako,

FSR12-12V DC

Teach in myHomeControl:

The switching actuator block has to be teached as direction switch.

Teach-in:

- set switch actuator block in state OFF by clicking the button on
its surface

usage as 2 separate channels
- select position 9 for channel 1 at upper wheel (10 for channel 2)
usage as 1 combined channel
- select position 5 at upper wheel

- turn lower wheel to positon 2S
- turn middle wheel to position LRN

To send the teach-in telegram do not use the send button of the properties dialog of the switch actuator block. Use the button on the surface of the block instead. Click the button once for ON.

After teach-in:

- middle wheel to position AUTO

In case the actuator works in opposite state, check the Invert checkbox in the properties dialog of the block.

If observer input is used rocker push button has to be linked to the actuator as well:

Directly linked PTM rocker switches to the swicht actuator und usage of the observer input:

Attention:
During teach in of a PTM rocker switch to the switch actuator, the actuator stores the frist pressed button as an ON command independed if a O button or an I button has been pressed.
If the switch actuator block react in opposite manner to the observer input, insert an inverter block between the PTM rocker switch block and the switch actuator block (as shown for FSR12-12V DC).

Teach-in:

usage as 2 separate channels
- select position 9 for channel 1 at upper wheel (10 for channel 2)
usage as 1 combined channel
- select position 5 at upper wheel

- turn lower wheel to positon 2S
- turn middle wheel to position LRN

Now press the lower I-Button of the rocker push button.

After teach-in:

- middle wheel to position AUTO

Additional application samples:

- Access to Home

- PTM230 Module

- Constant light control

- Universal controller: Thermokon SRC-ADO BCS

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The list box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

Cmd.Touch This binary signal is written by the switch block to the slave. It is ON as long as the operator touches the corresponding visualization element (light symbol).

Cmd.Turn This binary signal is written by the switch block to the slave. It becomes ON in case the block tries to turn on. It becomes of in case the block tries to turn off.
In case the function channel „Switching State“ is activated, then the block changes, after turning on, temporary to the state „ON“. If the function channel „Switching State“ doesn’t follow the state, then the block changes its state back to the original state.

Switching State This binary signal is read by the block from the slave. It is used to track the state of the block. This means, if the read signal is set, then the block changes to the state „ON“. If it is reset, then the block changes to state „OFF“.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Switch 2

myHomeControl® Version 1.2.8

* Switch 2

This block represents a double channel switch actuator. It serves as container for two Single Channel Switch Actuator Blocks( * ). Each channel of the double switch actuator behaves like a single channel switch actuator.

ß Represents the whole device.

ß Represents the first channel.

ß Represents the second channel.

The “channel” block can be located individually in the workspace area. It is also possible to use them to individual rooms. The only restriction is that they cannot be deleted individually.

Find details about the corresponding visualization element in chapter Visualization element Switch Actuator 2.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Switch 4

myHomeControl® Version 1.2.8

* Switch 4

This block represents a multiple switch actuator with 4 channels.

For details refer to Switch Actuator 2.

Find details about the corresponding visualization element in chapter Visualization Element Switch Actuator 4.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Switch 8

myHomeControl® Version 1.2.8

* Switch 8

This block represents a multiple switch actuator with 8 channels.

For details refer to Switch Actuator 2.

Find details about the corresponding visualization element in chapter Visualization Element Switch Actuator 8.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Valve 1

myHomeControl® Version 1.2.8

* Valve 1

This block represents a single channel heating valve actuator typically used with radiators or floor headings.

This block will also be used to represent a channel of a multiple valve actuator.

Single channel valve actuator |
One channel of a multiple channel valve actuator. | ß Name of the multiple valve actuator ß Name of the channel. This name appears in the visualization.

Function

This block sends radio messages to a physical valve actuator device. This block has to be teached to a real valve actuator.

Input for the actual temperature à

Input for the set point temp. à

Input for the lowering cmd à

The valve actuator block scales the received temperature values from the network and sends them as radio message to the valve actuator. The temperature control logic is processed by the valve actuator. The valve actuator block sends the calculated values every 30 minutes to the valve actuator to avoid the actuator to enter an alarm condition due to missing radio communication.

Properties dialog

Tab: Signal Values

The Correction value can be used to adjust the actual temperature value to the set point value in case the controller has an offset error. If the set point value has been set to e.g. 20 degrees and the valve actuator controls the actual temperature to 21 degrees, then set the correction value to –1 degree.

Some valve controllers support a temperature lowering feature or a temperature lowering can be configured in the controller. For these types of controllers the valve actuator block provides an additional pin to control the temperature lowering.

ON command means lowering, OFF command means no lowering.

Tab: Device Configuration

Adjust following fields to the configuration values of the valve actuator. Default values are taken from myHomeControls product data base.

The valve actuators base the temperature control on a base temperature. The base temperature is either fix or can be adjusted by the user.

The range for the temperature is used by the block to scale the received actual temperature value into appropriate values for the valve actuator.

The various valve actuators interpret the set point value as an offset to the base temperature. Common values for the set point offset range are: +/-3°, +/-5°. Adjust these values to the values used by the valve actuator.

Application sample

The room operating panel has been teached to myHomeControl and the valve actuator block has been teached to the physical valve actuator.

The range for the temperature set point has been selected in a small range of 17° to 23°. This allows smooth set point adjustment with the turning wheel on the room operation panel.

The set point value sent from room temperature sensor block to the valve actuator block is always an absolute temperature value.

The valve actuator block scales the temperature values received from the network into appropriate values for the valve actuator. Especially the absolute set point value is scaled to a relative value based on the base temperature.

Additional application samples:

- Interrupt heating in case a window has been opened

- Proportional Heating Valve from Kieback&Peter

- Universal controller: Thermokon SRC-ADO BCS

Used EnOcean Profiles (EEP)

The EnOcean standard defines a couple of EnOcean Equipment Profiles (EEP) for the radio telegrams. This block uses following EEPs to control the valve actuator/controller:

Manufacturer | Profile (EEP)
Omnio | Dedicated proprietary profiles
Thermokon | EEP 07-10-05 Set Point and Day/Night Control
Kieback&Peter | EEP 07-20-01 Heating Valve

Supported Devices

Appendix B gives an overview about the supported devices.

Handling Blocks

Properties of Blocks

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Valve 4

myHomeControl® Version 1.2.8

* Valve 4

This block represents a 4 channel valve actuator.

It serves as a container for 8 single channel- valve actuator blocks( * ). Each channel of the 4 valve actuator acts like a single channel valve actuator.

ß Represents the whole device.

ß Represents the first channel.

ß Represents the second channel.

The “channel” block can be located individually in the workspace area. It is also possible to use them to individual rooms. The only restriction is that they cannot be deleted individually.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Valve 8

myHomeControl® Version 1.2.8

* Valve 8

This block represents a 8 channel valve actuator e.g. of type (e.g. REGT24/01).

It serves as a container for 8 single channel- valve actuator blocks( * ). Each channel of the 8 valve actuator acts like a single channel valve actuator.

ß Represents the whole device.

ß Represents the first channel.

ß Represents the second channel.

The “channel” block can be located individually in the workspace area. It is also possible to use them to individual rooms. The only restriction is that they cannot be deleted individually.

cross-references
Actuators

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Logic

The logic blocks to not represent physical devices. They only exist in myHomeControl. They process convenience functions.

The logic blocks might be inserted between sensor- and actuator blocks or be cascaded by them self.

cross-references
Network
Activation
Absence
Addition
And
AnalogMux
Average
Clock
Communication Monitoring
Consumer Monitoring
Day Light
Design Mode
Display
Division
Door Controller
Equals
File Read
File Write
Filter
Hour Meter
Invert
Irrigation
Keypad
Keystroke
Link
Load Limitation
Maximum
Minimum
Multiplication
Operator Screen
Or
PID Controller
PIN
Pulse Counter
PulseGen
PWM
Run
Scaling
Scenes
send email
send SMS
Sequence
Setpoint
Settings
Shading
Sound
Subtraction
Phone Call
Temperature Controller
Toggle
Trigger
Window Monitoring

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Activation

myHomeControl® Version 1.2.8

* Activation

Most of the logic blocks provide an optional activation feature. The activation feature can be enabled within the properties dialog of the blocks.

If the activation feature has been enabled, then the block shows an additional pin to control the activation status of the block.

The activation input pin indicates the enabled activation feature and the status of the activation:

* Block is activated
 Block is deactivated

Function:

A logic block can be activated or deactivated. A deactivated block doesn’t send any commands or signals to its successor block(s). Internally the block evaluates its state independent if it is activated or not. The block stores the last command sent in case it is activated, or would have sent in case it is deactivated. It stores this command as last event.

The properties dialog contains following controls in case the block supports the activation feature:

Enables the activation feature:

Indicates the state of the activation:

By clicking [image] the activation state might be changed. This will also force the selected activation/deactivation behavior (e.g. sending last event).

The button “last event” shows the stored last command the block has send or would have sent if it would be activated at the time the event appeared. A click on the button changes the type of command.

There are different behaviors selectable, which will be triggered in case of the activation or the deactivation of the block:

No Action: no command will be forwarded to the successor block(s) in case of activation/deactivation.

Send ON Cmd: an ON command will be sent to the successor blocks in case of activation/deactivation.

Send OFF Cmd: an OFF command will be sent to the successor blocks in case of activation/deactivation.

Send Last Event: in case of activation/deactivation the block sends the stored last command to the successor blocks. This is the command the block should send if it would have been activated at the time of the event.

Additional application samples:

- Access to home

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Absence

myHomeControl® Version 1.2.8

* Absence

This block manages all functions during absence. These functions are:

- Check-in, checkout of the users

- Presence simulation
is done by switching on lights of the house randomly. The lights get illuminated in different rooms at different times.

- Activation of security and monitoring functions

- Temperature control my means of changing temperature set points during absence

Application sample

If the last user leaves the building, it has to check out. This will be done at the PTM radio button in the garage in the example below. This button activates the absence function.

When the absence function is activated, then all lights connected to the presence simulation output
pin [image] are going to be turned off by the block.

Presence simulation:

The block calculates for each day the time of sunrise and sunset. The light will earliest be switched on after it is dark outside. Additionally a sleep phase might be specified. During the sleep phase no lights will be turned on.

At sunset the block sends a command via the output pin [image] to lower the blinds. It shall not be visible, if somebody is in the room, where the lights will be switched on or not. A few minutes after lowering the blinds the presence simulation block will start illuminating lights in different rooms. It starts in a randomly chosen room and will activate the lights for a time range of 5-20 minutes. Then the block moves further to the next randomly chosen room and activates the lights there. After a time range of 10-60 seconds it switches off the lights in the first room. The block continues like this illuminating the lights in all attached rooms.

In case the time of sunset is later then the start of the sleep phase, the jalousies will be lowered at the time of start of sleep phase. In case the time of sunrise is before the end of the sleep phase, the jalousies will be raised at the end of the sleep phase.

Exit-lights:

If the absence function is activated from the screen during darkness, then the block turns on all lights connected to the “Exit lights”- output pin for about 15 minutes. This gives the user the opportunity to securely leave the building. If the absence function is activated via the activation input (e.g. phsical button) no “Exit lights” will be turned on.

Temperature control:

The temperature control requires the parameter “Heating hours before return”.
If the users enters a return date at check out, and the time period until return is longer then twice the “Heating hours before return”, then the temperature set points are going to be changed. The temperature set points will be switched back to there normal values one period “Heating hours before return” before the date of return given by the user at checkout.

The AnalogMux blocks switches the temperature set point for the heating or cooling between the value received from the room temperature sensors and a constant value of e.g. 5 degrees Celsius. This is controlled by the absence function.

Security functions and logic

If the presence simulation block get activated it sends an ON-command through the absence pin [image]. This command might be used to activate security and monitoring functions as well as dedicated logic. If the block gets deactivated it sends an OFF-command thru this pin.

When the user returns it checks in. This can be done either at the PTM radio button in the garage or at any of the PTM radio buttons “entrance door” or “corridor”.

Function

Activation. The ON-command activates the presence simulation block. This informs the system that all inhabitants of the building are absent.
An OFF-command deactivates the block. This informs the system that somebody is present in the building.
If the absence function is activated via this pin, then it delay first actions for about 15 seconds. This gives the user the opportunity to deactivate the function in case of a missoperation before the absence funtion processes the first operations e.g. lowering all blinds.

Presence. Any command (ON or OFF) deactivates the block. Immediately after the activation of the presence simulation this pin will be locked for about 30 minutes. This avoids unexpected deactivation of the simulation during the house will be left. In case the presence simulation has to be deactivated during the 30 minutes use the Activation input [image].

* Absence. Whenever the block will be activated it sends an ON-command through this pin and vice versa an OFF-command when it gets deactivated.

Control output for the jalousies. In the evening the illuminations will start 5 minutes after the jalousies have been lowered. In the morning the illuminations will stop 5 minutes before the jalousies will be raised.

Sequence output. Through this pin the illumination command for the lights will be sent. This pin has a special behavior. The command is only forwarded to one of the connected successor blocks.

* Acknowledgment. If it is requested to have an acknowledgement indication if the presence simulation has been activated, then connect a switch actuator to this output pin, e.g. the light in the garage. When the block gets activated it illuminates the connected light for 20 seconds, if it gets deactivated it illuminates the connected light for about 5 seconds.

* Exit lights. This pin can be connected e.g. to the floor lights or the lights of the stairs. If the absence function is activated during the evening or night hours, then the block turns on all lights connected to this output pin for about 15 Minutes.

Command output for the temperature set point switching. If the user has entered a date of return and there is a time gap between now and the day before the estimated return, then the temperature set points will be changed. This pins sends out an OFF-Command in case the temperature set points shall be changed and an ON-command in case they should be switched back to normal conditions. It is thought to use this pin in combination with Temperature Controller-blocks and AnalogMux-blocks.

Properties

Starts in the evening shows the calculated time to start the presence simulation in the evening. From this time on the lights will be illuminated. The start time is calculated automatically about 40 minutes after sunset.

Sleep Phase from defines the time where the sleep phase begins. During this phase the lights will not be illuminated. This simulates that the inhabitants are sleeping.

Sleep Phase to defines the time where the sleep phase ends. From this time on the presence simulation block starts to illuminate lights again.

Ends in the morning shows the calculated time the simulation ends. The lights will be switched off and the jalousies will be raised. This time is calculated about 40 minutes before sunrise.

The Heating hours before return define the required heating period to raise the temperature in the controlled rooms from the lower temperature (during absence) to the normal temperature conditions.

The input field Absent till might be used to enter a date for the return for test purposes. Usually this input will be done on the control dialog of the absence function with in the presentation view.

Activate Simulation Mode
This feature is for testing purposes.

If simulation mode has been activated, then the block will ignore the actual time of day and simulates operation during the night hours.

The simulation mode only takes place if the block has been activated by means of the inhabitants have checked out.

If simulation mode is activated during daylight hours, then the block will lower the blinds and start the light simulation.

If simulation mode is deactivated during daylight hours, then the block will lift the blinds and turn of all lights used for the light simulation.

Buttons

Click the >>button to force a change of lights. This might simplify Testing of the network.

State indication

The presence simulation is deactivated and will not generate any commands.

The presence simulation is activated, but the simulation doesn’t generate any commands because the actual time is not during the night hours.

The presence simulation is active and generates commands for the connected jalousies and lights.

Find details about the corresponding visualization element in chapter Visualization Element Presence Simulation.

Additional application samples:

- Interrupt heating in case a window has been opened

- Create and play an text message (audio)

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Addition

myHomeControl® Version 1.2.8

* Addition

This function summarizes the values of all connected signals.

Formula

Output = sum of the signal values of all signals connected to the input pin

Properties

This block supports the Activation Feature * .

Application sample

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


And

myHomeControl® Version 1.2.8

* And

The And-Block sends an ON-Command in case it receives an ON-Command from all its predecessor blocks.

Function

The And block checks the And-Condition. It changes between two states:

- “And-Condition fulfilled”
The block received from all predeceasing blocks an ON command as last command.

- “And-Condition not fulfilled”
The block received at least from one predecessor block an OFF command as last command.

If the And block changes its state to “And-Condition fulfilled”, then it sends an ON command to its successor blocks. If it changes to the state “And-Condition not fulfilled”, then it sends an OFF command to its successor blocks.

The And block supports the Activation Feature * .

Application sample

The ventilator is only running if all windows are closed.

Properties

The properties dialog shows the state of the commands received from the predecessor blocks.

State indication

The toggle block knows the states ON and OFF. If changes its state with each processed command. On each state change it sends a corresponding command to the successor blocks.

The And condition is fulfilled. The block sent out an ON command.

The And condition is not fulfilled. The block sent out an OFF command.

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


AnalogMux

myHomeControl® Version 1.2.8

* AnalogMux

The analog multiplexer provides switching functionality for analog values. This block might be used as selector for analog values or set points.

Function

The analogue multiplexer forwards the signal values received on the selected channel to its output pin. There are two different methods to select a channel:

  1. Each channel provides a selection pin. If the block receives an ON command on the selection pins of one of the channels, the corresponding channel becomes active (selected).
  2. There is a dedicated channel selection input, which can be directly used to select a certain channel by value (0=channel0, 1= channel1, etc.).
Properties

The input field Nr of Channels defines the number of available channels.

channel selection ON/OFF à Activation input à signal input of channel0 à selection of channel0 à signal input of channel1 à Selection of channel1 à | ß Signal output
channel selection 0..X à Activation input à signal input of channel0 à selection of channel0 à signal input of channel1 à Selection of channel1 à ... | ß Signal output

In case the selected amount of channels is below 3 the channel selection input converts to a command input. An OFF command selects channel0 and an ON command selects channel1. In case the selected amount of channels is more then 3, then the channel selection pin converts to an analog input pin. The channel selection will be done by value (0=channel0, 1=channel1, etc.).

The input field Actual Channel defines the selected channel. This is for simulation purposes. The input will be overwritten by the next channel selection.

0:..X: For each channel there is a default value. This input might be either used for simulation purposes or as set points. The given values will be stored to the database. The channels keep there default values even after a system restart. In case there is a block connected to a signal input, then the default value will be overwritten by value received next.

Application sample

Requested functionality:

Reduce room temperature during absence (e.g. holidays) to 15 C.

Normal operation:

Due to the selected channel 1, the AnalogMux-Block forwards the temperature set point provided by the Room Temperature Control sensor to the set point input of the valve actuator.

Absence:

The presence simulation block provides a command output indicating if heating shall be activated or not. In case it becomes active and the period of absence is greater then the heating up period, then it sends an OFF command though the heating output. This command selects the channel0 of the AnalogMux.

The Signal input of the first channel is not connected to any source. This means, it keeps its default value and forwards it in case it is selected. Therefore the valve actuator receives the value 15 C as set point.

The analog multiplexer block supports the Activation Feature * .

Additional application samples:

- Interrupt heating in case a window has been opened

- Constant light control

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Average

myHomeControl® Version 1.2.8

* Average

This block calculates the average value of all signals connected to its input pin.

Formula

Output = (Sum of the signal values of all signals connected to the input pin) / signal count

The And block supports the Activation Feature * .

Application sample

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Clock

myHomeControl® Version 1.2.8

* Clock

The clock block generates time-based commands to successor blocks. A list of times can be defined to be processed on a weekly basis. Or a list of dates and times can be defined to be processed on a yearly basis.

Function

The property dialog provides a form to fill out a list of times. Each row of the form describes a command by means of ON or OFF, time, and days of week. The order of the times in the rows doesn’t matter.

Command

The entry in this column defines whether the block sends an ON or an OFF command at the time specified.

Time

Enter the time the command shall be sent. The command will be repeated on a weekly basis. Check the following columns to define the days of week.

On all checked days of week the command will be sent.

These buttons move the selected row.

Use these buttons to append or insert new rows and to delete existing rows. The buttons refer to the selected row. To select a row, click the corresponding time field:

Inserts a new row beyond the selected row,

Deletes the selected row.

annually

Changes the clock timer mode to send events on annually basis.

Buttons

A click on the “I”-button sends an ON-command. A click on the “O”-button sends an OFF-command. This simplifies testing of the network.

State indication

The clock is deactivated and will not send any commands.

The clock is running and will process the list of given times. It will send commands at the corresponding times.

The indications below the buttons informs about the time and the type of command that will be send out next.

The filter block supports the Activation Feature * .

Find details about the corresponding visualization element in chapter Visualization Element Clock.

Additional application samples:

- Access to home

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Communication Monitoring

myHomeControl® Version 1.2.8

* Communication Monitoring

This blocks monitors the communication status of various communication medias e.g. EnOcean- or Modbus communication.

ß Communikation ok.

Function

The block monitors all configured medias for communication break downs. If all selected medias are ONLINE the block sends out an ON command at its output pin, otherwise it sends an OFF command.

Configuration

All medias enabled in the general settings appeare as a checkbox in the properties dialog of the block.

The medias to be monitored by the block have to be checked.

In case short interruptions shall not raise an alarm condition, then delay the OFF command.

This block provides the individual logging.

Application sample

If communication breaks down, then the block sends an OFF command. This command gets inverted and triggers the SMS block to send a message to a technician.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Consumer Monitoring

myHomeControl® Version 1.2.8

* Consumer Monitoring

This blocks monitors if any electrical consumer is activated or running (e.g. lights). This informs you clearly about the state of the electrical consumer in your building if you intend to leave.

Function

The consumer monitoring block collects the states of all attached Switch Actuators and Dimmer Actuators. It monitors if one of the actuators is in ON-state.

 |  | Indication by the consumer monitoring block:
1. At least one consumer is in on state. | à | „Lights are on“
2. All consumers are switched off. | à | „All off“

Alarm output:

The output pin indicates an alarm. When the block leaves its internal “all off” state an ON-command will be sent through the alarm output pin.

The Properties dialog lists the active consumers.

State indications

Light(s) are on

At least on consumer is energized.

All off

All consumers are switched off.

Application sample

As soon as one light gets switched on, the consumer monitoring block changes its internal state to „Light(s) are on“ and sends a ON-command through its alarm out put.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Day Light

myHomeControl® Version 1.2.8

* Day Light

This block calculates the time of sunrise and the time of sunset. Depending on the calculated times it send corresponding commands to the succeeding blocks.

The time of sunrise and sunset differs from day to day. Therefore a clock is not the best solution to switch outdoor lights. Usually this function is realized with a brightness sensor but it is easier and cheaper with the daylight block, because it doesn’t request a brightness sensor.

Activation input à

Function

The day light block calculates each day of the year the times of sunrise and sunset. It indicates the calculated time values in the column “Today”:

The calculated times might be advanced or delayed by an offset value. Enter a value in the column “Delay”. Positive values will delay the time when the corresponding command shall be sent; negative values will advance the time when the corresponding command shall be sent.

At the earliest defines the earliest point in time to send a command at Sun Rise.

At the latest defines the latest point in time to send a command at Sunset.

Check the box “invert” to change the type of command that shall be sent at sunrise and sunset.

Buttons

The block provides 2 buttons on its surface. These buttons are used for simulation (test) purposes to simulate either a sunrise event [image] or a sunset event [image] .

The daylight block supports the Activation Feature * .

Additional application samples:

- Access to home

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Design Mode

myHomeControl® Version 1.2.8

* Design Mode

The Design Mode block is used to return to the design mode from the presentation mode.

command input (ON) à

ß Design mode/Presentation mode

Function

If the appearance for the presentation mode has been configured to “Full Screen without menu bar” under the general settings, then the only way to return to the design mode after the presentation mode has been activated, is to use the Design Mode block.

Typically the user clicks the Visualization Element Design Mode to return to the design mode. This element provides the opportunity to request the input of a pin code before activating the design mode.

Input pin:

An ON command on this pin activates the design mode.

Ouput pin:

On each change from the presentation mode to the design mode the block sends an ON command, on each change from design mode to presentation mode the block sends an OFF command.

Find details about the corresponding visualization element in chapter Visualization Element Design Mode.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Display

myHomeControl® Version 1.2.8

* Display

The purpose of this block is to display any signals from the network area by means of connections between blocks. The visualization element corresponding to this block displays the actual values of the signals as well as there trends.

The Display block provides 2 input pins and 1 optional input pin:

Input pin for analog signals à

Input pin for Command signals à

Input pin to start and stop recording/logging à

The is the opportunity to write all recorded data to a logfile.

Start and stop controls recording of signals for trends and logging to file. An ON command starts a recording phase and an OFF command stops recording.

The trend graphs of all visualization elements belonging to the block show the trends of the signal values during the recording phase. If recoding is stopped then the trend graphs will freeze and they show the trend of the last recording phase. If the recording is restarted, then the visualization elements drop the old trend values and restart the trend.

If logging has been enabled, then the block records signal values to a log file. It creates an individual log file for each recording phase. The name of the log file derives from the block name. The path for the log file is to be configured in the general settings page.

Configuration

The properties dialog provides opportunities to name the signals and to assign units to the different signals.

Configuration of the network block:

Visualization:

The optional Name appears in the visualization element as signal identification.

The Appearance defines if the trend of the signal is shown continously or stepped.

If Start/Stop is checked an additional input pin is shown by the block. This pin is used to control the recording. An ON command starts recording, an OFF command freezes recording and the trends shown by the corresponding visualization elements. An ON command restarts recording, old values will be dropped.

Logging enable advises the block to write recorded data to a logfile. The name of the log file is derived from the block name. The path configured on the general settings page is used to store the log file. A new log file is created for each recording phase.

Find details about the corresponding visualization element in chapter Visualization Element Display.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Division

myHomeControl® Version 1.2.8

* Division

Thais block divides the value of the signal connected to the upper pin by the value of the signal of the lower pin.

A

B

Output = A / B

In case B = 0, then the value of the output becomes the maximal positive value.

Properties

This block supports the Activation Feature * .

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Door Controller

myHomeControl® Version 1.2.8

* Door Controller

The door controller block controls automatic door like garaging doors, entrancing doors etc. It tracks the actual position of the door. This information serves as base for the door visualization element, which indicates the actual state of the door.

Command input for the door à

Sensor signalà

Sensor signal à

Activation input à

Function

This block is primary made to control automatic door openers. Therefore it generates one or two pulses, which force the door opener to open or close the door. The pulses will be sent to switching actuators.

The block supports following control modes:

Up/Down - Pulse: | There is only one pulse input available on the door opener. It reacts on pulses corresponding to the following pattern: open-stop-close-stop-open
Up-Pulse + Down-Pulse: | There are individual pulse inputs for opening and closing available on the door opener. There for two switch actuators will be requested (or a double channel type).

The control mode “Up-Pulse + Down-Pulse“ is the preferred one. In this control mode the reaction (open of close) of the door opener is always certified.

The block simulates the actual position of the door based on moving times. These are properties of the block and have to be measured on site.

If additional remote control units will control the door, then the block will not be informed about the movement of the door. Therefore additional sensors will be required.

It is recommended to install at least a position sensor for the position “closed”. This ensures the indication of the position “closed” of the visualization element. A window contact sensor might be used as position indication sensor.

State indication

The door is open.

Position 0% indicates a completely open door.

The door is closing.

Position 28% indicates, that the door has moved 28% of its driving range to the closed position.

The door has been stopped at position 54% which is nearly in the middle of the driving range.

The door is closed.

Position 100% indicates a completely closed door.

The door is opening.

Application sample

The door controller block supports the Activation Feature * . If the block is deactivated, then it will ignore any commands. Signals received from a position indication sensor will be processed independent of the activation state. The block will update its internal position estimation in any case.

Handling Blocks

Properties of Blocks

Find details about the corresponding visualization element in chapter Visualization Element Door Controller.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Equals

myHomeControl® Version 1.2.8

* Equals

This block compares the values of all signals connected to its input. If all these values are within a band, then the block sends an ON command, otherwise an OFF command.

Function

This block compares the values of all signals connected to its input. If the difference between the smallest and the largest signal value is smaller then the band value (see Configuration), then the block sends an ON command, otherwise an OFF command.

Properties

Band defines the range within all the signal values have to be, that the block sends the ON command.

This block supports the Activation Feature * .

Application sample

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


File Read

myHomeControl® Version 1.2.8

* File Read

This block reads a XML-File and evaluates the signal values specified in the file. Then it forwards the evaluated signal values to its output pins and from there to the network.

<?xml version="1.0" encoding="UTF-8"?>

<SignalCollection ..........>

   <BinarySignal Name="Sig1" Value="1"/>

   <AnalogueSignal Name="Sig2" Value="3.1" Unit="PI"/>

   <AnalogueSignal Name="Sig3" Value="2.5" Unit="V"/>

   <AnalogueSignal Name="Sig4" Value="0.01" Unit="l/h"/>

   <BinarySignal Name="Sig5" Value="1"/>

   <BinarySignal Name="Sig6" Value="1"/>

   <AnalogueSignal Name="Sig7" Value="1" Unit="V"/>

</SignalCollection>

Function

The Block monitors the specified XML-File for changes (new version of file). As soon as it detects a new version of the file it reads the signal values from the file and forwards them to the corresponding output pins.

Properties

When the XML-File is read the first time, then the block evaluates the amount and the type of the signals. Correspondingly it assigns pins to the block.

Later, when the XML-File is going to be overwritten, then the block automatically rereads the file and checks if the signal names and types are still the same. Then it updates the signal values.

The number of signals is limited to 20.

Syntax

The syntax of the XML-File is defined by the FileReader.xsd – XML Schema. The schema can be found in menu: ? -> other files -> XML; FileReader.xsd

Remark: The same syntax is been used by the File Write function.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


File Write

myHomeControl® Version 1.2.8

* File Write

This block writes signals and signal values to a XML-File.

<?xml version="1.0" encoding="UTF-8"?>

<SignalCollection ..........>

   <BinarySignal Name="Sig1" Value="1"/>

   <AnalogueSignal Name="Sig2" Value="3.1" Unit="PI"/>

   <AnalogueSignal Name="Sig3" Value="2.5" Unit="V"/>

   <AnalogueSignal Name="Sig4" Value="0.01" Unit="l/h"/>

   <BinarySignal Name="Sig5" Value="0"/>

   <BinarySignal Name="Sig6" Value="0"/>

   <AnalogueSignal Name="Sig7" Value="0" Unit="V"/>

</SignalCollection>

Function

Whenever a signal value changes, the block writes the new values to the XML-File.

Properties

First a file name has to be given, where the block writes the signal values to.

Then define the signals and there types within the table. The block assigns corresponding pins.

The number of signals is limited to 30.

If Automatic Write Enable is checked, then the block updates the XML file on every change of any of the input signals. Otherwise if automatic write is disabled, the block shows an additional pin. Every ON Command on this pin forces the block to update the XML file. The file will not be updated automatically anymore.

Syntax

The syntax of the XML-File is defined by the FileReader.xsd – XML Schema. The schema can be found in menu: ? -> other files -> XML; FileReader.xsd

Remark: The same syntax is been used by the File Read function.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Filter

myHomeControl® Version 1.2.8

* Filter

This block forwards only those received commands to the successor blocks, which fulfill the filter criteria’s (e.g. forwards only ON-commands). It is also able to invert and delay commands. The behavior has to be setup in the properties dialog of the block.

Function

The filter block provides following functionalities:

- Forwarding of ON commands

- Forwarding of OFF commands

- Inverting commands (ON->OFF or OFF->ON)

- Converting Key press-Commands into commands without key press information
converts a key press into a corresponding ON/OFF command, ignores key release.

- Delaying commands
In case ON and OFF commands will be forwarded, then both command types will be delayed as configured.
In case only OFF commands will be delayed, then they will be delayed as well. But in case the block receives an ON command it will reject a delayed OFF command pending to be sent.
Vice versa if only ON command will be forwarded.

- Interrupt (if it is deactivated, it will not forward any commands).

The filter block supports the Activation Feature * .
Application sample:

If the lights in the corridor will be switched on, then the lights at the entrance shall switch off after 5 seconds.

The filter block only forwards ON-commands. It inverts the ON-commands and delays them by 5 seconds.

Properties of the filter block

Properties

In case Forward ON Cmd is checked the block forwards ON-commands. In case Forward OFF Cmd is checked the block forwards OFF-commands.

Check invert to invert the polarity of the forwarded commands.

The forwarding of the received commands will be delayed by the value given in the field Delay.

Example:

Only OFF commands will be forwarded. These commands will be delayed for 10 Seconds.

In case the block receives an ON command during the delay of the OFF command, it will reject the pending OFF command.

Only OFF commands will be processed. The OFF commands will be converted into ON commands.

The filter block sends an ON command to its successor blocks in case it receives an OFF command.

Strip key press duration information converts the key presses into a command without key press information.

State indication

The filter block does not have an internal state (except the activation state). The filter block just forwards the commands received.

ß The info line indicates the actual configuration of the filter block.

Additional application samples:

- PTM230 Module

- Central OFF

- Delayed Off

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Hour Meter

myHomeControl® Version 1.2.8

* Hour Meter

This block accumulates time if the signal input is ON and monitors the counter value against a treshold value. If the counter value is above the threshold value, then it sets the alarm signal otherwise the alarm signal gets cleared.

Signal input (ON/OFF) à

Treshold level (Seconds) à

Reset à

Activation input à

ß Counter Value (Seconds)

ß Alarm output

Function

The hour meter starts time accumulation with an ON command on the signal input pin and stopps accumulation when it receives an OFF command on the signal input pin. The actual counter value is shown on the surface of the block by means of Days.Hours:Mins:Secs.

Internally the block calculates times based on milliseconds. Therefore it is able to measure very short periodes in time.

The counter value might be reset by an ON command on the reset input pin.

As soon as the counter values reaches the treshold level, the block sends an ON command on the Alarm output. After the reset it sends an OFF command.

The treshold value can be set eiter by the corresponding Treshold level input pin or in the block configuration dialoge.

Properties

Counter Value
Actual counter value. The button might be used to reset the counter value manualy.

Treshold level
Treshold level for the counter value which raises the alarm condition.

This block supports the Activation Feature * .

Find details about the corresponding visualization element in chapter Visualization Element Hour Meter.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Invert

myHomeControl® Version 1.2.8

* Invert

This block inverts Commands received on its input pin.

Function

If the block receives an ON command then its sends out an OFF command and vice versa. Following table shows the behaviour in details:

Refer to chapter Commands for details to the commands.

empfangen

gesendet

Hinweis
ONv

OFFv

ON^

OFF^

OFFv

ONv

OFF^

ON^

TOGGLEv

TOGGLEv

No inversion takes place

TOGGLE^

TOGGLE^

No inversion takes place

Kommandos: Schaltbefehle ohne Tasteninformation

ON

ON

OFF

OFF

TOGGLE

TOGGLE

No inversion takes place

Application sample

Handling Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Irrigation

myHomeControl® Version 1.2.8

* Irrigation

The irrigation block estimates the residual humidity in the soil, basing on the actual temperature profile; the actual air humidity profile and the rain fall.

This block might be used to control irrigation pumps.

Signal input for the actual temperature à

Signal input for the actual air humidityà

Signal input for the actual amount of rainfall à

Activation input à

Function

After rain fall or irrigation the block resets the residual humidity of the soil to 100%. The calculation will reduce the estimated residual humidity of the soil continuously. Once the estimation expects a residual humidity of 0, it releases the irrigation. But the pump(s) will not be started until the given start time (described later).

At a temperature of 20°C and an air humidity of 50% the next irrigation will be started exactly after the given irrigation interval. In case of higher air humidity or deeper temperature the interval will be stretched. In case of lower air humidity or higher temperature the interval will be shortened.

The irrigation period defines how long the pumps will be switched on.

The start time defines at what time of the day the pump(s) might be started. Sometimes it is most convenient to run the pump(s) at night because nobody gets disturbed and the effectiveness is best.

There is no need to connect all input signals of the irrigation block. Those signals, which are not connected, to any predecessor blocks will not be taken in account for the estimation. Therefore e.g. the rain input shall not be connected in case of irrigating indoor plants.

State indication

As soon as the estimation of the residual humidity of the soil comes below 0% and the time of day corresponds to the start time, an irrigation period will be started. This is indicated by the check mark in the checkbox irrigating. An irrigation period might also be started or stopped manually by checking the checkbox.

ß Residual humidity of soil

Indication in the properties dialog:

Application sample

There are two pumps installed. One irrigates the indoor plants the other one the plants outdoor.

The following example shows an indoor and an outdoor application:

The rain input pin of the irrigation block responsible for the terrace has been connected to the corresponding output pin of the weather station. In this case the irrigation block resets the estimated humidity of soil to 100% if the weather station indicates some rain.

This is not the case with the irrigation block for the indoor plants.

At the average of every third day irrigation period will be started. The irrigation starts at 3:00 in the morning.

The irrigation block supports the Activation Feature * .

Find details about the corresponding visualization element in chapter Visualization element Irrigation.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Keypad

myHomeControl® Version 1.2.8

* Keypad

This block provides Keypads with up to 20 buttons. Individual configurations can be done for each button as: Button text, latching mode and command sent to the network.

Pins

The top pin corresponds to the upper left button.
The second pin corresponds to the upper right button.
The third pin corresponds to the lower left button.
The forth pin corresponds to the lower right button.

Function

This block feeds button operations into the network by sending commands. The command to be sent is configurable individually for each button (refer to chapter configuration below).

Blue colored buttons are either pressed or latched.

Configuration

The properties dialog provides following configurations fields for each button:

To implement operation mode selectors check the latching mode and select OnOff commands. With this configuration the button sends an ON command in case the mode is activated and an OFF command if it is deactivate by the user.

Find details about the corresponding visualization element in chapter Visualization element Keypad.

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The list box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

Cmd.X This binary signal is written by the switch block to the slave. It becomes ON in case the corresponding button has been pressed
In case the function channel „KeylockX“ is activated, then the button changes temporary to the state „pressed“. If the function channel „KeylockX“ doesn’t follow the state, then the button changes its state back to the original state.

KeylockX This binary signal is read by the block from the slave. It is used to track the state of the corresponding button. This means, if the read signal is set, then the button changes to the state „pressed“.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Keystroke

myHomeControl® Version 1.2.8

* Keystroke

The Keystroke-Block delays the forwarding of the key press event. The button in question has to be pressed for at least the configured duration until the block forwards the corresponding key press event to its succeeding blocks. In case the button is released before the delay has expired, then no command is sent to the successor blocks.

Individual delays can be configured for the I- and the O-button.

Properties

Input field ON: Delay time for the I button.

Input field OFF: Delay time for the O button.

Strip key press duration information converts the key presses into a command without key press information.

The block supports the Activation Feature * .

Application sample

Only if the I button is pressed for at least 3 seconds, the horn gets started. The O button stop the horn immediately.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Link

myHomeControl® Version 1.2.8

* Link

The link block might be used to automate sequences according the operations of the user.

ON or OFF: call link à

Activation input à

ß ON: Link has been executed

Function

If the block receives an ON or OFF command on its input pin, then the link get called within the visualization. This means, the configured target tab is going to become visible and the rest of the tabs will be hidden or not depending on the configuration of the link.

Whenever the link is called, by the user itself or via a command at the input pin, then the block send an ON command through its output pin.

Further details, especially configuration items, are shown in the description of the visualization element.

Find details about the corresponding visualization element in chapter Visualization Element Clock.

The block supports the Activation Feature * .

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Load Limitation

myHomeControl® Version 1.2.8

* Load Limitation

The Load Limitation controls the power consumption by turning off and on electrical consumers. This feature is useful in case the costs for electricity are related to power as well or in case overload might be sanctioned by the power supplier.

Signal input for the actually consumed power à

Sampling interval in seconds à

Blocking command to the switch actuators.

Function

A set of time conditions might be configured. The Load Limitation function considers these time conditions and the actual load to determine which consumers have to be blocked or released. There is the opportunity to connect up to 20 Switch Actuator blocks to the Load Limitation function. The switch actuator blocks will be turned off step wise from the top output pin to the bottom output pin to control the load. In case other consumers are going to be turned off, load becomes available and the Load Limitation function releases blocked switching actuators again. This is done from the bottom to the top.

Application sample:

The counter device e.g. Omnio TST230/01 with firmware “Counter” is electrically connected to the pulse output of an electricity meter. This output toggles e.g. every 100Wh. The counter device counts these pulses and calculates the consumed energy as well as the consumed power.

The output pin “actual power consumption” as well as the output pin “sampling interval” have to be connected to the corresponding input pins of the Load Limitation block. The Load Limitation function compares the consumed power against the time conditions (see below) and evaluates if there is an overload situation.. Depending on the result of the evaluation the function turns on or off connected consumers. Only switch actuator blocks are connectable to the Load Limitation block.

The switch actuator blocks provide a blocking input pin. This input pin doesn’t control the state of the switch actuator block. It stays ON or OFF as it was before. But the blocking input controls the state of the physical switch actuator. Whenever the blocking is activated the physical switch actuator is turned off. If the blocking gets released, then the physical switch actuator get turned on if the state of the switch actuator block is ON. As soon as the switch actuator block gets connected to a Load Limitation block an additional input field appears within the properties dialog of the switch actuator block. For details refer to switch actuator. This property will be read by the Load Limitation function and enables it to determine how many and which of the consumers shall be blocked or released in certain overload situations.

Priority:

The consumers are blocked step wise from the top pin to the bottom pin. This means, in case of an overload situation to consumer connected to the top pin will be blocked first. The amount of consumers which will be blocked depend on the overload and the power the individual consumers are consuming (switch actuator property “Consumption”).

In case “load becomes available” the consumers will be released from the bottom side. The next blocked consumers fitting into the “free load” will be released. For details refer to the section conditions further below.

Properties

Consumer

ß This input field controls the amount of output pins provided by the block. These pins control the blocking input of switch actuators.

Conditions

Indicates the current consumption

Indication in %

Input field for the limit.

Input field for the sampling interval.

Conditions defining the behavior of the Load Limitation function under different overload situations.

Insert and remove conditions.

Actual Load:

This field indicates the actual load e.g. kW. The indicated value corresponds to the signal value received on the input pin “Power”.

Actual Load [%]:

This field indicates the actual load as a %-value basing on the Power Limit value.

Power Limit:

This is the input field for the power limit e.g. xyz [kW]. This value corresponds to 100%.

Sampling Interval:

This is the input field for the sampling interval in seconds. This means the duration between two measurements of the power consumption. The Load Limitation function requires this value to determine the latest time to block consumers.

In case the input pin “Sampl. interval” has been connected, then this field acts only as an indication and is read only.

Conditions:

Each row of the table defines the behavior during a certain overload situation. There is the opportunity to append additional rows.

A row defines a condition. This means it defines the behavior of the Load Limitation function in case of an overload situation between the overload[%] value of the previous row and the own overload[%] value ( in the sample above defines the second row the behavior between overload of 10% and 30%). The cell “accepted” defines the duration how long the overload situation will be accepted. For unlimited duration enter a – instead of xx:yy as duration value. 2.1 times the sampling interval before the end of the accepted duration, the Load Limitation function is going to block consumers to solve the overload situation. The factor of 2.1 enables the Load Limitation to block additional consumers in case the first blocking step didn’t solve the overload situation.

The cell “Pause” defines the minimal duration where the load must be within legal conditions before it may raise to overload situation again.

The cell “Active” indicates if the actual overload situation fits the corresponding condition.

The cell “time left” indicates in case the condition is active, for how long the overload will be accepted. In case the condition is not active, the cell indicates the rest ant duration of the pause.

The Or block supports the Activation Feature * .

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Maximum

myHomeControl® Version 1.2.8

* Maximum

This function evaluates the largest value of the values of all connected signals.

This block supports the Activation Feature * .

Application sample

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Minimum

myHomeControl® Version 1.2.8

* Minimum

This function evaluates the smallest value of the values of all connected signals.

This block supports the Activation Feature * .

Application sample

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Multiplication

myHomeControl® Version 1.2.8

* Multiplication

This function multiplies the values of all connected signals.

Formula

Output = product of the signal values of all signals connected to the input pin

Properties

This block supports the Activation Feature * .

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Operator Screen

myHomeControl® Version 1.2.8

* Operator Screen

This block.

Properties

The operator events, on which the block shall react, have to be defined in the settings of the Visualization element.

Find details about the corresponding visualization element in chapter Visualization Element Operator Screen.

The set point block supports the Activation Feature * .

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Or

myHomeControl® Version 1.2.8

* Or

The Or-Block sends an ON command in case it receives an ON-Command from at least on of its predecessor blocks. It sends an OFF command after the reception of OFF commands from all of its predecessor blocks.

Function

The Or block checks the Or-Condition. It changes between two states:

- “Or-Condition fulfilled”
The block received at least from one of its predecessor blocks an ON command as last command.

- “Or-Condition not fulfilled”
The block received from all predecessor blocks an OFF command as last command.

If the Or block changes its state to “Or-Condition fulfilled”, then it sends an ON command to its successor blocks. If it changes to the state “Or-Condition not fulfilled”, then it sends an OFF command to its successor blocks.

The Or block supports the Activation Feature * .

Application sample

As soon as one of the chairs will be occupied the light switches on. The light switches off if all the chairs have become free again.

Properties

The properties dialog shows the state of the commands received from the predecessor blocks.

State indication

The toggle block knows the states ON and OFF. If changes its state with each processed command. On each state change it sends a corresponding command to the successor blocks.

The Or condition is fulfilled. The block sent out an ON command.

The Or condition is not fulfilled. The block sent out an OFF command.

Additional application samples:

- Lights in office controlled by radio chairs

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PID Controller

myHomeControl® Version 1.2.8

* PID Controller

This block implements a PID controller algorithm.

Function

The PID algorithm is executed every 1 second.

The output is updated, if it changed by at least 1%.

This block supports the Activation Feature * .

Properties

Factor P:

Running Time I: in minutes

Derivative D:

Min.Limitation Min. limitation of the output value.

Max.Limitation Max. limitation of the output value.

Noise Suppression The controller outputs a new signal value, if the value changed at least by the value of the noise suppression.

Application sample

This sample shows a closed loop control for a room heating.

- The room control panel measures the actual temperature and provides a set point value for the temperature.

- The PID controller evaluates the requested heating power as a % value.

- The PWM (pulse width modulator) converts the analogue % value to a sequence of ON and OFF command corresponding to a modulated pulse sequence.

- The RCM250 switch actuator is used to control a thermo dynamic valve (heating valve).

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PIN

myHomeControl® Version 1.2.8

* PIN

This block might be used to build up a security system. The block requests the input of a PIN code by the user to activate or deactivate the security system.

ON=lock / OFF=unlock à

ß lock state: ON=locked

The block knows two individual states: “locked” and “unlocked”.

An ON command on the input triggers the block to change to the locked state. An OFF command triggers the block to change to the unlocked state. Depending on the configuration of the block, the block requests the input of the PIN code by the user.

The block only changes to the requested state, if the user enters the correct PIN code. Otherwise the block stays in its original state.

In case the block changes state from locked to unlocked state, then the block sends out an OFF command through the output pin. Vice versa it sends an ON command in case the block changes from the unlocked to the locked state.

Properties

PIN code
PIN code, which has to be entered by the user.

PIN code entering timeout
The input mask for the PIN stays open for this duration. After the configured time period the input mask closes automatically and the block stays in its original state.

Request PIN to lock
if this option is checked, then the block requests the input of the PIN code every time the block changes state from „unlocked“ to „locked“. The block changes to the requested state after the user inputs the correct PIN. Otherwise it stays in the original state.

Request PIN to unlock
if this option is checked, then the block requests the input of the PIN code every time the block changes state from „locked“ to „unlocked“. The block changes to the requested state after the user inputs the correct PIN. Otherwise it stays in the original state.

Find details about the corresponding visualization element in chapter Visualization Element PIN.

Application sample:

This sample shows the principle of an security function.

A Sensolux occupancy sensor is used to detect motion within a room.

In case the sensor detects motion when the security function has been activated, then a indication light shall blink and the user shall be informed by an SMS.

The signals received from the occupancy sensor will be forwarded to the security functions in case the filter block “arm alarms” has been activated. The activation of the filter block is done by the PIN function.

When the user leaves the building, then she/he arms the security functions by locking the PIN function in the visualization. The PIN block sends out an ON command via its output pin. This activates the filter block and the filter block forwards all signal received from the occupancy sensor to its successor blocks.

When the user returns he/she disarms the security functions by unlocking the PIN function. Therefore he/she is requested to enter the correct PIN code. If the PIN code has been entered correctly, then the block changes to the “unlocked” state and sends out an OFF command to the filter block. This deactivates the filter block and no signal will be forwarded anymore.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Pulse Counter

myHomeControl® Version 1.2.8

* Pulse Counter

This block counts pulses and monitors the counter value against a treshold value. If the counter value is above the threshold value, then it sets the alarm signal otherwise the alarm signal gets cleared.

Pulse input à

Treshold level à

Reset à

Activation input à

ß Counter Value

ß Alarm output

Function

The block counts always upwards, this means counting starts at 0 and counts up to xxxxxx. The block counts either ON- or OFF commands, which it receives by the pulse input pin.

The counter value might be reset by an ON command on the reset input pin.

As soon as the counter values reaches the treshold level, the block sends an ON command on the Alarm output. After the reset it sends an OFF command.

The treshold value can be set eiter by the corresponding Treshold level input pin or in the block configuration dialoge.

Properties

Counter Value
Actual counter value. The button might be used to reset the counter value manualy.

Treshold level
Treshold level for the counter value which raises the alarm condition.

Regard ON/OFF commands

This setting defines if the block counts ON or OFF commands.

This block supports the Activation Feature * .

Find details about the corresponding visualization element in chapter Visualization Element PulseCounter.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PulseGen

myHomeControl® Version 1.2.8

* PulseGen

This block acts as a pulse generator. It generates a pulse with adjustable interval and pulse width.

Command input à

Reset à

Activation input à

ß Pulse output

Function

An ON command received on the command input pin activates the pulse generation, an OFF command deactivates it. The button in the center of the block activates or deactivates the pulse generation as well.

The block sends at the start of a new pulse an ON command and at the end of the pulse a OFF command.

There is an option to limit the amount of pulses sent by the block to a certain value.

This block supports the Activation Feature * .

Properties

The Interval defines the period for the generation of the pulses. This is the time between two pulses.
The On Period defines the pulse width. This is the time between the ON command and OFF command.

If “Limit the Number of Pulses” has been checked, then the block stopps sending out pulses as soon as its actual pulse counter reaches the configured Number of Pulses value. The reset button as well as the reset input resets the actual pulse counter. The block continues to generate pulses as long as the actual pulse count didn’t reach the configured Number of Pulses value.

State Indication

The pulse generator is turned off. It doesn’t generate pulses.

The pulse generator is turned on. It generates pulses. Actually the last sent command was an ON command.

The pulse generator is turned on. It generates pulses. Actually the last sent command was an OFF command.
Application sample

The pulse generator generates a pulse every 5 minutes with a duration of 1 minute.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PWM

myHomeControl® Version 1.2.8

* PWM

Pulse Width Modulation:
This block generates a pulse sequence according to an analogue % value.

% value inputà

ß Pulse output
Function

The block creates pulses at a configurable rate. The width of the pulses correspond to the %-value received on the input.
Samples (assuming the rate is set to 10 Seconds):

0%: no pulses are generated, output is set to OFF.

25%: every 10 seconds a pulse with a width of 2,5seconds is generated. At the start of the pulse the block sends an ON command via. its output, at the end of the pulse it sends an OFF command.

75%: every 10 seconds a pulse with a width of 7,5seconds is generated.

100%: no pulses are generated, output is set to ON.

The range for the input values is 0..100.

Properties

The Interval defines the rate for the generation of the pulses. This is the time between two pulses.

State Indication

The last sent command was an ON command.

The last sent command was an OFF command.

Application sample

This sample shows a closed loop control for a room heating.

- The room control panel measures the actual temperature and provides a set point value for the temperature.

- The PID controller evaluates the requested heating power as a % value.

- The PWM (pulse width modulator) converts the analogue % value to a sequence of ON and OFF command corresponding to a modulated pulse sequence.

- The RCM250 switch actuator is used to control a thermo dynamic valve (heating valve).

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Run

myHomeControl® Version 1.2.8

* Run

This block is used to run other windows applications.

Input pin for commands à

Properties

File: Enter path to the application file which shall be run.

Arguments: Enter argument string for the application.

Create Window defines whether the application shall be run in a window or not. If this option is selected, then there is an opportunity to select whether the window shall be opened normal, minimized or maximized. Not all applications regard these options.

Find details about the corresponding visualization element in chapter Visualization Element Run.

Additional application samples:

- Forwarding of an alarm message to all PCs of the network

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Scaling

myHomeControl® Version 1.2.8

* Scaling

This block scales analogue signals.

Properties

The input field Received shows the last value the block received. This value will be multiplied with the value of the input field Factor and added to the value of the input field Offset. Following formula will be processed:

Input signal * Factor + Offset = Output signal

The input field “Received” enables you to modify the value for test purposes. The input will be overwritten with the reception of the next value from the input pin.

The scaling block supports the Activation Feature * .

Additional application samples:

- Constant light control

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Scenes

myHomeControl® Version 1.2.8

* Scenes

This block stores up to 6 scenes with an unlimited amount of scene participants. A scene stores a set point value for each of the scene participants. This may involve switch actuators, dimmers and even jalousie actuators.

If a scene gets activated, it sends the stored set point values to all the participants and they adapt their state to the set point value.

Command inputs to activate the corresponding scene à

Activation input à

Function

Blocks connected to the output pin of the scenes block become automatically scene participants.

The input pins might be used to activate certain scenes from the network.

Properties dialog:

The [image] appends a new scene. Enter a name for the scene in the field, which is marked blue.

The [image] deletes the selected scene.

The arrow keys left, right might be used to reorder the scenes.

Enter the scene name in the frist row.

The 2th row (modifiable) defines, if the user is allowed to modify the scene values within the visualization view. Especially for global scenes as e.g. “Central OFF” it doesn’t make sence to allow the user to modify the scene.

The 3th row (next scene) defines if there is a following scene, which shall be activated after this scene.

The 4th row (Duration) defines after which periode in time the follower scene shall be called, if there is a follower scene specified in row 3.

If a scene participant shall keep its actual state in case a certain scene will be activated, then set the corresponding set point value of the scene to -.

Syntax of the scene values:

- Switching actuator

- Dimmer actuator

- Jalousie actuator

The arrow keys up, down might be used to reorder the scene paritcipants.

The table shows a set point value for each scene and each scene participant. These values might be edited within the table. The user is able to modify the scene values in the visualization view as well, refer to Teaching of a scene.

Teaching of a scene:

If one of the scenes buttons e.g. will be pressed for about 5 seconds, then the actual states of the scene participants will be collected by the scenes block and stored accordingly.

Find details about the corresponding visualization element in chapter Visualization Element Scenes.

The scene block supports the Activation Feature * .

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


send email

myHomeControl® Version 1.2.8

* send email

This feature is available if the License option: email, SMS. phone has been enabled.

This block sends an email if it receives an ON-command.

Function

This block sends an email to the address given in the Properties dialog. The figure below shows an example of a transmitted email.

To enable the sending of emails, account information’s have to be given in the main Options tab (see Options à Email).

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


send SMS

myHomeControl® Version 1.2.8

* send SMS

This feature is available if the License option: email, SMS. phone has been enabled.

This block sends an email if it receives an ON-command.

This block is still under development. Refer to send email.

Application sample

In the example above the presence simulation activates the window monitoring. The window monitoring monitors if all windows stay closed.
In case one window will be opened it will send an ON-command through its alarm output. This command is forwarded to the connected send SMS block.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Sequence

myHomeControl® Version 1.2.8

* Sequence

The Sequence block provides functionality to create sequences.

Function

The Sequence block provides a configurable amount of output pins. Each output pin corresponds to a sequence Step. There can only be one step active at a time. An ON-command will be sent though the output corresponding to the active step.

The input „up/down“ is used to step to the next step. An ON-command steps up (e.g. 1->2), an OFF-command steppes down (e.g. 3->2). Optionally round robin might be activated which forces the block to step to the first step after the last step has been activated and vice versa.

If a step change occurs, then first an OFF-command will be sent to the output pin corresponding to the „old“ step and then an ON-command will be sent to the output pin corresponding to the „new“ step.

On every step the block will send an OFF-command to the pin corresponding to the „old“ step and then an ON-command to the „new“ pin.

The input „reset“ activates step 0.

The input „step“ activates the step corresponding to the value.

Configuration

Nr. of Steps defines the amount of steps and output pins.

The block locks stepping up when the last step has been activated and stepping down when the first step has been activated. In case one of the round robins is enabled, then stepping will be continued to the given step. Enter the target step in the input field just right of the round robin option.

Automatic stepping is configurable as well. Automatic stepping bases on times. For each step a time might be parameterized to step up or down. The corresponding times will be started when a step becomes active. After expiration of the time, the new step becomes active. The block accepts step commands on its input pin even if a time is running.

State indication

The red dot indicates the actual step.

Application sample: Single button scene control

Activation of different scenes with one 1-channel radio button.

The sequence block activates the next scene with each key press.

Application sample: Ambiance

Ambiance: Continuous change of lights

A key press on the ON-Button of the PTM radio button activates step 1 of the sequence block. This activates scene „S1“ accordingly. The setup of sequence block will toggle between step 1 and step 2 every 15 minutes. This activates a new scene every 15 minutes. The on- and off ramps of the dimmers are setup to reach the new brightness set point value after 5 minutes. This results in a smooth change between the scenes.

A key press on the OFF-Button of the PTM radio button forces the sequence block into step 0. The scene „Off“ will be activated accordingly.

Configuration of the sequence block:

After a delay of 15 minutes (900 seconds) the block changes automatically form step 1 to step 2. Due to the activated round robin, it will step back to step 1 after an other 15 minutes. No times are configured for step 0. After a reset-command will the block stay in step 0 until it receives a step command.

The sequence block supports the Activation Feature * .

Handling Blocks

Properties of Blocks

The sequence block supports the Activation Feature * .

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Setpoint

myHomeControl® Version 1.2.8

* Setpoint

The set point block stores two individual set point values. In case it receives an ON command on its input pin, it sends the first set point value to the succeeding blocks. In case it receives an OFF command it sends the other set point value.

Application sample:

  1. The Buttons provide manual operation of the dimmable light.
  2. In case the occupancy sensors detect presence of a person, it sends an ON command to the upper set point block. The set point block sends the 70% value to the dimming actuator block. The dimming actuator block switches on the light and lights it up to 70%.
  3. The dimmable light is also included in the presence simulation function. If the dimmable light will be activated by the presence simulation function, it will light up to only 30% to save energy.
Properties

Before entering the set point values, at least one successor block have to be connected to the output pin of the set point block.

The set point block supports the Activation Feature * .

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Settings

myHomeControl® Version 1.2.8

* Settings

This function stores a free amount of parameters and forwards the parameter values via. the output pins to the network. The corresponding visualization element enables the user to modify the parameter values.

There is a line for each parameter indicating the name and the actual value of the parameter.

Properties

The properties dialog shows a table. Each row of the table corresponds to one parameter.

Use these buttons to append or insert new rows and to delete existing rows. The buttons refer to the selected row. To select a row, click the corresponding time field:

Inserts a new row at the end of the table,

Deletes the selected row.

These buttons move the selected row.

Find details about the corresponding visualization element in chapter Visualization Element Settings.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Shading

myHomeControl® Version 1.2.8

* Shading

The shading block commands jalousies to support the control of the room temperature.

various sensor inputs à

Activation input à

ß Command to control blinds.

It calculates the actual position of the sun. The properties dialog provides different forms to define the geometrical characteristics of the building und the windows. Concerning the position of the sun and the geometrical information’s it is able to define the best times to lower or raise the jalousies.

One single central brightness sensor may inform the shading blocks about the intensity of the sun. Temperature sensors may be used to optimize the shading process as well.

Application sample

Each shading block evaluates its own criteria’s if lowering or rising of the jalousies shall be performed.

Buttons

The block provides 2 buttons on its surface. These buttons are used for simulation (test) purposes to simulate either a lift event [image] or a lower event [image] .

Tab Thresholds:

There is a threshold level available for the brightness. If the actual brightness value is below this threshold level, the jalousies will never be lowered. Is the actual brightness above the level, then the jalousies might be lowered.

There is a threshold level for the wind speed as well. If the actual wind speed value is above this level the jalousies will be raised and blocked in the upper end position until the wind speed is below the level.

Also for the out- and indoor temperature there are corresponding threshold levels available.
Optionally there is the opportunity to enable averageing of the outside temperature. In this case the outdoor treshold level is compared with the average value of the outside temperature of the last X days. This level comparison may deliver better results during morning hours compared to the level comparison with the actual outside temperature, because the outside temperature raises slowly during the morning hours.

In case the “Setpont Temp”-input pin is connected, the value for the threshold level “indoor max.” is taken from that pin.

If certain threshold levels are not of interest, the corresponding pins must not be connected to a sensor. Disabled threshold values are indicated by disabled input fields. Connect the sensor first before entering the corresponding threshold level value.

At the earliest and at the latest define a time frame. Shading is only processed during this time frame.

Blocking time

To avoid that the jalousies run up and down at changing weather conditions there is a movement delay. Between to movements there must be at least a delay of 15 minutes.

The Blocking time for next movement avoids periodical movement of the blinds. The shadow controller awaits at least the specified time period before the next movement. In case of over wind conditions the blinds will be raised immediately, also before the blocking period as been expired.

Following rules have to be fulfilled, in case a corresponding sensor is connected to the function, that the jalousies can be lowered. The various conditions are only considerd in case sensors are connected to the corresponding input pins (Sample: The condition “must not rain” is only evaluated in case a rain sensor is connected to the “rain” input pin of the block):

  1. The actual brightness must be above the brightness threshold level.
  2. It must not rain.
  3. The actual wind speed must be below the wind speed threshold level.

3a. The actual indoor temperature muss be above the minimal indoor temperature threshold level and the actual outdoor temperature must be above the outdoor temperature threshold level,

Or

3b. The actual indoor temperature must be above the maximal indoor threshold level.

  4. The sun shines into the window at the actual elevation state (see tab Dimensions).
  5. The sun shines into the window at its actual horizontal angle (see tab Orientation).
  6. The actual time is within the time frame.

Activation. An ON-command activates the shading block, an OFF-command deactivates if.

REGARD:
Even if the block is deactivated, a wind alarm or rain will raise a command to lift the blinds!

Tab Dimensions:

The time to lower the jalousies is when the sun shines through the window into the room. This depends on the shading of the window by the eave and the elevation angle of the sun. Therefore some geometrical aspects of the building have to be entered. 0.1 m is a sufficient accuracy.

For a window in an upper floor estimate the values accordingly.

The purple angle shows the angle range within the jalousies might be lowered if all conditions are fulfilled.

The End Angle of Shading defines the lowest elevation angle of the sun where the jalousies might be lowered.

Tab Orientation:

Besides the shading of the window by the eave, also the orientation of the window has to be taken in account. This dialog provides the configuration of the bearing of the window. Sufficient accuracy is about 5-15º.

If the horizontal angle of the sun is within the purple angle range then the horizontal lowering condition is fulfilled. The two shading angle parameters left and right define the purple angle range. Left and right apply to the vision out of the window.

Tab State:

This tab shows the actual states of all the conditions. Gray conditions are not evaluated becase there is no sensor connected to corresponding input pin.

As soon as all conditions are fulfilled the jalousies will be lowered.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Sound

myHomeControl® Version 1.2.8

* Sound

This block plays audio files. Two individual audio files can be assigned. One to the ON event and the other to the OFF event. The audio file for the ON event is played in case the block receives an ON command on its input pin. The audio file for the OFF event is played in case the block receives an OFF command.

This block supports the Activation Feature * .

In case the block is in deactivated state it doesn’t play the audio files.

Application sample

In case the I button has been pressed the block plays the audio file assigned to the ON event. In case the O button has been pressed the block plays the audio file assigned to the OFF event.

Additional application samples:

- Create and play an text message (audio)

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Subtraction

myHomeControl® Version 1.2.8

* Subtraction

This block subtracts the value of the signal connected to the lower pin from the value of the signal of the lower pin.

A

B

Output = A - B

Properties

This block supports the Activation Feature * .

Additional application samples:

-

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Phone Call

myHomeControl® Version 1.2.8

* Phone Call

This feature is available if the License option: email, SMS. phone has been enabled.

This block processes a phone call if it receives an ON-command. It activates a voice mail.

This block is still under development. Refer to send email.

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Temperature Controller

myHomeControl® Version 1.2.8

* Temperature Controller

This block is used for single room temperature control. It manages up to 10 individual set point values. It controls the temperature in a room according the selected set point value. It uses a heater to control the temperature.

actual temperature à

set point shift à

brightness (sun) à

weather forecast à

1.temp.setpoint à

2. temp.setpoint / 2.setpoint activation à

3. temp.setpoint / 3.setpoint activation à

ß %-value of the output

ß pulse output

ß selected set point

Function

Set point management

The block allocates two input pins for each set point. One is used to feed in the set point value, the other one is to control the activation of the set point. An ON command activates the set point, an OFF command deactivates it. The activation state of the set point is indicated by a black rectangular surrounding the set point value. The first set point is always active and can not be deactivated.

There are different priorities assigned to the set points. The first set point has lowest priority, to last set point has highest priority.

The activated set point with the highest priority is used for the temperature control. This value is also forwarded to the corresponding output of the block.

Temperature control

The temperature control part of the block calculates the output for the heating. Therefore the block compares continuously the actual temperature and the set point and controls the output accordingly. The calculated %-value for the output is forwarded to the %-value output pin.

In case thermo dynamic valve actuators shall be used, these kind of devices can be easily controlled by a regular switch actuator. Thermodynamic valve actuators have only two states „open“ and „closed“. The temperature control block provides a pulse modulated output to control these kind of devices. The block creates a pulse pattern corresponding to the %-value calculated by the temperature control algorithm.

Sunlight

Rooms with large windows, oriented to the south, sunlight will considerably support the heating. The temperature controller block is able to consider the support and reduce the heating power for energy saving reasons. To benefit from this function a brightness sensor has to be connected to the temperature controller.

Weather forecast (optional, not yet implemented)

myHomeControl gathers weather forecast information form the internet. In case there is a forecast for nice and warm weather, the temperature controller block reduces the heating power during the heating-up phase after the night time lowering.

Application sample

Temperature control for a guest room.

If no guests are in the guest room shall be temperate to 15 degrees Celsius.

The room operating panel (SR04P) measures the actual room temperature. The wheel is used to shift the set point by +- 3 degrees.

The basic temperature set point value of the temperature controller block (set point 1) is set to 20 deg Celsius. Set point 2 is used for night time temperature lowering. The clock timer block activates and deactivates set point 2 according a configured schedule.
The third set point value is used for temperature control in case the guest room is unoccupied. The button switch “PTM 250” activates/deactivates the set point.
The forth set point value gets activated by the absence function.

The temperature controller block controls the room temperature according the selected set point value (considering the set point shift). In the sample above, set point 3 is used because it is the activated set point with the highest priority.

The temperature controller block determines a suitable pulse pattern for the switch actuator to control the heating valve.

State indications

Pulse output is OFF.

Pulse output is ON.

Set points 1 and 3 are activated. This is indicated by the rectangle around the set point value indication.

Set point 3 is selected and used for the temperature control because it is the activated set point with the highest priority.

Properties

Set points

Nr of Setpoints defines the amount of set point provided by the temperature controller block.

Used Setpoint indicates the number of the selected set point, which is used for the temperature control. This value is just indication.

There is an individual row for each set point as shown below:

- Index:
Number of the set point:

- invert:
Checkbox indicating if the activation commands of the channel behaves in inverted manner. The box enables the user to modify the inversion state.

- Value:
Numeric input field indicating the value of the set point. It enables the user to enter a set point value. In case a signal has been connected to the corresponding set point value input pin, then the next change of the signal value will overwrite a value entered in the input field.
The temperature controller block stores all set point values. After a restart, these values are still available.

- active:
Checkbox indicating the activity state of the set point. The box enables the user to modify the activity state.

Controller Settings

To find correct values for the controller settings is not simple for users which are not used to.

The wizard supports the determination of adequate values for the settings for different use cases.

PID-Controller

The output value of the PID controller are multiplied by 100 to be rescaled to %-values.

PWM

The Interval defines the rate for the generation of the pulses. This is the time between two pulses. The width of the pulses correspond to the %-value received on the input.
Samples (assuming the rate is set to 10 Seconds):

0%: no pulses are generated, output is set to OFF.

25%: every 10 seconds a pulse with a width of 2,5seconds is generated. At the start of the pulse the block sends an ON command via. its output, at the end of the pulse it sends an OFF command.

75%: every 10 seconds a pulse with a width of 7,5seconds is generated.

100%: no pulses are generated, output is set to ON.

The range for the input values is 0..100.

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Toggle

myHomeControl® Version 1.2.8

* Toggle

The toggle block processes either only ON-command or only OFF-commands. This depends on its setup. On each processed command the toggle block sends out a TOGGLE-command.

This block is useful in case a light should be operated with only one button of a PTM radio button device.

Function

The toggle block processes either only ON-command or only OFF-commands. On each processed command the toggle block sends out a TOGGLE-command. This advises the successor blocks to change there corresponding state.

The filter block supports the Activation Feature * .

Application sample

The upper button of a single channel PTM radio button shall operate the down lights in the ceil, the lower button shall operate the floor light.

Properties

The properties dialog offers the opportunity to setup the block to either process only ON-commands or only OFF-commands.

Additional application samples:

- PTM230 Module

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Trigger

myHomeControl® Version 1.2.8

* Trigger

The trigger block compares an analogue signal with a threshold level and generates commands in case the signal passes the level.

The threshold level may either be entered in the properties dialog of the block or via the a analogue input pin.

Analogue Signal Input à

Threshold Level à

Command Input for the Activation à

The button [image] copies the actual value of the analogue signal into the threshold level field. The threshold level field is inactive in case the corresponding input pin is connected. In this case the value of the level is taken from the signal pin.

Function

The trigger block supports a threshold value and a hysteresis value. Depending on its internal state the block monitors if the signal(analogue input *). will go over the threshold level or will go under the threshold level.

In case the actual state is “BELOW”, the block generates an ON-command if the signals value becomes greater then the Threshold level. It changes its internal state to “ABOVE”.

In case the actual state is “ABOVE”, the block generates an OFF-command if the signals value becomes lesser then the Threshold level – the Hysteresis. It changes its internal state to “BELOW”.

Application sample:

State indication

State is BELOW. The trigger block monitors if the signal passes the threshold level.

State is ABOVE. The trigger block monitors if the signal passes the threshold level – the hysteresis.

.

The filter block supports the Activation Feature * .

Additional application samples:

- Lights in office controlled by radio chairs

- Constant light control

Handling Blocks

Properties of Blocks

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Window Monitoring

myHomeControl® Version 1.2.8

* Window Monitoring

The window-monitoring block collects the states of all attached window handles and windows contacts. It evaluates if all the windows where closed.

Function

The window-monitoring block collects the states of all attached window handles and windows contacts. It updates its own internal state depending on the states of the attached window sensors and manages lists of windows with the similar state.

 |  | Indication of the block:
1. At least one window is open. | à | „Window open“
2. No windows are open, but at least on is in tilt position | à | „Window in tilt position“
3. All windows are closed | à | „All Windows closed“

Signal input for window handlesà

Command input for window contactsà

Activation input à

Alarm output:

The output pin indicates an alarm. When the block leaves its internal “all Windows closed” state an ON-command will be sent through the alarm output pin.

The Properties dialog lists the open windows and the windows in tilt position separately.

A delay time might be given to delay the generation of the alarm. Only if a window stays open or tilt for a longer period then the delay time, the alarm output will be activated.

State indications

Windows closed

All windows are closed.

Window(s) in tilt position

At least one window is in tilt position, but none is open.

Window(s) open

At least one window is open, but there might be some in tilt position as well.

Application sample

Connect all window sensors to the corresponding window-monitoring block.

The sample above shows a simple alarming logic. It sends a sms message in case a window is opened if all inhabitants have checked out (nobody is at home).

Find details about the corresponding visualization element in Visualization Element Window Monitoring.

Additional application samples:

- Create and play an text message (audio)

cross-references
Logic

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Sensors

Sensors are EnOcean devices measuring any physical signals and transmitting them as radio messages.

The sensor blocks, which represent a sensor device within myHomeControl, have to be teached to a certain sensor device to be able to evaluate them specific radio messages.

cross-references
Network
Teaching Sensor blocks
Life-Sign Monitoring
Individual logging
Brightness
Camera
Counter 1
Counter 2
Control Unit
Electric Meter
Keycard Switch
Leakage
Presence Indication
PTM Radio Button
PTM Radio Button 8
Radio Chair
Receive(analog)
Room Temperature Sensor
STM100
Temperature
Voltagesensor
Weather station
Window Contact
Window Handle

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Teaching Sensor blocks

► In the context of EnOcean addresses allways means a combination of ORG and EnOcean Id. The address value is allways shown in hexadecimal representation.
The address follows the schema:
<ORG:XX><EnOceanId:XXXXXXXX>
ORG is optional. ORG is required for those sensors sending different messages under the same EnOceanId e.g. some room controllers.
Using the Teach button, ORG is allways stored with the EnOceanId.

All sensor block provide in there Properties dialog a teach button an they show the teached address.

To teach a sensor first press the Teach-button, it starts blinking in blue color. Then press the LRN-button at the sensor device to force it to send a radio message (in case of a PTM radio button just press on of the buttons).

clears an already teached address.

3 Clicks
If the sensor transmits PTM-type of messages (e.g. a Pushbutton Rocker Switch), then the option “3 Clicks” becomes available. In case this option has been checked, then the teach in procedure requires at least 3 PTM messages. This option is useful in case of considerable radio traffic. It prevents the teach in of invalid sensors. The sensor in question has to be operated at least 3 times within a timeframe of 2 seconds.

accept only LRN-Message
Sensor, sending messages periodically, have a LRN-button. This button is used to initiate the transition of a LRN-message. By default myHomeControl accepts for the teach in process only messages marked as LRN messages.

If the sensor is not reachable, the LRN button can not be pressed. In this case disable the option “accept only LRN-message”. myHomeControl accepts the next message received for the teach in.

As soon as the sensor block receives a radio message corresponding to its type, the teached address will be shown in the field “Addr:”

There is a opportunity to enter the address manually as well. Click the box indicating the value of the address in the properties dialog of the block. Following dialog will be shown:

There is also the opportunity to modify the addresses directly in the list of all devices.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Life-Sign Monitoring

Some of the EnOcean-Sensor send there signals on a cyclic basis. Therefore they send out radio signals periodically.

MyHomeControl monitors if it receives the radio messages from a particular sensor periodically. If this is not the case, then the sensor might be broken.

The result of the monitoring is provided by the block of the sensor to the network by an output pin.

Example: Window Contact

ß Command output (ON/OFF)

ß ON: life sign ok / OFF: life sign missed

The block forwards following commands:

Stays ON as long as radio messages from the sensor will be received continuously. If messages are outstanding for more then the monitoring period an OFF-command will be sent indicating a communication loss.

The corresponding visualization element of the sensor shows an indication in case of a life sign failure. A red antenna symbol pops up in the area of the visualization element.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Individual logging

Various sensor blocks provide a logging feature, which logs received signal values to individual log files per sensor. The CSV format is used for the log files. The log files can be directly opened in Excel.

If the logging has been enabled, then log files will be created on reception of radio signals. The Duration of recording per file defines the period of time where signals where logged to the same file. After the period a new file is created. Regard that Excel limits the amount of rows per table to about 64000 lines. Therefore the period has to be adapted to the send rate of the sensor to keep logging within the row limits.

The files will be named as follows:

Log_<project name>_<block reference>_<yyyy_MM_dd_hh_mm>_00.csv

Project name: as defined in general settings / project name

Block reference: floor name _ room name _ block name

The files are stored to the path defined in the general settings / protocol.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Brightness

myHomeControl® Version 1.2.8

* Brightness

The Brightness block evaluates radio message transmitted by a brightness sensor (e.g. on basis of a EnOcean STM100-Modul). There is the opportunity to activate a low pass filter for the brightness values.

The block forwards the brightness signal as LUX-value to its output pin.

Depending on the sensor type a value range has to be selected. Following ranges are available:

300..30'000 lux

600..60'000 lux

The brightness block provides to different output pins.

ß Brightness as average LUX value

ß ON: life sign ok / OFF: life sign missed

The Properties dialog offers the opportunity to simulate the brightness value. Enter a value into the brightness field or move the slider to a corresponding position. Take in account that your inputs will be overwritten by the next reception of a radio message transmitted by the sensor device.

In case the value of the Filtertime will be set to a value >0, then a low pass filter will be activated. This filter filters the received brightness values. A typical value for shading is 15 minutes = 900 seconds.

This block provides the individual logging.

This is a sensor block and has to be teached.

Find details about the corresponding visualization element in chapter Visualization Element Brightness.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 07-06-01: Profile Light Sensor (Measurement range 300 to 30000 lx and 600 to 60000 lx)

· EEP 07-06-02: Profile Light Sensor (Measurement range 0 to 512 lx and 0 to 1024 lx)

Supported Devices

Appendix B list the devices supported by this block.

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The List box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

Value This analogue signal is read by the block from the slave. It is used to track the state of the block.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Camera

myHomeControl® Version 1.2.8

* Camera

This block operates any camera. USB-cameras, IP-cameras and WEB cameras are supported. The corresponding visualization element shows the pictures taken by the camera. This network block enables the integration of the camera into the control logic. The block provides different features as described below.

Function

Opens ControlDlg of Visualization à

Starts/stops recording à

Activation input à

ß Command Output „Buttons“

ß Command Output „Motion detection“

Open Control Dialog of the Visualization Element:

An ON command, which is received by the block over the command input pin “open dlg.” forces the visualization element of the camera to open the dialog showing the pictures of the camera. The corresponding floor tab will be selected accordingly. This feature might be used to automatically show the camera in case the door bell has been pressed. Refer to the visualization element of the camera .

Recording of the video stream:

If “Enable recording” is checked in the properties dialog of the camera block, then the block becomes an additional input pin “REC”. An ON command on this pin starts the recording of the video stream. An OFF command stops recoding.

The location where the recordings will be stored can be defined within the properties dialog, refer to parameter “Path to store recording”. The maximal time period for the recording can be configured within the properties dialog as well, refer to the parameter “Time period for recording”. The file containing the recording will be named as following:

<Name of the block>_<Date of recording:YYYYMMDD>_<Time of recording:HHMMSS>.AVI

Use the windows media play to watch the file.

The recording might also be started due to a motion detection event. Therefore the motion detection has to be enabled first, then check the “Record on motion” option.

Operator Buttons:

There is the opportunity to activate an ON and an OFF button. In case a button has been activated, then it will be shown within the visualization element and can be operated by the user. These buttons raise corresponding command sent by the command output pin “Buttons” of the block. This feature might be used to activate a door opener if the user presses a button on the visualization element of the camera.

Motion Detection:

The camera function provides a motion detection option. If “Enable Motion Detection” has been checked, then the camera function monitors the life pictures of the camera for motion. If motion detection has been activated the block becomes an additional pin “Motion”. In case the function detects “enough” motion, then the block sends out an ON command on the “Motion” pin, otherwise it sends out an OFF command.

The motion detection function calculates a intensity value based on the size of the areas of the picture where motion has been detected. This motion intensity value is shown within the properties dialog of the block. The parameter “Threshold Level”, which can be set in the properties dialog of the block, defines the threshold level value for the motion intensity. In case the motion intensity value is greater then the threshold level, the block sends out an ON command on the pin “Motion”. In case the motion intensity value falls below the threshold level, then the block sends out an OFF command.

Properties

The properties dialog enables the user to select a camera, as well as to activate different features e.g. Operator Buttons, Motion Detection, …).

In case changes within the configuration area of the camera will not be applied to the picture automatically, then the apply button has to be pressed. The picture above the button shows the actual pictures corresponding to the settings of the camera.

Types of cameras

Various types of cameras are supported by this block.

The corresponding video source has to be selected.

The presented input fields correspond to the selected type of camera.

IP-Cameras:

There are some concrete types of cameras available showing dedicated input fields.

In case a camera of an unknown type shall be operated, then select the JPEG stream and enter the camera specific connection string into the URL: field. Usually the connection string also includes some configuration items. Refer to the documentation of the camera for details.

Application sample: http://webcam.oii.ox.ac.uk

USB-Cameras:

If the local capture device has been selected, then a list box showing all USB cameras available on the PC will be shown.

Select the corresponding camera.

WEB-Cams:

The WEB cams differentiate between JPEG and MJPEG. The connection string to the camera indicate the type to be selected. Select the type corresponding to the extension .jpg or .mjpg.

Application sample:

JPEG: http://www.swisswebcams.ch/mobotix/ar3o.jpg

MJPEG: http://www.broodjesexpress.net:8080/axis-cgi/mjpg/video.cgi?camera=&showlength=1&resolution=352x288

Frame rate

The update of the pictures may require some CPU power. Especially USB cameras require a considerable amount of CPU power. Therefore the load must be checked and should not excess 50%. The frame rate should be reduced accordingly.

Visualization Element

Find details about the corresponding visualization element in Visualization Element Camera.

Application sample

If the bell button has been pressed at the entrance door, the visualization dialog of the camera pops up automatically. The user sees who is ringing the bell. In case the visitor is welcome, then the user presses the button „open door“ which is located on the visualization dialog as well. This opens the entrance door and enables the visitor to come in.

Settings of the camera block:

Check „Enable On Button“ to activate the on button on the visualization dialog of the camera. Thais enables the user to operate the door opener.

Settings of the switching actuator block:

Activate „button follower mode“ to turn on the actuator during the button press of the user.

Application sample of the visualization element:

The dialog of the visualization element pops up automatically in case the button of the door bell has been pressed.

Press the button „Door Opener“ to release the entrance door.

Settings of Visualization element:

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Counter 1

myHomeControl® Version 1.2.8

* Counter 1

The counter block receives its values from a TST230/01 device provided by Omnio. There is a special firmware available implementing the counter function. The device processes 2 independent 28bit counters. Each of the counters is represented by an own instance of the counter 1 block.

Remark: It is only allowed to insert a complete device into a project. Refer to counter 2 for details.

The counter 1 block provides at its first output pin the counter value. There is the opportunity to scale the value by means of received value * factor + offset. Additionally a unit can be configured.
On its second output pin it provides a consumption value by means of a value reflected on a time base:

consumption = (center value t2 – counter value t1) / (tmet2 – timet1) * time base

The time base is an option to be configured within the properties dialog.

The counter 1 block provides to different output pins.

ß Counter value

ß Consumption value

ß Sampling interval in seconds

ß ON: life sign ok / OFF: life sign missed

Regard the special teach in procedure for this device!

Supported EnOcean Profiles (EEP)

The device uses its own proprietary profile.

Find details about the corresponding visualization element in chapter Visualization Element Counter 1.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Counter 2

myHomeControl® Version 1.2.8

* Counter 2

This block represents a TST230/01 device provided by Omnio where a special firmware has been loaded. This device provides two individual counters.

This block represents the whole device. It acts as a container for 2 blocks of type Counter 1.

Teach In procedure

The device TST230/01 with firmware “Counters” requires a special procedure for the teach in:

  1. Press the Teach-button of the properties dialog of the whole device (block counter 2).
  2. Remove the power supply of the device and reconnect it again. The device sends a teach telegram during the startup.
Manual input of the address:

This device sends on 3 addresses:

StartUp: A5 5A 0B 07 00 00 00 0A FF FF 33 46 00 93
Kanal1: A5 5A 0B 07 FF FF FF 0F FF FF 33 45 00 94
Kanal0: A5 5A 0B 07 FF FF FF 0F FF FF 33 44 00 93

To enter the address manually click the input field for the address which is located in the properties dialog of the root element of the device. Then calculate the address found in the StartUp-telegram and enter it into the field.

calculate hex to dez: FFFF3346h = 4294914886

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Control Unit

myHomeControl® Version 1.2.8

* Control Unit

The Control Unit block receives its data from a DUX Control Unit of the company Schlegel (Radio transmitters DMF-A, DMF-B) or from a radio position switch of the company Steute (EF 95 xx, EF 41 xx). This block might be configured according to the buttons or selectors available on the control unit. It forwards button presses or selections to the follower blocks.

The Properties dialog offers the opportunity to select the corresponding sensor type. Following types are available:

single button momentary
DUX: Module DMF-A
Steute: EF 41 xx, EF 95 xx
Commands: ONv, ON^

single button maintained
Module DMF-A
Commands: ONv, ON^

Selector with 2 positions momentary
Module DMF-A
Commands: ONv, ON^

Selector with 2 positions maintained
Module DMF-A
Commands: ONv, ON^

two button momentary
Module DMF-B
Commands: ONv, ON^, OFFv, OFF^

Selector with 3 positions momentary (jumping back to middle position)
Module DMF-B
Commands: ONv, ON^, OFFv, OFF^

Selector with 3 positions maintained
Module DMF-B
Commands: ONv, ON^, OFFv, OFF^

Button(s)

Click on the corresponding buttons of the block to simulate the physical buttons or the selector.

This is a sensor block and has to be teached.

Additional application samples:

- Control Units

Supported EnOcean Profiles (EEP)

the EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· similar to Profile Light Switch

Supported Devices

Appendix B list the devices supported by this block.

Visualization element

There is no visualization element available yet.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Electric Meter

myHomeControl® Version 1.2.8

* Electric Meter

This block evaluates radio messages sent from a electric meter sensor module.

ß Counter (cumulative) tariff 0

ß Counter (cumulative) tariff 1

ß current power

ß Sampling interval in seconds

ß Tariff (0/1)

ß ON: life sign ok / OFF: life sign missed

Configuration

The block is able to handle different tariffs in case the corresponding tariff selection input of the sensor device has been connected to the energy meter. If tariff is not of interest then deactivate the tariff handling. If tariff handling is deactivated, then the visualization element doesn’t show tariff information any more.

A correction value can be set individually for the cumulative values of the electic meter (kWh Tariff0 / kWh Tariff1). The corresponding correction value is added to the cumulative value received from the electric meeter device. The sum is forwarded to the output pin of the block.

Fore testing purposes there is the opportunity to simulate a consumption. This value gets overwriten with the next reception of a radio telegram from the electric meter device.

This block provides the individual logging.

This is a sensor block and has to be teached.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 07-12-01: Automated Meter Reading/Electricity

Supported Devices

Appendix B list the devices supported by this block.

Find details about the corresponding visualization element in chapter Visualization Element Electric Meter.

Regard the option to establish a connection to Google PowerMeter.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Keycard Switch

myHomeControl® Version 1.2.8

* Keycard Switch

The Keycard Switch block evaluates PTM200 radio telegrams. The PTM 200 module which is operated by a Keycard. This device type is usually used within hotels.

Function

If the keycard is going to be pushed into the switch, then the block sends an ON command to its output pin. If the keycard is removed, then the block sends an OFF command to the output pin. The sending of the OFF command can be delayed (parameter “Delay Off cmd [sec]”).

State indications

Keycard is not inserted

The block sent an OFF command.

Keycard is inserted

The block sent an ON command.

Button(s)

The button in the middle of the block enables to simulate insertion of a keycard. This is just for testing purposes of the network. If the block receives a radio telegram form the real chair, it immediately updates its own state to the reported state.

This block provides the individual logging.

This is a sensor block and has to be teached.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· similar to Profile Light Switch

Supported Devices

Appendix B list the devices supported by this block.

Find details about the corresponding visualization element in chapter Visualization Element Keycard Switch.

Application sample

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The List box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

State This binary signal is read by the block from the slave. It is used to track the state of the block.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Leakage

myHomeControl® Version 1.2.8

* Leakage

The leakage sensor block forwards an ON command in case it detects leakage. The battery is monitored as well. Bad battery is indicated by a dedicated output of the block.

Function

The leakage sensor block provides 3 output pins:

ß ON: leakage / OFF: no leakage

ß ON: battery bad / OFF: battery ok

ß ON: life sign ok / OFF: life sign missed

The Properties dialog provides testing features to simulate the leakage and battery states. Take in account that your inputs will be overwritten by the next reception of a radio message transmitted by the sensor device.

The Communication Timeout defines the period for the life sign monitoring.

State indications

No leakage, battery ok

Leakage, battery ok

Battery bad

Leakage unknown

This is a sensor block and has to be teached.

This block provides the individual logging.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· similar to Profile „EEP 05-02-01: Light and Blind Control“

Supported Devices

Appendix B list the devices supported by this block.

Find details about the corresponding visualization element in chapter Visualization Element Leakage.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Presence Indication

myHomeControl® Version 1.2.8

* Presence Indication

This block evaluates radio messages transmitted by a presence indication sensor (PIR). It supports different Types of sensors. The different types of sensors provide information like brightness, temperature and/or supply voltage.

Hints to teach in devices ->

Pure occupancy sensor:

Occupancy and brightness:

The PIR101 Sensor provided by Omnio supports two types of command outputs. For details refer to the corresponding datasheet:

- Occupancy only: channel 2 will be forwarded to the command output pin

- Occupancy and Brightness: channel 1 will be forwarded to the command output pin

Occupancy sensor providing additional information as brightness, temperature and supply voltage:

Select the corresponding sensor type and kind in the properties dialog of the block.

The block sends an ON-command if somebody enters the monitored area. Depending on the setup of the sensor (hardware device) the OFF-command will be sent if the person leaves the monitored area or if a delay time expires. Refer to the manual of the sensor for details of the specific behavior.

Additionally to block provides delays for the commands send by the sensor. The property On Delay defines the time how long an ON command sent by the sensor to the block will be delayed until the block feeds it in into the network. The Off Delay works for the OFF command accordingly.

ß Presence output pin

ß ON: life sign ok / OFF: life sign missed

Buttons

The button simulates presence of an object. The first click simulates the entrance of an object into the monitored area. The block sends an ON-command. The second click simulates the object is leaving the monitored area.

State indications

The monitored area is free

There is no object present in the monitored area.

Somebody is in the monitored area

There is an object somewhere in the monitored area.

This is a sensor block and has to be teached.

This block provides the individual logging.

Find details about the corresponding visualization element in chapter Visualization Element Presence Indication.

Hints to teach in devices

Products:

  • Thermokon SR-MDS
  • Flextron SENSOLUX
  • PEHA SENSOLUX

There are two different types of this device available in the market. The older generation sends radio telegrams according to an own profile (Occupancy, Brightness / Thermokon SR-MDS). The newer generation sends radio telegrams according to the standard profile (Occupancy, Brightness, Temperature / Ceil mounted).

Procedure to teach the device:

  1. Drag the corresponding product from the product tree into the workspace of the network. The properties dialog will look as shown:

  2. Press the button „Teach“ of the dialog
  3. Press the button █ (LRN) of the device

myHomeControl® recognizes the generation of the device and adapts the setup of the block correspondingly.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 07-07-01: Occupancy

· EEP 07-08-01: Range 0lx to 510lx, 0°C to +51°C and Occupancy

· EEP 07-08-02: Range 0lx to 1020lx, 0°C to +51°C and Occupancy

· EEP 07-08-03: Range 0lx to 1530lx, -30°C to +50°C and Occupancy

· Private: Omnio Eagle

Supported Devices

Appendix B list the devices supported by this block.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PTM Radio Button

The PTM radio button block evaluates the radio messages transmitted by a PTM radio pushbutton device. It supports the PTM100 module with up to 4 channels(rockers) and the PTM200 module with up to 2 channels. it supports the PTM230 module as well.

The PTM radio button block evaluates the button pushes and forwards them as ON and OFF commands trough the corresponding output pins.

ß Left O/I - rocker

ß Right O/I - rocker

Use the property field Button Layout to adjust the amount of channels.

PTM230

The two channels (SW1 and SW2) of the module are mapped to rocker A.

Best is to select Button Layout „single“.

Channel 1 (SW1) corresponds to the I-button and channel 2 (SW2) to the O-button.

In case SW1 will be activated, the block generates an ONv command. If it get deactivated then the block generates an ON^ command. The activation/deactivation of SW2 will generate corresponding OFF commands. Refer to the application samples.

This is a sensor block and has to be teached.

Find details about the corresponding visualization element in chapter Visualization Element PTM Radio Button.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 05-02-01: Light and Blind Control – EU Application Style

· EEP 05-02-02: Light and Blind Control – US/CAN Application Style

· EEP 05-03-01: Light and Blind Control – 4 Rocker

Supported Devices

Appendix B list the devices supported by this block.

Additional application samples:

- PTM230 Module

Device specific hints
Sauter, EY-RU110...146 | This device is shown in myHomeControl® as two blocks, one Room Temperature Sensor and one PTM Radio Button. Both blocks have to be inserted individually into the project. Each of them has to be teached individually. Refer to Device specific hints for the Room Temperature Sensor. Refer to Application Sample in Appendix C.
Eltako: FSM12-UC, FSM61-UC Jäger-Direkt: GN-GW-U8-230V-T-2, GN-GW-R8-230V-T-2 | The devices send following information: Button1 pressed -> Device sends “Button 1 pressed” Button1 released -> Device sends “Button released” (not which button!) Button2 pressed -> Device sends “Button 2 pressed” Button2 released -> Device sends “Button released” (not which button!) Button1 pressed -> Device sends “Button 1 pressed” Button2 pressed -> Device sends “Button 2 pressed” Button1 released -> Device sends “Button released” (not which button!) Button2 released -> Device sends “Button released” (not which button!) In case both buttons have been pressed and the first is released, then it is not possible to determine which of the buttons have been released. Therefore it is not allowed to press both buttons at the same time!

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PTM Radio Button 8

myHomeControl® Version 1.2.8

* PTM Radio Button 8

This element represents a 8 fold PTM Radio Button or a 8 fold wireless transmitter unit. . It serves as container for 8 Single Channel PTM Radio Buttons. Each behaves like a single PTM Radio Button.

Device specific hints

Eltako, F8S12

This device is shown in myHomeControl® as 8 half PTM radio button blocks. The I/O polarity of the buttons is given be the device.

A1

A3

A4

A5

E1

E3

E4

E5

To teach in the devices address activate the teach mode one of the button blocks. Then operate one of the pysical buttons. The individual device addresses will be assigned to all of the blocks automatically.

Find details about the corresponding visualization element in chapter Visualization Element PTM Radio Button 8.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Radio Chair

myHomeControl® Version 1.2.8

* Radio Chair

The radio chair sensor block evaluates PTM200 radio telegrams. The state of the block corresponds to the state of the energy bow.

The Properties dialog offers the opportunity set a delay for the OFF command. If the value is >0 then the block delays sending of the OFF command in case the chair becomes free. This is useful to keep the lights on for a while after the chair has become free.

The radio chair sensor block provides 1 output pin. The block sends out an ON command in case somebody sits down on the chair. And vice versa it sends an OFF command in case the chair becomes free.

ß State indication ON/OFF

Button(s)

The button in the middle of the block enables to simulate occupation of the chair. This is just for testing purposes of the network. If the block receives a radio telegram form the real chair, it immediately updates its own state to the reported state.

State indications

Chair is occupied

There is somebody sitting on the chair. An ON command has been sent trough the output pin of the block.

The chair is free

Nobody is sitting on the chair. An OFF command has been sent trough the output pin of the block.

This block provides the individual logging.

This is a sensor block and has to be teached.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· similar to Profile Light Switch

Supported Devices

Appendix B list the devices supported by this block.

Find details about the corresponding visualization element in chapter Visualization Element Radio Chair.

Application sample

Additional application samples:

- Lights in office controlled by radio chairs

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The List box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

State This binary signal is read by the block from the slave. It is used to track the state of the block.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Receive(analog)

myHomeControl® Version 1.2.8

* Receive(analog)

This block receives data from a physical device or a controller and feeds it into the network.

This feature is only available in case a license option Modbus TCP or license option Modbus RTU has been bought.

This feature is only available in case a license option PEHA PHC has been bought.

This block provides one output pin.

ß actual value as number

A signal type is to be selected in the settings dialog of the block. The signal type controls the icon, the data representation and the unit shown in the visualization element.

This block provides the individual logging.

Supported EnOcean Profiles (EEP)

· none

Find details about the corresponding visualization element in chapter Visualization Element Receive(analog).

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The List box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

State This binary signal is read by the block from the slave. It is used to track the state of the block.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Room Temperature Sensor

myHomeControl® Version 1.2.8

* Room Temperature Sensor

The Room Temperature Sensor block evaluates the radio messages transmitted from a Room Temperature Sensor (Room control unit). Various profiles are supported by this block including humidity, fan speed and occupancy buttons.

Depending on the selected type of sensor different output pins becomes visible. The block forwards the different measurement values to its dedicated output pins.

Sample:

ß Actual temperature as Celsius value

ß Set point temperature as Celsius value

ß Operation mode *)

ß ON: life sign ok / OFF: life sign missed

*) Operation mode:

0:

1:

2:

3:

Meaning of the value:

Automatic

Day

Night

Antifreeze

The Properties dialog provides testing features as an input field for the „Actual Temperature “ and an input field for the „Set point temperature “ to simulate temperatures. Take in account that your input will be overwritten by the next reception of a radio message transmitted by the sensor device.

In case the Room Temperature Sensor doesn’t provide a control for the temperature set point, then the block may provide a control for the temperature set point by itself. The value for the temperature or humidity set point can be adjusted in the Visualization Element Room Temperature Sensor.

In case Provide Setpoint for Temperature has been activated, an additional input pin appears:

Resets the temperature setpoint value or the setpoint correction value à

An ON command on this pin resets the setpoint value:

- if the temperature setpoint is an absolute value, then it is reseted to the medium value of the setpoint range (see Range Setpoint Temp.)

- if the setpoint is a correction value (°/- x°), then the value is reseted to a correction value of 0°.

Similar behavior for humidity in case the sensor also measures humidity.

Typically there is no temperature indication at the turning wheel for the temperature set point adjustment (on the sensor device). Therefore the interpretation of the position of the wheel by means of what temperature does it correspond to, is done by the valve actuator.

In case the room temperature sensor is linked to myHomeControl, then the interpretation of the position of the turning wheel is done by the room temperature sensor block. The block sends an absolute set point value via. the corresponding output pin to the network. The range for the set point temperature can be adjusted to your needs. A small range allows smooth set point adjustment at the wheel.

The parameters shown above enable the user to set corresponding values to get a accurate temperature indication for the temperature set point within the Visualization Element Room Temperature Sensor.

In case the Room Temperature Sensor provides the opportunity to adjust the temperature set point, the option above becomes visible. If this option is checked, then the temperature set point indication within the Visualization Element Room Temperature Sensor becomes editable. This gives the user the opportunity to overwrite the temperature set point sent by the sensor device. The overwritten value is valid until the set point value has been change on the sensor by means of the wheel has been readjusted.

Temperature Reference Curve

The room temparature sensor block is able to provide individual temperature setpoint values during the day according to a reference curve. This enables the system to control heating tailored to the needs of the users.

Therefore the visualization element of the block provides a dedicated editor to adjust reference curves:

The figure above shows the curve progression during the day (24 hours). Two individual curves have been configured valid for different days of the week.

If the reference curve has been enabled, then the wheel on the physical room controller device becomes a new meaning. The position of the wheel gives an offset to the temperature setpoint calculated from the reference curve.

This block provides the individual logging.

Find details about the corresponding visualization element in chapter Visualization Element Room Temperature Sensor.

This is a sensor block and has to be teached.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 07-10-01: Temperature Sensor; Set Point, Fan Speed and Occupancy Control

· EEP 07-10-02: Temperature Sensor; Set Point, Fan Speed and Day/Night Control

· EEP 07-10-03: Temperature Sensor; Set Point Control

· EEP 07-10-04: Temperature Sensor; Set Point and Fan Speed Control

· EEP 07-10-05: Temperature Sensor; Set Point and Occupancy Control

· EEP 07-10-06: Temperature Sensor; Set Point and Day/Night Control

· EEP 07-10-07: Temperature Sensor; Fan Speed Control

· EEP 07-10-08: Temperature Sensor; Fan Speed and Occupancy Control

· EEP 07-10-09: Temperature Sensor; Fan Speed and Day/Night Control

· EEP 07-10-10: Temperature and Humidity Sensor; Set Point and Occupancy Control

· EEP 07-10-11: Temperature and Humidity Sensor; Set Point and Day/Night Control

· EEP 07-10-12: Temperature and Humidity Sensor; Set Point Control

· EEP 07-10-13: Temperature and Humidity Sensor; Occupancy Control

· EEP 07-10-14: Temperature and Humidity Sensor; Day/Night Control

Supported Devices

Appendix B list the devices supported by this block.

Additional application samples:

- Interrupt heating in case a window has been opened

- Room Operating Panel from Sauter

Device specific hints
Sauter, EY-RU110...146 | This device is shown in myHomeControl® as two blocks, one Room Temperature Sensor and one PTM Radio Button. Both blocks have to be inserted individually into the project. Each of them has to be teached individually. Refer to Device specific hints for the PTM Radio Button. Refer to Application Sample in Appendix C.
Eltako, FTR55D | The device sends and shows the temperature setpoint value as an absolut value. Therfore it is not possible to use the Temperature Reference Curve feature. If the Temperature Reference Curve would be used, then the temperature setpoint indication on the device would be invalid.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


STM100

myHomeControl® Version 1.2.8

* STM100

This block receives and evaluates BS1 and BS4 telegrams. It may represent sensor devices based on the STM100 or STM110 modules.

This block is just for experimentation purposes!

This is a sensor block and has to be teached.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Temperature

myHomeControl® Version 1.2.8

* Temperature

The Temperature Sensor block evaluates the radio messages transmitted by a temperature sensor.

This block forwards the measured temperature as Celsius-value to its output pin.

Depending on the type of sensor a corresponding range has to be selected. If none of the predefined ranges fits the sensors behaviors, then select “generic” and enter the minimal and maximal temperature manually.

This block provides two output pins.

ß Actual temperature as Celsius value

ß ON: life sign ok / OFF: life sign missed

The Properties dialog provides testing features as an input field for the „Temperature “ to simulate the actual temperature. Take in account that your inputs will be overwritten by the next reception of a radio message transmitted by the sensor device.

This block provides the individual logging.

This is a sensor block and has to be teached.

Find details about the corresponding visualization element in Visualization Element Temperature.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 07-02-01: Range -40°C to 0°C

· EEP 07-02-02: Range -30°C to +10°C

· EEP 07-02-03: Range -20°C to +20°C

· EEP 07-02-04: Range -10°C to +30°C

· EEP 07-02-05: Range 0°C to +40°C

· EEP 07-02-06: Range +10°C to +50°C

· EEP 07-02-07: Range +20°C to +60°C

· EEP 07-02-08: Range +30°C to +70°C

· EEP 07-02-09: Range +40°C to +80°C

· EEP 07-02-0A: Range +50°C to +90°C

· EEP 07-02-0B: Range +60°C to +100°C

· EEP 07-02-10: Range -60°C to +20°C

· EEP 07-02-11: Range -50°C to +30°C

· EEP 07-02-12: Range -40°C to +40°C

· EEP 07-02-13: Range -30°C to +50°C

· EEP 07-02-14: Range -20°C to +60°C

· EEP 07-02-15: Range -10°C to +70°C

· EEP 07-02-16: Range 0°C to +80°C

· EEP 07-02-17: Range +10°C to +90°C

· EEP 07-02-18: Range +20°C to +100°C

· EEP 07-02-19: Range +30°C to +110°C

· EEP 07-02-1A: Range +40°C to +120°C

· EEP 07-02-1B: Range +50°C to +130°C

Supported Devices

Appendix B list the devices supported by this block.

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The List box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

Value This analogue signal is read by the block from the slave. It is used to track the state of the block.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Voltagesensor

myHomeControl® Version 1.2.8

* Voltagesensor

The voltage sensor generates an ON command in case it detects a voltage at its input pins. Otherwise it sends an OFF command.

The voltage sensor block provides 1 output pin. The block sends out an ON command in case it detects a voltage at its input pin. And vice versa it sends an OFF command in case there is no voltage.

ß State indication ON/OFF

Button(s)

The button in the middle of the block enables to simulate voltage at the input pin. This is just for testing purposes of the network. If the block receives a radio telegram form the real sensor, it immediately updates its own state to the reported state.

State indications

voltage detected

An ON command has been sent trough the output pin of the block.

no voltage

An OFF command has been sent trough the output pin of the block.

This block provides the individual logging.

This is a sensor block and has to be teached.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· similar to Profile Light Switch

Supported Devices

Appendix B list the devices supported by this block.

Application sample

No visualization element is available yet for this block

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Weather station

myHomeControl® Version 1.2.8

* Weather station

This feature is available if the License option: Weather has been enabled.

This block provides the weather signals measured by a weather station device. The weather station device has to be connected to the PC by an interface such as e.g. RS232, RS485, USB, …

Only one weather station can be connected to the PC at a time.

The appearance of the weather station block differs between the different weather station types. Not all weather station provide the same range of signals.

The left side of the properties dialog provides a list box where the type of weather station can be selected. The right side provides station specific settings.

Following Weather station are supported by myHomeControl:

Huger, Oregon Scientific WMR 918 and WMR 928 NX

Connection between myHomeControl and the Weather station via Serial Port (RS232).

Oregon Scientific WMR 100 and WMR 200

Connection between myHomeControl and the Weather station via USB.

Elsner Elektronik PO1 und PO3

For details refer to http://www.elsner-elektronik.de/3c_wetter.htm

Connection between myHomeControl and the Weather station via Serial Port (RS485).

Schematics

*) USB-RS485 Wandlerstecker Spectra Produktnr: 112887 ( www.spectra.de / www.spectra.ch )

Dedicated Wetter page

Checking the option „Menu Weather“ will show an additional item „Weather“ in the main menu. This menu shows a dedicated page containing weather information provided by the connected weather station.

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Window Contact

myHomeControl® Version 1.2.8

* Window Contact

The Windows Contact block evaluates radio messages transmitted by an EnOcean STM250-Modul. It forwards if the magnet covers the sensor or not.

The windows contact block provides to different output pins.

ß Command output (ON/OFF)

ß ON: life sign ok / OFF: life sign missed

Buttons

The button simulates window positions. This simplifies the testing of the network. Take in account, as soon as the block receives a radio message from the windows contact sensor, it will change back to the real state.

State indications

Window closed

The magnet covers the sensor (red magnet touches the windows contact sensor). The block sends an ON-command through its output pin.

Window open

The magnet does not cover the sensor (red magnet doesn’t touch the windows contact sensor). The block sends an OFF-command through its output pin

This is a sensor block and has to be teached.

This block provides the individual logging.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 06-00-01: Window Contact

Supported Devices

Appendix B list the devices supported by this block.

Application sample

à Refer to Window Monitoring.

Find details about the corresponding visualization element in chapter Visualization Element Window Contact.

Handling Blocks

Properties of Blocks

Modbus: Function Channels (optional)

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

ModbusTCP Slave The List box shows all defined Modbus slaves. Select the corresponding slave device the block should interact with.

State This binary signal is read by the block from the slave. It is used to track the state of the block.

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Window Handle

myHomeControl® Version 1.2.8

* Window Handle

The Window Handle block evaluates radio messages transmitted by an EnOcean PTM230-Modul. It forwards the actual position of the window handle.

The window handle block provides 4 different output pins.

ß Position signal *)

ß ON, if window is open

ß ON, if window is in tilt position

ß ON, if window is closed

*) Position signal: 0:position unknown,
1:closed,
2:tilt,
3:open

The forwarded information’s are redundant. But the presence of the information as signal and as command might simplify to build logic with other blocks.

Buttons

The Properties dialog provides to simulate to window positions. This simplifies the testing of the network. Take in account; as soon as the block receives a radio message from the window handle sensor, it will change back to the real state.

State indications

Window closed

The window handle is in the downward situation. The position signal has been updated. An ON-command was sent to the yellow indicated output pin. OFF-commands where sent to the other command pins.

Window in tilt position

The window handle is in the upward situation. The position signal has been updated. An ON-command was sent to the yellow indicated output pin. OFF-commands where sent to the other command pins.

Window open

The window handle is in the horizontal situation. The position signal has been updated. An ON-command was sent to the yellow indicated output pin. OFF-commands where sent to the other command pins.

This block provides the individual logging.

This is a sensor block and has to be teached.

Supported EnOcean Profiles (EEP)

The EnOcean-Standard defines a couple of profiles used for the interpretation of the radio telegram. Refer to Appendix A to get an overview on the profiles. This Block supports following profiles:

· EEP 05-10-00: Window Handle

Supported Devices

Appendix B list the devices supported by this block.

Application sample

à Refer to Window Monitoring.

Find details about the corresponding visualization element in chapter Visualization Element Window Handle.

Additional application samples:

- Interrupt heating in case a window has been opened

Handling Blocks

Properties of Blocks

cross-references
Sensors

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Comment

myHomeControl® Version 1.2.8

* Comment

Use the comment block to place your comments somewhere in the workspace of the network area.

It has no influence to the control functions.

cross-references
Network

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Compact WEB

CompactWEB is a WEB browser based representation of the project. The representation is simplified and compact. Therefore it might be used with small displays e.g. mobile devices.

The CompactWEB feature must be enabled under Settings/WEB/CompactWEB.

E

E

E

The menu structure is according the floors and rooms structures of the project:

- Floors contains rooms and items (e.g. lights, blinds, windows, …)

- Rooms contains items

If a web page is called by the browser, then a list of buttons representing the different floors of the project are going to be shown. If one of these buttons is clicked, then the display changes and buttons for all rooms and items of the corresponding floor are going to be shown. The pressed floor button is going to be marked orange.

A click on a room button opens the corresponding room and all items of that particular room are going to be shown. The pressed room button is marked orange.

Clicking an item button toggles the state of the corresponding item or opens the item and shows more detailed information and controls.

A second click on one of the button closes the corresponding context.

cross-references
Operation mode
Network infrastructure required
Setup web pages
Create Index-Page for CompactWEB
Additional web pages
Smart phones e.g. the IPhone used as a remote control
Remote access via Internet using a WEB Browser or mobile phone
Usage of an alternative WEB server

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Operation mode

As soon as the CompactWEB functionality has been enabled in the settings menu, myHomeControl® will create web pages. Any browser can be used to view these web pages.

myHomeControl® installs a WEB server which is used to host the web pages representing the project and its actual states. The WEB server is part of the installation package and doesn’t require any additional configuration.

As link the user has to enter either the IP address or the name of the computer running myHomeControl®.

By default the amount of simultaneous browser sessions is limited to 3. The license option: CompactWEB large eliminates this limitation.

Advice:

Various components of the web server open a port to be accessed from the network. This requires a reconfiguration of the fire wall. Usually windows shows a reconfiguration dialog, when the web server is executed the first time.

Component: | private access | public access
myHomeControl | þ | ¨
Abyss Web Server | þ | þ
FCGIDotNet_2_0 | þ | þ

à Network infrastructure required

à Setup web pages

à Smart phones e.g. the IPhone used as a remote control

à Smart phones e.g. the IPhone used as a remote control

cross-references
Compact WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Network infrastructure required

This chapter describes the required network infrastructure for different CompactWEB applications.

In case CompactWEB has been enabled and the built in WEB server has been started, then myHomeControl® is going to publish WEB pages, which can be browsed by any browser.

A participant of the network may browse the WEB pages via the network (LAN).

The network components required for the access to the WEB pages depends on how the WEB pages shall be accessed:

- via a WEB browser on a PC connected to the local network

- wireless via a laptop PC or a smart phone

- from the Internet

cross-references
Compact WEB
Access the WEB server via a WEB browser on a PC connected to the local network
Access the WEB server wireless via a laptop PC or a smart phone
Access the WEB server from the Internet

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Access the WEB server via a WEB browser on a PC connected to the local network

The router interconnects the various PC in the network. It assigns IP addresses(DHCP server) to the PCs and solve the names (DNS server).

Usually PC are configured to request an IP address from the routers DHCP server when they establish the connection to the network.

Typically routers are pre-configured by default to serve the IP address request and to solve the name requests.

Usually it is sufficient to connect PCs to the router, then to start a WEB browser and to enter the name of the PC where myHomeControl® is running.

cross-references
Network infrastructure required

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Access the WEB server wireless via a laptop PC or a smart phone

To access myHomeControl® WEB pages wireless a wireless access point is required within the network. Usually a wireless router is used for this purpose.

Refer to chapter Smart phones e.g. the IPhone used as a remote control.

cross-references
Network infrastructure required

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Access the WEB server from the Internet

To access myHomeControl® WEB pages from the Internet a permanent connection to the Internet is required. This might be achieved by a DSL connection via a wireless modem/router device.

Refer to chapter Remote access via Internet using a WEB Browser or mobile phone.

cross-references
Network infrastructure required

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Setup web pages

There is the opportunity to setup different web pages for the same project. These pages can be addressed individually by a browser.

Samples:

http://192.168.0.10 ß default.aspx (loaded by the browser by default)
http://192.168.0.10/Office.aspx
http://192.168.0.10/Shop.aspx

myHomeControl® creates a page(Url) called default.aspx if CompactWEB functionality has been enabled. This page will be loaded by browsers when entering an Internet address only containing a host reference, by default. (e.g. http://myName.dyndns.org, or within the intranet http://X.X.X.X (X.X.X.X means the IP address of the PC running myHomeControl®).

In case there is a DNS server available in the local network e.g. provided by the router, then the name of the computer running myHomeControl® can be used to address the web pages alternatively.

Sample: http://home

In case there is a DNS server provided by the router, then there is no need to assign a fix IP address to the computer running myHomeControl®. The DNS server will evaluate the correct IP address if computer names are going to be used.

myHomeControl® creates the default page where it copies the project structure into the page, by means of floors, rooms and devices.

The setup of web pages is done in the main menu “CompactWEB” Following figure shows a screen shot of the menu:

The right column contains the same tree views for new objects and the project tree.

The middle column contains the editor to design the web pages.

The left column contains a web browser showing the page selected in the medium column. This is useful to quick check the page. In case there are more then one web pages, then click the link (world icon) to advise the browser to show the corresponding page.

To setup web pages the user places objects with in the web page by drag&drop the objects from the project tree. The structure of the web page can be different to the structure of the project. The grouping and ordering of the floors, rooms and devices might be different. It also might be different for different web pages.

ß Beside the floors and rooms, there is an additional structuring tools, called section and subsection, available.
Sections can be mixed up with floors and rooms within the WEB page. This gives freedom to design the structure of the web page according the needs.

Additional setting are available for the web page itself and dedicated item.

cross-references
Compact WEB
Web page settings
Item settings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Web page settings

Condensed Representation
This setting enables a condensed view of the page.

Behavior:
If a floor or a section gets selected by the user, then all other floors and sections will be hidden. If a room or subsection has been selected by the user, then all other rooms and subsections become hidden.
The purpose of this setting is to avoid scrolling within the browser.

Append new objects automatically
If this setting is checked, then myHomeControl® is going to maintain the web page automatically according to the changes of the project structure. This means, if the user inserts a new devices in a certain room, myHomeControl® automatically inserts the device at the corresponding location of the web page.
This setting is useful in case the web page shall show the project tree 1:1. This saves configuration effort for the web interface.

Add link for this Url on index page
Optionally myHomeControl® creates an index page (table of content) referring the different web pages of the project (see CompactWEB-create index page). If the setting “Add ling for this Url on index page” is checked, then the page appears on the index page.

Password
An individual password can be assigned to each web page. The user is requested to enter the password the when she/he browses the page.

Request password for internet clients only
This setting defines if the password is always requested (also in case the page is browsed from the intranet) or only if the page is browsed from the Internet.

cross-references
Setup web pages

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Item settings

Certain items require additional settings, e.g. the PTM button switch:

The rocker push button in the project has 2 rockers. The rocker push button symbol in the web page represents only one rocker. Therefore there is the opportunity to configure which of the rockers is represented by the web symbol.

Item Name:

Many of the WEB objects provide the opportunity (Item Name) to give an individual name to the WEB object (different to the one given in the project). The item name for the WEB object corresponds to the item name of the project by default.

In case the item name for the web object has been modified, then it will not be updated automatically if the name in the project is modified.

To reinitiate the automatic update of the “web name” delete the entry in the field “Item Name” in the dialog shown above.

cross-references
Setup web pages

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Create Index-Page for CompactWEB

If this option is checked, then myHomeControl® will create an index page (table of content) of the pages available within the project. The index page is called Index.aspx. Browsers typically opens this page if only the host address has be given by the user.

cross-references
Compact WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Additional web pages

The menu create web page adds an additional page to the web configuration tree. Individual, unique names have to be given to the different additional pages. These names are used to address the page in the browser.

Sample:

The web page „Office“ is accessed via the address:
http://myName.dyndns.org/Office.aspx

cross-references
Compact WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Smart phones e.g. the IPhone used as a remote control

State of the art mobile phones provide usually Internet abilities and are enabled to browse web pages either connecting to the Internet or a local WLAN.

Therefore these devices can easily be used as a remote control for myHomeControl®.

Requirement is a local WLAN which is connected to the PC running myHomeControl®. Then enable WLAN on the phone, start the browser (e.g. Safari) and enter the IP-address of the computer running myHomeControl® to browse the WEB interface an gain full control over you electrical equipment and the utilities.

Refer to chapter Infrastructure for further details.

cross-references
Compact WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Remote access via Internet using a WEB Browser or mobile phone

To access the WEB pages by means of accessing the myHomeControl WEB server, requires configuration of certain network devices e.g. router and modems. Find a guide in appendix E.

The simplicity of the structure of the WEB pages allows to browse the pages by simple mobile phones only supporting WAP.

cross-references
Compact WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Usage of an alternative WEB server

To do....

cross-references
Compact WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Multiple Operating Stations

This feature is not available yet. It is still under construction.

The client/server architecture requires enabling of the license option: ClientServer.

cross-references
Configuration

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Configuration

cross-references
Multiple Operating Stations

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Loggings

The logger views provide a look into the past. myHomeControl logs continuously received and transmitted radio messages as well as generated commands. These events might be visualized by different views.

cross-references
Time line
Event list

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Time line

The Logging tab shows all recorded state changes of the actuators. It visualizes all actions in the past.

The structure of the logging tab is similar to the network tab. There is a tab (workspace area) for each room. This tab presents the recorded state information on a time line.

The calendar provides direct access to certain dates.

cross-references
Loggings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Event list

The event list shows all events in chronological order. The shown information is time stamped.

Following information are shown:

- radio messages

- state changes of the blocks

- outputs of the blocks

- general information of the program

Activate filters to concentrate the information flow on that information you are interested in.

The check box “show latest message” activates automatic scrolling of the text window. The latest event will be shown at the end of the text.

Double click on a device in the tree view to see only messages of the device.

Double click on a room to see all messages.

cross-references
Loggings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Weather

There is a dedicated page for weather information. This page displays information and trends collected from the local weather station.

The page “Weather” becomes available, if a weather station has been inserted into the project and the option “Menu Weather” is checked.

The weather station block that can be found in the network area. It provides the measured values as analogue signals to connect them to logic blocks. Several blocks accept signals from the weather station block.

Typically these blocks are able to operate even if no weather station is available. See following example:

The input pin for the brightness might be connected to a brightness sensor. The input pin Out-Temp might be connected to a temperature sensor or the weather station block. But all this is optional. The shading block evaluates only information that is available.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Structuring

Structuring helps to keep clarity within the project, especially in large projects.

The structuring is based on floors and rooms. There are following roles:

- A project consists of 1..n floors

- A floor consists of 0..n rooms.

Floors and rooms are just tools to structure the project. These elements might be used in the sense of virtual floors and rooms.

cross-references
Floor
Room

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Floor

myHomeControl® Version 1.2.8

* Floor

A floor contains several rooms. The term “floor” has not to be seen strictly. A floor could also represent a whole flat in an apartment house.

See Structuring to learn more about floors and rooms.

Networks

Within the network area floors and rooms will be used as workspace areas. Each floor and each room has its own workspace area where blocks might be placed.

Process Communication

The floor-room structure also supports the organization of the communication to the sensors and actuators. Depending on the chosen process interface a transceiver unit of field bus node can be assigned to each floor. Find details in chapter Process Interface.

Floors can be dragged in from the tree view “New Floors, Rooms and Devices”, Tab “Functions”.

cross-references
Structuring

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Room

myHomeControl® Version 1.2.8

* Room

The term “room” has not to be seen strictly. Sometimes it is useful to create virtual rooms where general functions e.g. the presence simulation can be placed. This function is not assigned to a single physical room.

See Structuring to learn more about floors and rooms.

Rooms can be dragged in from the tree view “New Floors, Rooms and Devices”, Tab “Functions”.

cross-references
Structuring

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Tree views

myHomeControl used tree views in different areas of the application.

There are two types of tree views:

- New Floors, Rooms and Devices

- Used Floors, Rooms and Devices

cross-references
New Floors, Rooms and Devices
Used Floors, Rooms and Devices

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


New Floors, Rooms and Devices

This tree view shows all elements (blocks) which can be inserted in the workspace area(s) on the left side of the tree.

changes the sorting criteria between:

- manufacturers

- product types

#xxx: Amount of available items in tree view.

Drag new elements out of this tree view and drop them somewhere in the workspace area. See Handling blocks.

Use the context menu (right mouse button) to get help on the selected element.

cross-references
Tree views
Tabs of the tree view:

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Tabs of the tree view:

868MHz,
315MHz

Each supported and enabled communication medium is presented by its own Product-Tab. Elements in these tabs represent real products.

Generic
If you can’t find a certain product within this tab, refer to the tab “Generics”. The bocks provided by this sub tree are generic. This means, they do not represent a certain product. They can be adapted by configuration to any product.
The EnOcean Radio System defines several profiles. These profiles define the data mapping within the EnOcean telegrams. Most devices are compliant with a profile.
The generic blocks support profiles corresponding to there kind, e.g. the RoomTemperatureSensor-block supports all profiles related to room temperature measurement. Configure the block to correspond to the required profile.

Special

Thais Tab combines products which perform there own medium or to not fit efficiently into the product trees e.g. weather stations or cameras.

Functions

This tab provides logical and comfort functions as well as floors and rooms.

cross-references
New Floors, Rooms and Devices

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Used Floors, Rooms and Devices

This tree view gives the overview about all defined Floors and Rooms, all inserted blocks and their connections.

This tree view is used to insert exiting blocks into the workspace areas and to get an overview about the connections of the blocks (see List of connections).

Drag existing elements out of this tree view and drop them somewhere in the workspace area. See Handling blocks.

Double click an element to navigate to it, e.g. a double click on a room element opens the corresponding network view in the left side working area. The right mouse button opens the corresponding context menu.

cross-references
Tree views
List of connections

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


List of connections

Blocks connected to an output pin

Blocks connected to an input pin

There might be connections to block in other rooms. Depending on the actually shown room, not all connection to or from a block might be visible in the actual workspace area. Therefore the presentation of the connections in the tree view might be helpful.

cross-references
Used Floors, Rooms and Devices

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Process Interface

myHomeControl supports several transceiver types and field bus nodes with their dedicated protocols.

Refer to Options/Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Settings

Within the Settings tab the general settings might be adjusted.

cross-references
General
Enabled Media
Settings of the visualization
Logging
City / Coordinates
Email
WEB
Multiple Operating Stations
Google PowerMeter

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


General

This group provides general configurations.

cross-references
Settings
Project name
Language
Orientation of buttons
Jalousie mode
Unit Temperature
Autostart
Reshow hidden messages
Check for updates
Splash Screen

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Project name

The project name will be shown in the header line of the main window.

It will also be used as file name, when a backup of the project is created.

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Language

Select the language according your requirements. All shown texts will be translated immediately. Please take in account that the manually given texts will not be translated.

There is also an opportunity to append a supplementary language. Refer to appendix D for further details.

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Orientation of buttons

This setting defines the orientation of the PTM radio buttons to be used (I-button above or below the O-button).

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Jalousie mode

There are two different types of blind actuators:

- long key press:
the blind runs to its end position in case the key is pressed for a long period of time and it adujsts if the key is pressed for a short periode.

- short key press:
the blind runs to its end position in case the key is pressed for a short period of time and it adjusts if the key is pressed for a long periode,

This setting defines which type of jalousie actuators have been installed.

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Unit Temperature

This setting defines the unit of the temperature values and there display.

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Autostart

The program registers itself in the registry of the operating system to be started automatically at power up of the computer.

myHomeControl® runs as a standard application, not as a background service. Therefore the auto start works only after a user has been logged in.

If the option „Start application at power up“ has been checked, myHomeControl® registers itself within the Windows registry to be started automatically at user logon. This is a similar mechanism to the auto start group, which can be found under Start->Programs->Autostart. During user logon, Windows check for applications indicated to be started and runs them.

Windows updates often require reboots after they have been processed. To enable the auto start of myHomeControl® a automatic user logon is required. To configure Windows to automatically logon a user, following Keys have to be set in the registry. Use the regedit to edit the registry entries.

Navigate to: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon

Edit or append following keys:

"DefaultUserName"="Name"

"DefaultPassword"="passwort"

"AutoAdminLogon"="1"

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Reshow hidden messages

Press the button on the right to enable the locked info messages again.

Example: The following message will not be shown any more if you check the checkbox “Don’t show this message again”.

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Check for updates

If this setting is checked, then myHomeControl checks for updates at every program start in design mode (not in presentation mode). In case a new update is available, then a dialogue pops up containing information about the update and offering the user the opportunity to install the update.

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Splash Screen

Select a picture file which is used as splash screen during startup of the application.

cross-references
General

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Enabled Media

This group box provides checkboxes to enable media which will be shown in the tree view of the new devices.

Corresponding communication protocols are only enabled for the selected medias.

cross-references
Settings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Settings of the visualization

This group provides configuration of the visualization screen.

cross-references
Settings
Change Application
Display General Controls
Indicate Radio Transmission
Presentation Mode
Mainpage
Size of Symbols
Animate Elements
Display time of Control Dialogs
Dimmer brightness control slider indication mode

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Change Application

If this option has been activated, changes to other applications will be suppressed during the presentation screen is active. Also termination of the application will be suppressed.

This option should be activated in case myHomeControl shall run as the only application on the computer.

Following windows mechanisms will be deactivated:

- Start menu

- Task bar

- Windows-Button

- Alt-Tab

- Alt-F4

- Minimizing and closing of the window.

When returning to the design mode, all mechanisms will be reactivated.

The combination of the keys Crtl-Alt-Del is not locked to enable the user to start the task manager in very special cases.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Display General Controls

This option defines if the Tab Control for the general functions within the visualization screen shall be displayed.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Indicate Radio Transmission

If this option has been activated, then the symbol beside will appear in case radio telegrams, pending to be send, will jam up due to the limited capacity or the transceiver. This is typically the case if a „Central Off“ button is pressed.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Presentation Mode

Menu: Settings / Visualization

This configuration item defines the appearance in the presentation mode. Following appearances are available:

Appearance | Behaviour
Windows | The floor plans and visualization elements are shown within a maximized windows form.
Full Screen | The floor plans and visualization elements are shown using the full screen. Windowborders, title bar, status bar and Windows taskbar are hidden.
Full Screen without menu bar | Same as Full Sceen, but the menu bar is hidden as well. This mode requires the usage of a Design Mode Element.

Die Vollbild-Einstellungen eignen sich besonders für kleine Bildschirme.

This option is useful in case a small screen shall be used.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Mainpage

These settings configure the behavior of the „automatic return to the main page“ feature.

The checkbox in the left top activates the feature.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Size of Symbols

This option defines the size of the symbols of following visualization elements:

- Lamp symbol of switching actuator and dimmer ( not the illumination area)

- PIR symbol of the PIR (not the observation area)

The given value is valid for all pages of the visualization.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Animate Elements

Activates different visual effects like the fading of the lights. This may consume too much CPU power on certain computers or may delay the screen refresh using remote access. Therefore this effect can be disabled.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Display time of Control Dialogs

Control dialogs, as the one show on the left side, close automatically, in case they stay idle for the duration set in the input field above.

These setting is valid for all control dialogs closing automatically.

In case a control dialog closes before it becomes visible on a mobile phone due to the delayed screen update, the display time of the control dialogs must be enlarged. For details refer to Remote Control via Mobile Phone.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Dimmer brightness control slider indication mode

Menu: Visualization / Logging

Dimmable lights might be configured either as dimmer or as switch (refer to the properties dialog of the dimmer block). “Switches” cannot be dimmed via the command input of the network block. Only switching on and off is enabled. In case the “Switch” option is has not been activated, then dimmers can be switched on and off as well as dimmed via the command input of the network block.

The brightness of all dimmable lights is individually adjustable by the brightness control sliders, also those configured in switch mode. To indicate the user the availability of the brightness control slider, the appearance of a slider symbol may be configured.

The following configuration item sets up the appearance of the slider symbols:

none | The slider symbol will not be shown at all.
Dimmermode only | The slider symbol will only be shown on dimmable lights not configured in switch mode.
Dimmermode and Switchmode | The slider symbol will be shown on all dimmable lights.

cross-references
Settings of the visualization

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Logging

This group provides configuration of the different recordings.

cross-references
Settings
Record state changes and events
Record weather data
Path for the individual log files

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Record state changes and events

Menu: Settings / Logging

Activates the recording of received and transmitted radio messages, changes in block states etc.

These recordings will be stored into the Logging.mdb – database. This requires a certain space on the hard disk of the system. The maximum file size will be limited according to the setting.

If the maximum file size for the Logging.mdb has been reduced to a value smaller then an existing Logging.mdb, the existing Logging.mdb will not be reduced to the given value. But it will not grow any more.

If the used disk space should be released, then stop myHomeControl and delete the Logging.mdb – file. At the next start myHomeControl will create a new Logging.mdb. This file will not grow more then the given maximum file size.

cross-references
Logging

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Record weather data

Menu: Settings / Logging

This configuration item belongs to the functions: Weather station.

This configuration item will become active as soon as a weather station has been inserted into the project (e.g. a weather station network block).

Activates the recording of weather data.

These recordings will be stored into the Weather.mdb – database. This requires a certain space on the hard disk of the system. The maximum file size will be limited according to the setting.

cross-references
Logging

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Path for the individual log files

Various sensor objects provide a individual logging feature to log the received signal values into individual log files.

Define the path where all the log files are to be stored.

Old log files will be discarded after the given period of time.

cross-references
Logging

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


City / Coordinates

Menu: Settings / City/Coordinates

This configuration item belongs to the functions: Day Light, Shading, Absence.

To calculate the position of the sun, the location of the building is required. Longitude and latitude has to be set to correct values.

It is sufficient to use the coordinates of the next main city. The values don’t require high accuracy (accuracy around +/- 0.1 Degree will be sufficient). Usually it doesn’t matter if light switches on one or two minutes earlier or later.

Latitude | northern coordinates require a positive sign + southern coordinates require a negative sign -
Longitude | eastern coordinates require a positive sign + western coordinates require a negative sign -

To evaluate the coordinate values refer to one of the given links or to Google-Earth.

These are the coordinate values you may enter. The N/S value corresponds to the latitude, the E/W value to the longitude. Regard the signs when copy the values to myHomeControl.

cross-references
Settings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Email

Menu: Settings / Email

This configuration item belongs to the functions: send sms, send email.

Enter your account information into the Email-box of the general Settings page. These information will be used by the send mail-, send SMS- and receive email blocks.

Quick check:

The account information shown above might be used for a quick check to send email. The password is: _myHomeControl_

Fill in the receivers email address and the subject into the corresponding fields of the email – block and press the mail-button on the surface of the block.

The Report button might be used to check if the mail was sent successfully.

The email is going to be sent to the receiver passing the email-account given on the general settings page.

Check your email program to find your correct account settings.

cross-references
Settings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


WEB

Menu: Settings / WEB

This configuration item belongs to the functions: CompactWEB.

This group box contains the general settings for the WEB interface. These settings control if web content is going to be created and how it shall look like.

For details refer to chapter CompactWEB.

cross-references
Settings
Enable Compact WEB
Start WEB server
Port Number

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Enable Compact WEB

Menu: Settings / WEB

This option enables the CompactWEB interface. In case it is checked, then myHomeControl® creates web pages, which can be browsed by any web browser. The presentation of the project is compact and suites also the needs of mobile phones. For further details refer to CompactWEB.

cross-references
WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Start WEB server

Menu: Settings / WEB

This configuration item belongs to the functions: CompactWEB.

This option starts the associated WEB server, which provides the web content, generated by myHomeControl®, to browsers.

In case there is already an other WEB server installed on the computer, the port number 80 might be occupied. myHomeControl®’s WEB server has to be configured to avoid conflicts between the servers or other applications. Find hints to solve port occupancy conflicts in chapter port number.

Access the WEB server from the Internet requires special, additional setting. Refer to WEB Remote Access for details.

cross-references
WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Port Number

Menu: Settings / WEB

This configuration item belongs to the functions: CompactWEB.

This setting defines the port used by myHomeControl®’s WEB server. To change Port Nr. uncheck the checkbox “Start WEB server”.

Please consider following rules:

Port 80 | This is the default port used by browsers if no port is given in the web address. The web pages can be browsed using following address (as an example) http://X.X.X.X (X.X.X.X means the IP address of the PC running myHomeControl®).
other Ports | If an other port has been selected, then the port has to be given with the web address: http://X.X.X.X:PortNr

In case there is already an other WEB server installed on the computer or port 80 is occupied by an other application, then an alternative port number has to be assigned. Occupied ports are indicated by a red background of the input field.

Typical applications occupying the port:

- a WEB server e.g. IIS from Microsoft
In case the web server is used, then the port within myHomeControl® has to be changed.

- Skype
The configuration of Skype might be changed to avoid occupancy of port 80.
See menu Tools->Options->Advanced->Connections
uncheck “Use port 80 and ….”

There is a tool available to evaluate the application occupying a port. The tool can be found under the menu: Start->myHomeControl->Tools->TPC-Port Occupancy Monitor

cross-references
WEB

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Multiple Operating Stations

This feature is under development.

Menu: Settings / Multiple operating stations

This configuration item belongs to the functions: Multiple Operating Stations.

cross-references
Settings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Google PowerMeter

Menu: Settings / Google PowerMeter

myHomeControl® is able to connect to Googles PowerMeter services. If this feature is enabled, then all devices (blocks) of type Electric Meter will be connected to Googles PowerMeter service. The actual values of the devices are tramsmitted to Google periodicaly at a rate of 10 minutes.

Google offers a set of analysis functions for the power consumption and provides lots of hints to save energy according the meassurements.

The use of Google PowerMeter requires you to have an account at Google.

Additional information is provided by following link:

http://www.Google.com/powermeter/about

To activate this feature check the box in the upper left corner. Then subscribe to Google PowerMeter the first time you activate the feature and announce myHomeControl® as meassurement equipment (press button „Join Google“). The other fields are filled up during the subscription process.

cross-references
Settings

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Communication

myHomeControl supports various medias for the communication to sensors and actuators:

- EnOcean Radio Communication

- Modbus-TCP

Different drivers are provided for different gateway – types or IO-field bus devices. The various gateways and devices use different communication protocols and are connected to the PC in different ways.

Samples:

USB-EnOcean Radio Gateway:

This type of gateway is connected to the PC via USB. It communicates to the sensors and actuators via EnOcean radio signals. These devices emulate a serial port (RS232 COM port). The standard EnOcean protocol is used for the communication between the PC and the gateway.
Settings: EnOcean Communication / RS232

EnOcean-Gateway STC-Ethernet provided by Thermokon:

This type of gateway is connected to the PC via Ethernet. It communicates to the sensors and actuators via EnOcean radio signals. It uses a dedicated protocol for the communication between the PC and the gateway.
Settings: EnOcean Communication / Thermokon EasySens

Ethernet IO-Devices e.g. Wago, Phoenix, Beckhoff

This kinds of IO devices provide Ethernet interfaces which will be used for the connection to the PC. It is required that the IO devices support the ModbusTCP protocol.
Settings: ModbusTCP Communication

cross-references
EnOcean Communication
Modbus Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


EnOcean Communication

Within this tab page the EnOcean based communication has to be configured.

Select a protocols from list box on the left side. Corresponding protocol specific settings will appear on the right side.

Details about the different protocols can be found in following chapters:

  • EnOcean serial protocol V1
  • RS485 (RS485 gateway Omnio AG)
  • Thermokon EasySens
  • BSC-BAP (in preparation)

cross-references
Communication
EnOcean-Id Filter
EnOcean Serial Protocol V1
Omnio 485-Bus
Thermokon EasySens

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


EnOcean-Id Filter

There is an Id filter feature available. The Id filter holds a list of valid EnOcean Ids (EnOcean address of sensor devices and transmitters).

The Id filter filters all EnOcean messages received and rejects all messages with EnOcean ids not contained in the list of valid Ids. Only messages with an id contained in the list of the filter are going to be processed by myHomeControl®, all other messages will be droped.

This feature is helpful if teach in should be demonstrated or executed during fairs or training courses, where lots of devices, belonging to other installations (e.g. neighbor booth), are frequently operated.

Configuration of the id-filter

The id filter is setup via a dedicated file.

This file can be found under the menu ? à other files à EnOcean à EnOceanIdFilter.xml

The file is structured as follows:

<?xml version="1.0" encoding="utf-8"?>

<EnOceanIdFilter xmlns="http://myHomeControl.ch/EnOceanIdFilter.xsd" Version="1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <EnOceanId id="19534" description="rocker push button"/>

or alternativly

  <EnOceanId idHex="23A5F8" description="window contact"/>

  <EnOceanId id="" description=""/>

  <EnOceanId id="" description=""/>

  <EnOceanId id="" description=""/>

</EnOceanIdFilter>

Use an editor e.g. to modify the file, in case the id-filter feature is liked to be used. Therefore enter the ids of the sensors in question into the corresponding fields, and give a short description:

  <EnOceanId idHex="23A5F8" description="window contact"/>

id/idHex specifies a EnOcean Id to be accepted.
description is free text, describing to which device the id is belonging. This text will not be evaluated by myHomeControl®.

If additional lines are required, copy and add them, There is no limitation in the amount of lines.

If all ID=”” fields are empty or there are no <EnOceanId … lines, then the id-filter is disabled.

This file is evaluated during the start of myHomeControl® and every time the EnOcean protocol is changed.

If the id-filter is active ( there are Ids given in the configuration file), then a link is shown on the EnOcean communication configuration page. This link might be used to check the list of ids of the id-filter.

Szenario: Training course with different workplaces

Each workplace has its own set of EnOcean devices for training purposes.

Each workplace requires an own dedicated EnOcean-Id filter file. The EnOcean-Ids of all sensors of the corresponding workplace have to be configured within the filter file. The file has to be stored eiter on a CD or an USB stick which will become part of the workplaces equipment.

If the trainee reinstalls myHomeControl®, then he/she has to process following step after the installation:

- select menu ? -> other files -> EnOcean. This opens a folder containing a template Id-Filter file,

- copy the EnOcean Id filter file from the CD or stick to the folder opened in the step before,

- restart myHomeControl®

cross-references
EnOcean Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


EnOcean Serial Protocol V1

This protocol is useful to adapt one single EnOcean transceiver. Most Transceiver based on the TCM120-Module might be operated using this option.

Specific settings:

Select the COM port of the computer where the transceiver will be connected (COM1..COMn).

The Id Range Base will be show just for information. This value is read back from the transceiver.

The red field indicates, that actually there is no communication established to the transceiver. myHomeControl tries to read the Id Range Base periodically. As soon as the reading succeeds, the field changes its color to green. You may press the check-button to initiate the reading manually.

To set a new Id Range Base enter the required base address into the input field and press the set-button. If the new address is shown now in the Id Range Base – field, then was the setting successful.

Consider that after changing the base address 10 times, this function will be blocked by the gateway.

Connection failures:

Gateways based on UBS usually requires a driver. Following drivers will be deployed with the myHomeControl installation. The folder containing the drivers can be accessed via start menu/Programs/myHomeControl/Drivers:

- BootUp USB2-EnO868 + USB2-EnO315 see subfolder BootUp

- BSC BoR see subfolder BSC_BoR

cross-references
EnOcean Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Omnio 485-Bus

This setting fits for the bi-directional RS485-Gateway from Omnio AG. A dedicated protocol will be processed. This protocol includes the standard TCM120 messages as well as some additional acknowledgement messages. The RS485-Gateway has some special behavior which is different to a gateway forwarding directly the standard TCM120 messages.

The RS485 standard allows connecting several transceivers to the same COM port of a computer. This gives the opportunity to locate on each floor an own transceiver.

The topology shown above should solve all radio transmission range problems.

A certain transceiver may also cover more then just one floor. This depends on the characteristics of the building. It is not a must that the number of transceivers corresponds to the number of floors.

Supplementary to the transceivers a RS232<->RS485 or an USB<->RS485 interface will be required.

Specific settings:

In the situation shown above the RS485 protocol has been selected for the radio communication. The red field indicate that at least one of the gateways is offline. This is a general status information about the communication status to the gateways. The field becomes green as soon as all gateways change there state to online.

RS485

Select the COM port of the computer where the transceiver will be connected (COM1.COMn).

The Baudrate has to be selected accordingly the jumper settings of the gateway.

Transceiver Module

Within the area “Transceiver Module” all transceivers have to be defined. Use the +Transceiver-button to append an additional transceiver.

An alternative method to append an additional transceiver is to connect it to the RS485 network and then press the LRN button. This forces the transceiver to announce that it is entering the learn mode. This announcement contains information about the base address of the transceiver. myHomeControl detects the presence of a new transceiver and appends a corresponding row to the list of transceivers.

Name

Each of the transceiver might be named. This simplifies the assignment to the floors in a later step.

Id Range Base

This communication type requires the input of the individual Id Range Base addresses to enable myHomeControl to address the transceivers individually.

Line State check

The button indicates the communication states. A click on a button initiates a communication check.

Clicking the symbol gives access to additional settings of each transceiver.

To modify the Id Range Base the gateway has to be set in LRN mode. Press the corresponding button in the gateway.

The INFI – Functions are not yet implemented.

Consider that after changing the base address 10 times, this function will be blocked by the gateway.

The * -buttons in the column delete the corresponding transceiver entry.

Transceiver Assignment

Within this section the transceivers will be assigned to the floors. For details refer to the chapter Floor assignments.

cross-references
EnOcean Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Thermokon EasySens

This settings have to be set in case bi-directional sender/receiver gateway(s) of type “EasySens STC-Ethernet” or unidirectional receiver gateway(s) of type “EasySens SRC-Ethernet” shall be used. This kind of gateways will be connected to the Ethernet port of the PC. Therefore it can be integrated into a PC-Network. The ability to operate the gateway within a network allows to operate several gateways in parallel e.g. one on each floor.

It is also possible to use a certain gateway for more then on floor. The amount of gateways may not correspond to the amount of floors.

In case more the one gateway will be operated, then an additional network switch will be required. It is not allowed to connect all the gateway and the PC with one cable.

Setup of the Gateways

Before the myHomeControl is able to operate the gateway, it has to be configured. Use Thermokons SRC_Ethernet program to setup the gateway. This program is either delivered with the gateway or can be requested from Thermokon.

This program will be used to set the IP address of the gateway. Enter the IP address in the field called SRC-Ethernet IP. In case several gateways shall be used set individual IP addresses for all gateways. Second enter the IP address of the PC running myHomeControl® in the filed called Server IP. Set the radio buttons same as shown above. Finally press the button „SRC aktualisieren“.

Sensors:

Depending on the amount of used gateways in a building the gateways have to be teached:

only 1 gateway: The teaching is not requested. All radio telegrams shall be received by the gateway and forwarded to myHomeControl. Activate the „EnOcean Gateway“ option and click the button „Set“.

several gateways: In case several gateways are in operation, then the radio telegrams sent by sensors have to be filtered. Only one gateway should forward the sensor telegram to myHomeControl. Therefore the sensors have to be teached to the gateways. Each sensor should only be teached to one gateway.

Start myHomeControl now and configure the communication provided by the options tab....

Thermokon specific settings:

Thermokon EasySens has been selected for the radio communication. The red field indicate that at least one of the gateways is offline. This is a general status information about the communication status to the gateways. The field becomes green as soon as all gateways change there state to online.

STC-Ethernet Node

Define all available gateway in the section called „STC-Ethernet Node“. Press the button „+ STC-Ethernet node“ to add a new gateway.

Name

Each gateway can be named individually e.g. „gateway of ground floor“. This eases the assignment of the gateway to the floors in the next step.

Type

Select the corresponding device type of the gateway (STC or SRC).

IP-Address / Port

Set the IP address and port number to the IP address / port number assigned to the gateway during the configuration process of the gateway (STC_Ethernet program).

Line State check

The button indicates the connection state. Clicking the button will start a communication check. This means, myHomeControl disconnects from the gateway and reestablishes the communication link.

Clicking this symbol opens the properties dialog of the individual gateways. Each gateway requires an individual base address. This base address is used for the addressing of the EnOcean actuators. Enter individual base addresses using the lower input field and press “set”.

Consider that after changing the base address 10 times, this function will be blocked by the gateway.

Each gateway in the application requires its own individual Base-Id. The Base-Id is part of the address sent within the radio telegrams.

Regard following rules:
- the first figure has to be a „F“,
- the second last figure must be „0“ or „8“,
- the last figure must be „0“.

Use the * button to remove the corresponding gateway.

Floor assignment of the STC-Ethernet nodes

Within this section the gateways will be assigned to the floors. For details refer to the chapter Floor assignments.

cross-references
EnOcean Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Modbus Communication

This communication requires a corresponding license.

Following Modbus protocols are supported:

- ModbusTCP via Ethernet

- ModbusRTU via a serial Port or a USB-serial converter. The dialects RTU and ASCII are supported.

Both protocolls might be operated in parallel.

In case the option „Modbus“ has been licensed, then an additional tab appears in the tree view „New Floors, Rooms and Devices“. The tree view list all object which can be operated with Modbus.

cross-references
Communication
ModbusTCP
ModbusRTU
Addressing of Signals

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


ModbusTCP

This communication requires the license option: Modbus TCP.

WAGO, BECKHOFF or any other Ethernet-Field bus devices might be used as IO-devices as long as they support the ModbusTCP protocol.

Settings:

Field bus nodes

All nodes have to be defined in the area “Field bus Nodes”. Use the +Modbus Node-button to append a supplementary transceiver.

Name

Each of the field bus nodes might be named. This simplifies the assignment to the floors in a later step.

IP-Address / Port

This communication type requires the input of the IP addresse to enable myHomeControl to address the slave individually.

Line State check

The button indicates the connection state. Clicking the button will start a communication check. This means, myHomeControl disconnects from the gateway and reestablishes the communication link.

Clicking this symbol opens the properties dialog of the individual field bus node. This function is not yet implemented.

Use the * button to remove the row of the corresponding field bus node.

cross-references
Modbus Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


ModbusRTU

This communication requires the license option: Modbus RTU.

WAGO, BECKHOFF or any other Modbus field bus devices might be used as IO-devices as long as they support the ModbusRTU protocol.

Settings:

Select first the COM-Port, the baudrate and the dialect(RTU/ASCII).

RTU - Field bus nodes

All nodes have to be defined in the area “Field bus Nodes”. Use the +ModbusRTU Node-button to append a supplementary transceiver.

Name

Each of the field bus nodes might be named. This simplifies the assignment to the floors in a later step.

Address

This communication type requires the input of the bus address of the slave to enable myHomeControl to address the slaves individually.

Line State check

The button indicates the connection state. Clicking the button will start a communication check. This means, myHomeControl disconnects from the gateway and reestablishes the communication link.

Clicking this symbol opens the properties dialog of the individual field bus node. This function is not yet implemented.

Use the * button to remove the row of the corresponding field bus node.

cross-references
Modbus Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Addressing of Signals

The properties dialog of the blocks taken from the tab „Modbus“, show a list of all slaves as well as an additional section listing all function channels of the block.

Select the appropriate slave from the list box showing all slaves which have been defined in the communication configuration areas ModbusTCP and ModbusRTU.

Function channels are a kind of signals, which are read from or written to the Modbus slave device. Each block contains an individual set of function channels. Theses function channels have to be mapped to signal addresses of the corresponding slave device.

Application sample:

This section becomes visible in case the block has been dragged into the project from the tab „Modbus“

Modbus functions

The modbus protocolls support various function codes to access different signal ranges in the slave.

Signal type | direction | Function code | range
binary | read | 2 | Input
binary | read | 1 | Coil
binary | write | 5 | Coil
analogue | read | 4 | Input Register
analogue | read | 3 | Holding Register
analogue | write | 6 | Holding Register

cross-references
Modbus Communication

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Lists

cross-references
List of Devices
List of Blocks
Configuration check

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


List of Devices

The “list of devices” (Main menu Lists\List of Devices) lists all hardware devices with their product type information, counting and supplementary information about the location in the building. This list might be used as an order list.

This information might be entered in the properties dialog of the network blocks. The columns with block text are editable.

The lower table list all devices not yet equipped with type or location information. This information might be completed directly in the table or in the properties dialog of the corresponding network block.

The button [image] moves completed rows into the upper table.

Refer to Device type and location information.

Copy to Excel

  1. Select all cells with a click on the most left header cell (the empty one).
  2. Press Ctrl-C to copy the selected cells.
  3. Open Excel spread sheet.
  4. Select the cell of the Excel spread sheet where the information shall be copied.
  5. Press Ctrl-V to insert the copied cells.

cross-references
Lists

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


List of Blocks

The “List of Blocks” (Main menu Lists\List of Blocks) list all blocks used in the actual project. It shows the location where the blocks are located by means of floor and room.

The column “licensed” indicate the license state of the blocks. Unlicensed blocks will remain in a blocked state. They will not react on input signals and will not generate any output signals on there pins.

Block is enabled and works as expected. 1)

Block is blocked.

This row contains blocked blocks.

myHomeControl runs in demo mode, blocks are enabled. 1)

1) In case the communication to the gateway is in blocked state (due to any license conflicts), even enabled blocks may not work in expected manner.

The column “Block Reference” contains links. If one of the links gets clicked then the corresponding element will be selected in all the views.

cross-references
Lists

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Configuration check

This function is not yet implemented!

cross-references
Lists

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License options

myHomeControl® basic functionallity can be extended by various additional features. These features are enabled by license options which can be acquired separately. The enabled options are shown in the menu ?/About.

cross-references
License option: Weather
License option: Email, SMS, phone
License option: EnOcean
License option: Modbus TCP
License option: Modbus RTU
License option: PEHA PHC
License option: Baudrate selector
License option: CompactWEB small
License option: CompactWEB large
License option: ClientServer

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: Weather

Support for various weather stations. The weather data acquired by the weather station can be shown in the visualization and might be used within the networks for logical operations.

This option is enabled by default.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: Email, SMS, phone

Support for email, sms and phone. This option enables the corresponding blocks to send emails, sms.

This option is enabled by default.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: EnOcean

Enables the communication to EnOcean enabled devices.

This option is enabled by default.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: Modbus TCP

Enables the communication to ModbusTCP enabled devices.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: Modbus RTU

Enables the communication to ModbusRTU enabled devices.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: PEHA PHC

Enables the communication to PHC devices.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: Baudrate selector

Enables to control the communication speed to the gateway. This option is usefull in case the gateways used supporting various communication speeds.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: CompactWEB small

By default the amount of simultaneous browser sessions is limited to 3.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: CompactWEB large

This option limits the amount of simultaneous browser sessions to 20.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


License option: ClientServer

Enables the support for multiple operating stations.

cross-references
License options

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Troubleshooting

cross-references
myHomeControl® breaks during startup showing an error message
Multiple Application Start
Restart of myHomeControl® fails
Uninstall of myHomeControl® fails

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


myHomeControl® breaks during startup showing an error message

The project database seems to be corrupt. To restart myHomeControl® successfully, the project files have to be deleted in advance. myHomeControl® creates backups of the project periodically, so deleting project files doesn’t necessarily mean lost of the project.

After restarting myHomeControl® there is the opportunity to load a backup of the reccent project.

  1. press Windows start button -> All Programs -> myHomeControl® -> Tools -> Clean Project
  2. start myHomeControl®
  3. File -> Project -> load -> select a backup of the project

cross-references
Troubleshooting

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Multiple Application Start

Either myHomeControl® has been already started, is actually running or didn’t terminate correctly. In case no myHomeControl® related window can be seen, then use the task manager to terminate a running instance of myHomeControl®.

Right click the windows start line -> Start Task Manager -> click tab “Processes” -> select HomeControl.exe -> press button “End Process”.

Now myHomeControl® should be able to be restarted.

cross-references
Troubleshooting

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Restart of myHomeControl® fails

Refer to myHomeControl® breaks during startup showing an error message

cross-references
Troubleshooting

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Uninstall of myHomeControl® fails

If uninstall of mhc fails due to access rights, then follow these steps:

  1. open windows explorer and navigate to folder:
    C:\Program Files\BootUp GmbH\myHomeControl V1.2.
  2. Click right mouse button on file “unistall.bat”
  3. Select menu “Run as administrator”
  4. Accept the message from the User Account Control by clicking “Yes”.

cross-references
Troubleshooting

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Appendix A: EnOcean Profiles

The profiles listed below have been standardized by EnOcean. They define the mapping of the data within the radio telegrams. Detail can be found in the corresponding EnOcean document „ EnOcean Equipment Profiles“. This document can be downloaded from the EnOcean WEB site (www.EnOcean.com).

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Appendix B: Supported Devices

Please find a list of all supported devices under following link:

http://www.myhomecontrol.ch/Download/EN_SupportedDevices.pdf

cross-references
EnOcean Gateways

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


EnOcean Gateways

Kind | Manufacturer | Type | myHomeControl Protocol
USB |  |  |
 | BootUp | USB2-EnO868 | EnOcean Serial Protocol V1
 |  | USB2-EnO315 | EnOcean Serial Protocol V1
 | BSC | BoR | EnOcean Serial Protocol V1
 | Hardsoft | EasyTED | EnOcean Serial Protocol V1
 | Omnio |  | EnOcean Serial Protocol V1
RS232 / USB |  |  |
 | BootUp | RS232-EnO868 | EnOcean Serial Protocol V1
 |  | RS232-EnO315 | EnOcean Serial Protocol V1
 | Omnio |  | EnOcean Serial Protocol V1
RS485 |  |  |
 | BootUp | RS485-EnO868 | EnOcean Serial Protocol V1
 |  | RS485-EnO315 | EnOcean Serial Protocol V1
 | Omnio |  | Omnio 485-Bus
Ethernet |  |  |
 | Thermokon | EasySens STC-Ethernet | Thermokon STC-Ethernet
 |  | EasySens SRC-Ethernet | Thermokon SRC-Ethernet (receiving only!)

cross-references
Appendix B: Supported Devices

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Appendix C: Application Samples

During the installation process of myHomeControl® a demo project has been installed as well. It is located in the sub folder DemoProjects and it is called Project_EnOcean-Demo. Feel free to load it using the menu File/Project/load.

cross-references
Lights
Jalousie / Blinds
Heating
Security
Control Units
Universal controller: Thermokon SRC-ADO BCS

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Lights

cross-references
Appendix C: Application Samples
Access to home
PTM230 Module
Central OFF
Delayed Off
Lights in office controlled by radio chairs
Occupancy Sensor
Constant light control

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Access to home

In the evening during sun set the lights of the access to the home shall switch on. On working days the lights shall switch off at 22:30 and at the week end at 23:45 for the convenience of our guests.

The Day Light block activates the Clock during sun set and deactivates it in the morning.

When the Clock gets activated by the Day Light block, it generates an ON command, which switches on the lights. Later the Clock generates an OFF command due to its configured times.

cross-references
Lights

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


PTM230 Module

The PTM radio button represents in this sample the PTM230 module with two channels. Each channel controls an individual switching actuator. When the button is pressed the first time the corresponding switching actuator switches on. With the next button press the actuator switches off.

The upper toggle block reacts on OFF commands, the lower one on ON command. This has been configured in the properties dialogs of the blocks.

In case a single button is used the switching actuator might be directly connected to the PTM radio button block. If the button following mode has been activated, then the actuator will switch on during the button is pressed.

In case a double button module will be used, then the ON and OFF commands must be separated. Use filter blocks to separate the commands. The upper filter block forwards only OFF commands and the lower one only ON commands.

cross-references
Lights

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Central OFF

Problem statement:
In case there are any dimmers in the installation and there brightness will be controlled by PTM buttons, then the direct connection of a Central OFF – PTM button to the dimmers my result in unexpected behavior. If the configuration of the dimmers enable touch dim functionality (Switch mode is disabled), then the behavior of the dimmer depend on the duration of the key press. If a key is pressed for more then 0.5 seconds the dimming process will be started. This is unexpected behavior with the Central OFF key.

In this case insert a filter block and enable the „strip key press duration information“ feature. This avoids dimmer blocks from entering the dimming processes.

cross-references
Lights

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Delayed Off

A PTM radio button, located next to the entrance door, is used to switch on and off the lights of the corridor and the access to the house.

After say goodbye to our guests, the lights of the corridor will be switched of by pressing the OFF button of the PTM radio button. The lights of the access to the house shall light for another 30 seconds to lead the guests to there car.

If the OFF button has been pressed, the filter block “OFF delayed” will delay the OFF command. This means, it stores the OFF command for about 30 seconds and sends it to the switching actuator after the delay period has expired.

Special case:

If the ON button will be pressed once again before the delay has been expired, then the filter block rejects the stored OFF command to avoid unexpected switch off of the illumination of the access to the house.

cross-references
Lights

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Lights in office controlled by radio chairs

Within this sample the or block plays a central role. The light is on as long as at least one of the chairs is occupied or the light have been switched on manually.

The rocker push button switch at the door switches the light on or off. The filter block „auto OFF“ releases the manual command.

The light is on as long as the manual path or one of the chairs is ON.

The filter block „manual“ combines the rocker push button switch and the filter block „auto OFF“ support the correct operation of the or block.

The activation input of the or block has been used to control the light depending on the brightness. A outdoor light sensor measures the actual brightness. The trigger block „Level“ checks whether the brightness level is above a threshold value or below. In case it is above, then the light will be switched of.

cross-references
Lights

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Occupancy Sensor

A light shall be switched on by a occupancy sensor in case it is dark. Switching off shall be delayed after the occupancy sensor detects that the area is free.

The two filter blocks separate the ON and OFF commands of the occupancy sensor.

The OFF commands will be delayed.

The trigger block monitors the brightness signal from the occupancy sensor to be beyond the threshold level.

The trigger block activates/deactivates the ON filter accordingly.

The ON filter forwards ON commands only in case it is activated. This means ON commands will only be forwarded by the block in case the brightness is below the threshold value.

The PTM button enables manual operation.

cross-references
Lights

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Constant light control

The illumination of a room shall be controlled according to a brightness sensor measuring the outside brightness. Therefore the room is split up in different zones. The illumination will be controlled for each zone individually.

There are two principles to control the illumination:

- Switch able lights (Illumination is controlled by the amount of lights switched on)

- Dim able lights (Illumination is controlled by the intensity of light)

Switch able lights:

A trigger block monitors the brightness signal to go below a threshold value individually for each zone. In case the brightness value goes below the threshold value the lights of the zone will be switched on.

Dimmable lights:

For each zone the measured value from the brightness sensor will be transformed individually into a %-value to control the dimmer devices. The transformation is done by scaling blocks.

Set up of the scaling blocks:

Calculation of the scaling factor:

BVd Brightness value dark, max. value for the brightness, where the light is still fully bright.

BVb Brightness value bright, min. value for the brightness, where the light is turned off.

Factor = -100 / (BVb – BVd)

Offset = 100 * (1+ BVd / (BVb – BVd))

Application sample:

BVd = 1000 Lux, BVb = 10000 Lux

Factor = -100 / (10000 – 1000) = -0.0111

Offset = 100 * (1 + 1000 / (10000 – 1000)) = 111.11

Glow suppression:

In case the %-value for the dimmer control comes to a small value (e.g. < 20%), then the dimmed lights do not illuminate the room anymore. Therefore the lights will be switched of to save energy. This function is done by the Trigger and the AnalogMux blocks.

cross-references
Lights

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Jalousie / Blinds

cross-references
Appendix C: Application Samples
Automatic Shading
Automatic Shading and time controlled blind movements

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Automatic Shading

The weather station measures the brightness at a central point. The individual sun light situation of the different windows is calculated by the shading blocks according the actual position of the sun and the geometric of the building. The shading blocks control the shading input of the jalousie actuator blocks. Consequently the jalousies will move to the shading position.

Beside the position of the sun, the shading blocks also consider different other threshold values to control the jalousies. Which of the threshold values will be considered, depends on the connected signals, e.g. in case a brightness sensor has been connected to the brightness input of the shading block, then the threshold value for the brightness will be considered automatically.

The shading is understood as enhancement to the room temperature control. Therefore the various temperature signals will be connected to the shading blocks.

The shading block considers the threshold values for brightness, in and out temperature.

Refer to the description of the shading block for details.

The PTM button enables the user to activate and deactivate the automatic shading.

cross-references
Jalousie / Blinds

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Automatic Shading and time controlled blind movements

This Sample illustrates how to combine clock timer controlled blinds with the shading function. Typical use case is when blind are lowered during night times for energy saving purposes.

cross-references
Jalousie / Blinds

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Heating

cross-references
Appendix C: Application Samples
Interrupt heating in case a window has been opened
Proportional Heating Valve from Kieback&Peter
Room Operating Panel from Sauter

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Interrupt heating in case a window has been opened

This sample decreases the set point value for the temperature depending on the window state and if somebody is at home.

A Room Temperature Sensor provides the actual temperature and a value for the temperature set point.

The actual temperature and the set point value is directly forwarded to the Temperature Controller. The temperature controller performs the closed loop control of the room temperature. In the above sample it provides three individual temperature set points for normal operation, for absence and in case a window is open. The upper most set point is used under normal conditions, by means of, if no other set point has been activated.

The absence function activates the corresponding set point on demand.

The window state sensor activates the last set point in case the window has been opened. The last set point has the highest priority and overrides any of the other set points.

The switch actuator “RCM250” controls a thermo dynamic valve for the heating.

cross-references
Heating

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Proportional Heating Valve from Kieback&Peter

This sample shows a individual room temperature control application with the valve actuator from Kieback&Peter.

A Room Temperature Sensor measures the actual temperature of the room and provides a setpoint value for the heating control. The radiator is controlled by the valve actuator from Kieback&Peter.

Solution1: internal heating controller

The valve actuator provides an internal heating controller. Therefore the output pins of a Room Temperature Sensor block can be directly connected to the input pins of the valve actuator block:

If the input pin „SP Temp“ is connected, then the valve actuator uses the internal heating controller. In case the input pin „SP Pos“ is connected, then the valve actuator just drives the valve corresponding to the received position setpoint.

The connection line between the room temperature sensor block and the valve actuator block is used to force the emergency control mode of the valve actuator in case no radio telegrams are received from the room temperature sensor. An OFF command at the [image] input of the valve actuator block disables the valve actuator block to send response telegrams to the valve actuators request.

Summer operation mode:

To spare battery power during summer time the valve actuator is set into summer operation mode during the summer. In this mode the valve actuator reduces its periodical request to 1 per hour. The clock block is used to activate the summer operation mode.

Solution2: myHomeControl® Temperature Controller

myHomeControl® Temperature Controller calculates the setpoint values for the valve actuator by evaluating the various sensor signals.

The radio communication between the valve actuator and the valve actuator block (myHomeControl®) is driven by the valve actuator itself. The valve actuator sends periodical radio signals (10 Minutes) indicating the actural state of the actuator. Subsequenty the valve actuator block (myHomeControl®) sends the actual temperature value, setpoint value and command information to the valve actuator.

Therefore a new setpoint (e.g. new position setpoint) will be transmitted from the valve actuator block to the valve actuator at the next communiction interval. Then the valve is going to update the valve position according to the setpoint. The feedback of the valve position is then sent back to the valve actuator block at the next communication interval. This means in worstcase it may take up to 20 Minutes until the valve actuator block indicates the correct positon at the correspoinding output pin after a change in the positon setpoint.

The connection line between the room temperature sensor block and the valve actuator block is used to force the emergency control mode of the valve actuator in case no radio telegrams are received from the room temperature sensor. An OFF command at the [image] input of the valve actuator block disables the valve actuator block to send response telegrams to the valve actuators request.

Summer operation mode:

To spare battery power during summer time the valve actuator is set into summer operation mode during the summer. In this mode the valve actuator reduces its periodical request to 1 per hour. The clock block is used to activate the summer operation mode.

cross-references
Heating

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Room Operating Panel from Sauter

Actually the bidirectional mode is not yet supported by myHomeControl®.

But the device can be configured to operate in the unidirectional mode, which is supported by myHomeControl®.

Configure the device for unidirectional operation mode

In case the display shows “Err 2” after a button has been pressed, then the device is working in the bidirectional mode and has to be reconfigured to operate with myHomeControl®.

The reconfiguration is done by a sequence of button presses. Please refer to the manual of the device for guidance.

Set configuration parameter 5 to value 04 to activate unidirectional mode.

Set configuration parameter 7 to the desired setpoint range e.g. 30 means –3.0°..3.0°. The similar range has to be configured in the block settings as shown in the figure below:

Set configuration parameter 8 to value 09.
Fine tuning of the measurement

The measurement cycle and the treshold value for spontaneous transmission of temperature values can be configured:

Adjust configuration parameter 1 (measurement cycle) in steps of 10 seconds (12=120s).

Adjust configuration parameter 3 (treshold value) in multiples of 0.2K (4=0.8K).

Application sample with a temparature controller

cross-references
Heating

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Security

cross-references
Appendix C: Application Samples
Alarm in case of window will be opened or a presence indication during absence
Forwarding of an alarm message to all PCs of the network
Create and play an text message (audio)

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Alarm in case of window will be opened or a presence indication during absence

Problem statement:

In case a door of window has been opened or an occupancy sensor detects motion, during absence, a SMS containing an alarm message shall be sent to a phone.

Solution:

The left filter block inverts the ON/OFF commands of the door and window sensors.

.

The right filter block is active only during the absence of the owners. Only in the active state it will forward the commands of the occupancy sensor and the left filter block to the SMS block.

The SMS block requires general email settings. Refer to the options page.

cross-references
Security

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Forwarding of an alarm message to all PCs of the network

Problem statement:

An alarm message shall be sent by myHomeControl to all PCs connected to the network. The message shall be shown on all PCs immediately after transmission.

Solution:

To achieve this behavior a additional application has to be installed on the PCs receiving the message as well as on the computer running myHomeControl®. This application is required because the NET SEND command is not longer supported by Windows XP SP2 and Vista.

An opportunity for this kind of application is “Message-Bob”. This tiny program replaces NET SEND.

To run “Message-Bob” use the Run-Block.

In case the block receives an ON command on its input pin, it starts the application „Message-Bob“ and passes the argument string to it. The * means broadcast to all computers on the net.

Settings for Message-Bob on the computer running myHomeControl®:

Settings for Message-Bob ob the computers receiving the message:

cross-references
Security

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Create and play an text message (audio)

Problem statement:

Play an audio message in case a window is open, when the absence function is going to be activated.

Solution:

First create a corresponding audio message file. The message shall be: „Attention, there are open windows!“.

To create the audio file run the windows audio recorder which can be found in the utilities folder.

- press record button

- say text

- File/save as..
Saves the file as xx.wav.

To play the audio file within myHomeControl use the sound block.

The following network implements the requested functionality:

The Window Monitoring block summarizes all states of the window contacts. In case all windows are closed the Window Monitoring block sends an OFF command through its output pin. As soon as a window is opened the monitoring block send an ON command to the filter block.

The filter block forwards only ON commands. It forwards received ON commands only in case it is activated. If the absence function is inactive then also the filter block will be deactivated. The filter block will not forward a received command but store it internally.

When the absence function is activated, then also the filter block will be activated and it will send the last received command to the sound block.

cross-references
Security

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Control Units

cross-references
Appendix C: Application Samples
Single Button
On-Off with on single button DUX control unit
Position Selector

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Single Button

Single DUX-Buttons transmit only the Commands ONv and ON^. To control a switching actuator, the actuator has to be set into the button follower mode.

This sample switches the switching actuators on either the button on the DUX control unit is pressed or the selector has been turned to the I position.

cross-references
Control Units

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


On-Off with on single button DUX control unit

The toggle block forwards alternatively ON or OFF commands to the connected block if it receives an ON command.

In this samples there is no need to configure the switching actuators. The first button press or operation of the selector, the corresponding switching actuator gets switched on. With the next operation of the button or selector the switching actuator gets switched off.

cross-references
Control Units

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Position Selector

To use all of the 3 individual positions of a 3 position selector filter blocks and the button follower mode of the switching actuator will be used. The filter blocks split up the transmitted commands of the DUX control unit into ON and OFF commands. The upper filter block forwards only ONv and ON^ command to the corresponding switching actuator and the lower one forwards only OFFv and OFF^ to the corresponding switching actuator.

Due to the button follower mode the corresponding switching actuator will be switched on as long as the selector remains in the O or I position.

cross-references
Control Units

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Universal controller: Thermokon SRC-ADO BCS

The following 4 Samples use the same device for different applications. The various outputs of the controller will be used in different cases.

cross-references
Appendix C: Application Samples
Temperature Control
Dimmer
Switching actuator

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Temperature Control

The outputs DO1 and DO2 drive individual thermo dynamic valve actuators.

Because the various outputs of the universal controller are going to be used for different applications, the blocks SRC-ADO/Valve 2 and SRC-ADO/Valve 3 have not to be teached to the controller.

Thermokon ships a configuration software with the universal controller.

Select the operation mode for the channels:

Configure the channel:

Legende mit Linie (3): The temperature lowering has been activated. Therefore this feature must be activated in the actuator block as well. Legende mit Linie (3): Select the same range as in the actuator block and the sensor block within myHomeControl.

Teach the actuator block to the universal controller:

  1. Select Type „Room operating panel ...“

  2. --> OK
  3. Legende mit Linie (3): Press button „send“ to transmit a LRN radio telegram.

cross-references
Universal controller: Thermokon SRC-ADO BCS

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Dimmer

The universal controller is also able to control dimmable electronic ballasts.

Use types of electronic ballasts providing a 0-10V interface.

Two outputs of the universal controller will be used to control the lighting equipment. One analogue 0-10V output and a binary output turn on and off the lights.

The configuration shown below uses the universal controller as a dimmer following the rules defined by the central command „dimming“ (EEP: 07-38-02). This solution doesn’t support the ramping times defined in the EEP.

Select the operation mode for the channels:

Configure the analogue channel AO3:

Configure the binary channel DO3:

Teach the actuator block to the universal controller:

Legende mit Linie (3): Assign this sensor to both channels (AO3 and DO3).

cross-references
Universal controller: Thermokon SRC-ADO BCS

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Switching actuator

Usage of the universal controller as a switching actuator:

Select the operation mode for the channels:

Teach the actuator block to the universal controller:

cross-references
Universal controller: Thermokon SRC-ADO BCS

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Appendix D: How to add a supplementary language

cross-references
Text - resources
Help

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Text - resources

  1. Open database ?\Resources\Languages.mdb using MS Access.
  2. Open the table Languages
  3. Switch to the design mode
  4. Append an additional row. Name it corresponding to the language (Data type = Text)
  5. Switch to data view
  6. Fill up the empty column with the translated texts.
  7. Close MSAccess

Alternatively the database might be exported into an excel data sheet.

cross-references
Appendix D: How to add a supplementary language

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Help

The source files for the help system are MS word documents. For each language there is an own document. Copy an existing document and rename it to Help_XXX, where XXX is an abbreviation of the language name.

In the languages database there is a special key called SPRACH_BEZEICHNUNG. The text given in this filed will be used as XXX.

The abbreviation XXX will be appended to the file name.

Now translate the renamed help file.

If the Help shall be translated in a later state, an alternative Help might be used until then. It is possible to combine a language X with the Help of Language Y. Therefore set the key HILFE_SPRACHE to the desired language:

The translated help file has to be compiled into the myHomeControl help system. Therefore send the file to info@bootup.ch. We will compile it and you will become the latest version of myHomeControl with your language included.

cross-references
Appendix D: How to add a supplementary language

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Appendix E: WEB Remote Access

cross-references
Remote access to the myHomeControl WEB server
TeamViewer
Alternative Variant using Remote Desktop
Fix IP-Address for the Host

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Remote access to the myHomeControl WEB server

Following configuration steps will be required to enable remote access to myHomeControl® s WEB server:

  1. Assign a fix IP-Address to the Computer running myHomeControl.
  2. Create an account at DynDNS.org and create a host.
  3. Configure the modem/router of your local network.

cross-references
Appendix E: WEB Remote Access
Assign a fix IP address to host PC
Create an account at DynDNS.org
Configuration of the modem/router

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Assign a fix IP address to host PC

Assign a fix IP address to the pc running myHomeControl. This is required to configure a route on the modem/router.

Assign an IP address of the same sub net the DHCP server of your router does but outside the range of the DHCP server.

Next step is to create an account at DynDNS

cross-references
Remote access to the myHomeControl WEB server

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Create an account at DynDNS.org

Each participant in the Internet requires a world wide unique IP address. Usually the DSL modem request an IP address from the Internet provider during the connection process to the Internet. This unique IP address is used to access the modem respectively a PC behind the modem from any location in the world by entering http://<IP-address> in the browser address field.

Internet providers typically change the IP address from time to time. The actual IP address has to be retrieved from the modem/router and is usually unknown. Therefore it is not possible to retrieve the IP address from outside to access the computer remotely.

This is where DynDNS helps. DynDNS manages IP addresses and keeps informed about the actual IP address. Create an account at DynDNS www.dyndns.org. This is free of charge. Create a new host within your DynDNS account. Give a name you will use to access your host from the Internet e.g. myNameAtHome.

Next step is to configure the modem/router

cross-references
Remote access to the myHomeControl WEB server

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Configuration of the modem/router

To enable DynDNS to keep track with the changing IP-addresses, the DSL/modem/router has to inform DynDNS periodically about the actual IP-address received from Internet provider. Usually this is a standard service of a DSL/modem/router. Just activate the corresponding client.

Host: HostName.dynDNS.org

Account: myAccountName

Usually the router contains a firewall or works on NAT. These features prevent any traffic initiated by the Internet to access the devices behind the router. But this is exactly what is required to access the myHomeControl WEB server form the Internet.

Therefore specific channels have to be opened. Configure a virtual server at the DSL/modem/router to enable access to the WEB server:

Server name | external port | protocol | internal port | Server IP Addr
WEB Server | 80 | TCP | 80 | XX.XX.XX.XX

Test from the Internet
Establish an Internet connection using a telephone line. Start the browser and enter http://HostName.dyndns.org.

cross-references
Remote access to the myHomeControl WEB server

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


TeamViewer

www.Teamviewer.com provides a very easy tool for remote desktop. It is free for private usage. It requires no special setup of firewalls and routers.

In case TeamViewer is installed as a service, then it runs in the background and the PC can be accessed via Internet at any time.

cross-references
Appendix E: WEB Remote Access

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Alternative Variant using Remote Desktop

cross-references
Appendix E: WEB Remote Access
Enable WEB Services on the host

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Enable WEB Services on the host

If the host (where myHomeControl is running) is running Windows XP professional, then the XP-CD will be required for the next steps. If it is running on another or older operation system the following services have to be installed first:

- a Web Server

- tsweb

Following settings are required if the host is running WinXP prof.):

  1. Setup->Software->add/remove Windows Components
    click Details
    click Details
    select Remote Desktop-.... OK,OK,OK
  2. Follow the installation process

cross-references
Alternative Variant using Remote Desktop

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Fix IP-Address for the Host

A fix IP-address should be assigned to the host PC. This is required to announce it as a virtual host in your DSL/modem/router.

Network -> LAN/Settings -> Internet protocol (TCP/IP)/Properties->

Enter a corresponding IP-address, which are in the same subnet then the addresses given by the DHS server.

Test:
Start an Internet explorer on an other PX
Enter the IP-address of the host into the address field of the explorer; accept the installation of the Active-X

Full screen doesn’t work

è Select a resolution

è Establish connection

cross-references
Appendix E: WEB Remote Access
Account at DynDNS
Settings of the DSL/modem/router

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Account at DynDNS

The Internet provider changes the IP-address given to your DSL/modem/router from time to time. This address can be seen in your DSL/modem/router but is usually unknown.

Therefore create an account at DynDNS www.dyndns.org. This is free of charge. DynDNS manages IP-addresses. Create a new host at DynDNS. Give a name you will use to access your host from the Internet.

cross-references
Fix IP-Address for the Host

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Settings of the DSL/modem/router

To enable DynDNS to keep track with the changing IP-addresses, the DSL/modem/router has to inform DynDNS periodically about the actual IP-address received from Internet provider. Usually this is a standard service of a DSL/modem/router. Just activate the corresponding client.

Host: HostName.dynDNS.org

Account: myAccountName

Usually the router contains a firewall or works on NAT. These features prevent any traffic initiated by the Internet to access the devices behind the router. But the Remote Desktop-connection requires exactly this.

Therefore specific channels have to be opened. Configuring a virtual server at the DSL/modem/router does this:

Server name | external port | protocol | internal port | Server IP Addr
Win2000 Terminal Service | 3389 | TCP | 3389 | XX.XX.XX.XX
Win2000 Terminal Service | 3389 | UDP | 3389 | XX.XX.XX.XX
WEB Server | 80 | TCP | 80 | XX.XX.XX.XX

Test from the Internet
Establish an Internet connection using a common telephone line.
Start I Explorer and connect to www.HostName.dyndns.org/tsweb

cross-references
Fix IP-Address for the Host

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.


Appendix F: Upgrading to Version 1.2.2

In version 1.2.2 the valve actuator block has been redesigned. Due to the support of various new valve actuators we found out, that most valve actuators interpret the temperature set point value as an offset to a base temperature.

Therefore the valve actuator block has become some new properties. Some properties have to be adjusted manually when upgrading to version 1.2.2 of myHomeControl.

Property: Setpoint Offset Range (Tab: Device Configuration)

Set values used by the valve actuator. Refer to the manual of the valve actuator to determine the correct values.

For Omnio devices set –5° … 5°.

Thermokon devices usually use a range of –5° … 5° by default.

Property: Correction (Tab: Signal values)

With the new method a temperature correction should not be required any more. Therefore set the property to 0. In case temperature control in not accurate enough, feel free to adjust the correction property.

The myHomeControl® software is protected by copyright. Installing or use of the software has to be licensed. The use of the evaluation version of the software (some functions are restricted) is for free. The license agreement terms and conditions have to be accepted. © 2009 BootUp GmbH Schweiz. All rights reserved.